function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42527");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 The TIBCO Object Service Broker Administrator\u2019s Workbench","6");
B=A.fN("Overview","7");
C=B.fN("What is the Administrator\u2019s Workbench?","7#1671596");
C=B.fN("Who Has Access To This Workbench?","7#1671611");
C=B.fN("Example of the @ADMIN Administrator\u2019s Workbench","7#1671617");
C=B.fN("Components","7#1671639");
B=A.fN("Common Session Attributes","8");
C=B.fN("Library Field","8#1671698");
C=B.fN("Test Field","8#1671713");
C=B.fN("Browse Field","8#1671719");
C=B.fN("Time and Date Fields","8#1671722");
C=B.fN("Appointment Calendar","8#1671724");
B=A.fN("Entry Points into the Supplied Tools","9");
C=B.fN("Tools Menu","9#1671828");
C=B.fN("Workbench Tools","9#1671844");
C=B.fN("Command Line","9#1672035");
C=B.fN("Command History Area","9#1672049");
B=A.fN("Messaging Mechanisms","10");
C=B.fN("Broadcast Message","10#1672067");
C=B.fN("Message Log","10#1672103");
B=A.fN("PF Keys","11");
C=B.fN("PF Keys Available for the Workbench","11#1672124");
B=A.fN("Customizing Your Workbench","12");
C=B.fN("Reasons for Customizing","12#1672167");
C=B.fN("Requirements to Customize a Workbench","12#1672175");
A=P.fN("Chapter\u00a02 Setting Up the Development Environment","13");
B=A.fN("Setup Requirements","14");
B=A.fN("Field Dictionary Implementation","15");
C=B.fN("How Do You Define Global Fields?","15#1672696");
C=B.fN("How is the Use of Global Fields Defined?","15#1671655");
C=B.fN("Defining @DT_FLD_CONFIG","15#1671665");
B=A.fN("@SCHEDULEMODEL Implementation","16");
C=B.fN("What is @SCHEDULEMODEL?","16#1671701");
C=B.fN("Implementation Options","16#1671726");
C=B.fN("Setup Requirements for Substituting Values from a Table","16#1671735");
C=B.fN("Define and Edit a TDS Table","16#1671739");
C=B.fN("Modify the @SCHEDULEMODEL Instance","16#1671790");
C=B.fN("Sample Instance of @SCHEDULEMODEL","16#1671807");
A=P.fN("Chapter\u00a03 Administering a Distributed Environment","17");
B=A.fN("Implementation of Distributed Data","18");
C=B.fN("Supported Inter-connections","18#1671584");
C=B.fN("Steps Taken to Access Remote Data","18#1671620");
C=B.fN("Ensuring Data Integrity","18#1671626");
C=B.fN("Locating the Data","18#1671639");
C=B.fN("Order of Evaluation to Determine Location","18#1671648");
C=B.fN("Server Access","18#1671655");
C=B.fN("Binding of Data and Rules","18#1671678");
B=A.fN("Setting Up Access to the Data","19");
C=B.fN("Accessing a Default Store of Data","19#1671703");
C=B.fN("Changing the Default Location for User Sessions","19#1671727");
C=B.fN("Setting Adequate Security","19#1671749");
C=B.fN("How Do You Ensure Integrity?","19#1671810");
B=A.fN("Defining and Storing the Data","20");
C=B.fN("Definitional and Data Requirements","20#1671841");
C=B.fN("What is a Minimal Definition?","20#1671850");
C=B.fN("Can a Parameterized Table be Stored Across Nodes?","20#1671862");
B=A.fN("Management of Definitions and Data Across Nodes","21");
C=B.fN("Setting the Location for Promotion Rights","21#1671890");
C=B.fN("Promoting Across Locations","21#1671927");
C=B.fN("Tools Available to Help Development Across Nodes","21#1671929");
C=B.fN("Transferring Files Across Different Platforms","21#1672017");
A=P.fN("Chapter\u00a04 Defining Object Sets","22");
B=A.fN("Object Sets","23");
C=B.fN("What is an Object Set?","23#1673355");
C=B.fN("How Do You Define an Object Set?","23#1673278");
C=B.fN("Steps to Define an Object Set","23#1671631");
C=B.fN("TIBCO Object Service Broker UI","23#1673608");
B=A.fN("Defining Object Sets","24");
B=A.fN("Selecting Objects for Object Set Definitions","25");
B=A.fN("Using Tables in Object Set Definitions","26");
C=B.fN("Adding Tables to the Object Set Definition","26#1672130");
C=B.fN("Specifying Table Instances","26#1672153");
B=A.fN("Copying Object Set Definitions","27");
C=B.fN("Why Copy Object Set Definitions?","27#1672217");
C=B.fN("Creating Copies of Object Set Definitions","27#1672219");
B=A.fN("Deleting an Object Set Definition","28");
C=B.fN("Considerations when Deleting an Object Set","28#1672254");
C=B.fN("Deleting a Definition Using the Object Set Definer","28#1672260");
C=B.fN("Deleting a Definition Using DELETE_DEFN","28#1672267");
A=P.fN("Chapter\u00a05 Binding","29");
B=A.fN("Binding Tables, Screens, and Rules","30");
C=B.fN("What is Binding?","30#1671592");
C=B.fN("How Long is the Use of a Bound Copy in Effect?","30#1671596");
C=B.fN("Types of Binding","30#1671602");
C=B.fN("Maximum Number of Binds","30#1671618");
C=B.fN("Storage Limits for Bound Tables","30#1671621");
B=A.fN("Definition Binding","31");
C=B.fN("What Definitions Should You Bind?","31#1671630");
C=B.fN("Considerations for Definition Binding","31#1671649");
C=B.fN("When Should You Unbind a Definition?","31#1671670");
B=A.fN("Data Binding","32");
C=B.fN("What Types of Data Should You Bind?","32#1671680");
C=B.fN("When Should You Unbind Data?","32#1671711");
B=A.fN("Procedure to Bind or Unbind a Table","33");
B=A.fN("Procedure to Bind or Unbind a Screen","34");
B=A.fN("Refreshing the Bound Copy","35");
C=B.fN("How is the Copy Refreshed?","35#1671851");
C=B.fN("Refreshing the Execution Environment","35#1671853");
C=B.fN("Refreshing an Active Execution Environment","35#1671865");
C=B.fN("$BINDOBJECT","35#1671868");
C=B.fN("$BINDRULE","35#1671882");
A=P.fN("Chapter\u00a06 Secondary Indexes","36");
B=A.fN("Using Secondary Indexes","37");
C=B.fN("What is a Secondary Index?","37#1671581");
C=B.fN("How do you Create a Secondary Index?","37#1671592");
C=B.fN("Criteria for Defining and Building a Secondary Index","37#1671606");
C=B.fN("What Comprises a Secondary Index?","37#1671612");
C=B.fN("Data Access","37#1671623");
C=B.fN("Copying Definitions and Data","37#1671641");
C=B.fN("Clearing Data","37#1671645");
B=A.fN("Procedure to Create a Secondary Index","38");
B=A.fN("Deleting and Rebuilding a Secondary Index","39");
C=B.fN("Steps Required","39#1671923");
A=P.fN("Chapter\u00a07 Mass Updates (z/OS)","40");
B=A.fN("Mass Updates of TDS Data","41");
C=B.fN("What Method to Use?","41#1671591");
C=B.fN("Advantages of the Mass Update Feature","41#1671627");
B=A.fN("Using the Mass Update Feature","42");
C=B.fN("What Conditions Apply?","42#1671636");
C=B.fN("Modifying the IDgen Attribute","42#1671645");
C=B.fN("Using the Table Definer","42#1671671");
C=B.fN("Using a Rule","42#1671703");
C=B.fN("Sample Rule to Do a Mass Update","42#1671717");
A=P.fN("Chapter\u00a08 Configuring Your Pagestore on\u00a0z/OS","43");
B=A.fN("TIBCO Object Service Broker Data Store Architecture","44");
C=B.fN("Relationships","44#1671606");
B=A.fN("TIBCO Object Service Broker Pagestore","45");
C=B.fN("How is TIBCO Object Service Broker Installed?","45#1671621");
C=B.fN("What is the Logical View of the Data?","45#1671637");
C=B.fN("How is the Data Physically Stored?","45#1671640");
C=B.fN("What Changes Can be Made to the Pagestore?","45#1671650");
B=A.fN("Modifying the Size of a Page Data Set","46");
C=B.fN("Increasing or Decreasing the Size of a Page Data Set","46#1671676");
B=A.fN("Defining an Additional Segment","47");
C=B.fN("Tasks Required to Define Additional Segments","47#1671707");
B=A.fN("Adding a Page Data Set to an Existing Segment","48");
C=B.fN("Procedure 1: Using Backup and Restore Utilities","48#1671842");
C=B.fN("Procedure 2: Using Unload and Load Utilities","48#1673558");
A=P.fN("Chapter\u00a09 Configuring Your Pagestore on Open Systems","49");
B=A.fN("TIBCO Object Service Broker Data Store Architecture","50");
C=B.fN("Relationships","50#1671606");
B=A.fN("TIBCO Object Service Broker Pagestore","51");
C=B.fN("How is TIBCO Object Service Broker Installed?","51#1671621");
C=B.fN("What is the Logical View of the Data?","51#1671637");
C=B.fN("How is the Data Physically Stored?","51#1671640");
C=B.fN("What Changes Can be Made to the Pagestore?","51#1671650");
B=A.fN("Modifying the Size of an Existing Page File","52");
C=B.fN("Increasing or Decreasing the Size of a Page file","52#1671683");
B=A.fN("Defining an Additional Segment","53");
C=B.fN("Tasks Required to Define Additional Segments","53#1671712");
B=A.fN("Adding a Page File to a Segment","54");
C=B.fN("Procedure 1: Using Backup and Restore Utilities","54#1672807");
C=B.fN("Procedure 2: Using Unload and Load Utilities","54#1673899");
A=P.fN("Chapter\u00a010 Re-allocating the Segment Number","55");
B=A.fN("Changing the Segment Number of a Table","56");
C=B.fN("Conditions for Changing a Segment Number","56#1671581");
C=B.fN("How Do You Change A Segment Number?","56#1671591");
B=A.fN("Procedure to Change a Segment Number","57");
}
