function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42503");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Introduction to TIBCO Object Service Broker\u00a0Screens","6");
B=A.fN("TIBCO Object Service Broker Screens","7");
C=B.fN("What is a Screen?","7#1009500");
C=B.fN("What is a Screen Table?","7#1009520");
C=B.fN("Advantages of Using Screen Tables","7#1009541");
B=A.fN("TIBCO Object Service Broker Menus","8");
C=B.fN("What is a Menu?","8#1009587");
C=B.fN("Menu Styles","8#1009605");
B=A.fN("Validation","9");
C=B.fN("Phase One Validation","9#1009683");
C=B.fN("Phase Two Validation","9#1009713");
C=B.fN("Validation Failure","9#1009767");
A=P.fN("Chapter\u00a02 Building a Screen","10");
B=A.fN("The Screen Definer","11");
C=B.fN("Accessing the Screen Definer","11#1000296");
C=B.fN("Layout","11#1000344");
C=B.fN("Example","11#13122");
C=B.fN("Tasks for Defining a Screen","11#13169");
B=A.fN("Task A: Verify Screen Identification","12");
C=B.fN("Purpose of this Task","12#1009343");
C=B.fN("The Define Screen and Unit Fields","12#116770");
B=A.fN("Task B: Specify Screen Tables","13");
C=B.fN("Purpose of this Task","13#107628");
C=B.fN("Defining Required Screen Table Attributes","13#108587");
C=B.fN("Defining Optional Screen Table Attributes","13#108768");
C=B.fN("Excluding Screen Tables","13#1003246");
B=A.fN("Task C: Enter PF Key, Scrolling, and Cursor Information","14");
C=B.fN("Purpose of this Task","14#117560");
C=B.fN("Assign PF Key Values","14#117586");
C=B.fN("Define the Scroll Amount Entry","14#117632");
C=B.fN("Define the Default Cursor Position","14#1019957");
B=A.fN("Task D: Specify PF Keys","15");
C=B.fN("Assigning PF Keys","15#107631");
C=B.fN("Specifying Function Key Attributes","15#110178");
C=B.fN("@TMP_FCNKEYS Table Example","15#114041");
B=A.fN("Deleting a Screen Definition","16");
C=B.fN("Considerations when Deleting a Screen","16#13877");
C=B.fN("Deleting a Definition Using the Screen Definer","16#13920");
C=B.fN("Deleting a Definition Using a Shareable Tool","16#1002540");
B=A.fN("Maximizing Screen Layout","17");
C=B.fN("Screen Table Definitions","17#1002930");
C=B.fN("Last Row Attribute Set to 22","17#1018907");
C=B.fN("Last Row Attribute Set to -2","17#1003197");
A=P.fN("Chapter\u00a03 Defining Screen Tables","18");
B=A.fN("Screen Tables and Screen Fields","19");
C=B.fN("Screen Tables","19#118801");
C=B.fN("Screen Fields","19#118805");
B=A.fN("The Screen Table Painter","20");
C=B.fN("Invoking the Screen Table Painter","20#31168");
B=A.fN("Using the Screen Table Painter","21");
C=B.fN("Layout","21#127484");
C=B.fN("Screen Table Painter Screen","21#1002836");
C=B.fN("Image Area","21#1002958");
C=B.fN("Field Definition Area","21#110764");
C=B.fN("Available PF Keys for the Screen Table Painter","21#126708");
C=B.fN("Defining Screen Tables","21#13242");
B=A.fN("Adding Literal Text","22");
C=B.fN("Definition","22#119024");
C=B.fN("Creating Literal Text","22#118369");
C=B.fN("Setting Display Attributes","22#118386");
C=B.fN("Display Attributes for Literals","22#999675");
C=B.fN("Literal Attributes Screen","22#999981");
B=A.fN("Defining Data Fields","23");
C=B.fN("Methods for Defining Data Fields","23#118303");
C=B.fN("Benefits of Using Predefined Fields","23#127642");
C=B.fN("Benefits of Adding Fields with Default Attributes","23#127644");
C=B.fN("Benefits of Creating New Fields","23#127648");
B=A.fN("Using Predefined Fields","24");
C=B.fN("Using Table Field Definitions","24#119238");
C=B.fN("Using Global Fields","24#118576");
C=B.fN("Selecting a Global Field","24#1000314");
B=A.fN("Using Fields with Default Attributes","25");
C=B.fN("Creating Screen Fields with Predefined Attributes","25#118688");
B=A.fN("Creating New Fields","26");
C=B.fN("Data Fields","26#110426");
C=B.fN("Determining How the Data is Presented","26#1006230");
C=B.fN("Determining How a Field Operates","26#45232");
B=A.fN("Controlling Presentation","27");
C=B.fN("Determining Uses for a Field","27#41842");
C=B.fN("Determining Appearance","27#45485");
B=A.fN("Expanding Definitions","28");
C=B.fN("Literal Text","28#12768");
C=B.fN("Field Definitions","28#12794");
C=B.fN("Expanding a Field","28#1001092");
B=A.fN("Editing Screen Tables and Screen Fields","29");
C=B.fN("Adding a Line or Field","29#110673");
C=B.fN("Copying a Line or Literal","29#111004");
C=B.fN("Cutting a Field or Literal","29#111476");
C=B.fN("Pasting a Field, Line, or Literal","29#1026479");
C=B.fN("Deleting a Line or Field","29#117927");
C=B.fN("Deleting a Screen Table","29#110687");
A=P.fN("Chapter\u00a04 Adding Additional Features to a Screen","30");
B=A.fN("Adding Help Information","31");
C=B.fN("Overview of Help","31#109955");
C=B.fN("Adding Screen Help","31#9635");
C=B.fN("Examples of Screen Help","31#9707");
C=B.fN("Adding Field Help","31#9946");
C=B.fN("Examples of Field Help","31#10009");
B=A.fN("Color Implementation","32");
C=B.fN("Adding Color","32#108039");
C=B.fN("Purpose of the @COLOURS Table","32#108040");
C=B.fN("Fields in the @COLOURS Table","32#109413");
C=B.fN("Purpose of the @SCREENCOLOURS Table","32#12527");
C=B.fN("Fields in the @SCREENCOLOURS Table","32#12595");
B=A.fN("Adding Virtual Fields to a Screen Table","33");
C=B.fN("Using Virtual Fields","33#108045");
C=B.fN("$MODIFIED Field","33#108047");
C=B.fN("$OCCNUM Field","33#108052");
A=P.fN("Chapter\u00a05 Choosing a Menu Style","34");
B=A.fN("Menus","35");
C=B.fN("What is a Menu?","35#27322");
C=B.fN("Menu Styles","35#27380");
B=A.fN("Choosing a Menu Style","36");
C=B.fN("How to Choose a Menu Style","36#27696");
A=P.fN("Chapter\u00a06 Creating a Menu Manager Menu","37");
B=A.fN("Menu Manager Menu","38");
C=B.fN("Menu Manager Menu Illustrated","38#997875");
C=B.fN("Procedure","38#998004");
B=A.fN("Defining the Physical Layout","39");
B=A.fN("Adding Functionality to a Menu","40");
C=B.fN("Starting a New Transaction","40#998474");
C=B.fN("Calling a Rule","40#998678");
C=B.fN("Calling Another Menu","40#998774");
A=P.fN("Chapter\u00a07 Creating a Screen Manager Menu","41");
B=A.fN("Screen Manager Menu","42");
C=B.fN("Predefined Screen Requirements","42#997875");
C=B.fN("Screen Manager Menu Illustrated","42#997889");
C=B.fN("Procedure","42#999400");
B=A.fN("Defining the Physical Layout","43");
B=A.fN("Adding Functionality to a Menu","44");
C=B.fN("Starting a New Transaction","44#998629");
C=B.fN("Calling a Rule","44#998833");
C=B.fN("Calling Another Menu","44#998929");
A=P.fN("Chapter\u00a08 Creating a Selection Manager Menu","45");
B=A.fN("Selection Manager Menu","46");
C=B.fN("Predefined Screen Requirement","46#997876");
C=B.fN("Selection Manager Menu Illustrated","46#999452");
C=B.fN("Procedure","46#999583");
B=A.fN("Defining the Physical Layout","47");
C=B.fN("Example","47#999791");
B=A.fN("Adding Functionality to a Menu","48");
C=B.fN("Starting a New Transaction","48#998598");
C=B.fN("Calling a Rule","48#998802");
C=B.fN("Calling Another Menu","48#998898");
A=P.fN("Chapter\u00a09 Creating a Standard Session Manager Menu","49");
B=A.fN("Standard Session Manager Menu","50");
C=B.fN("Standard Session Manager Menu Illustrated","50#997875");
C=B.fN("Procedure","50#999331");
B=A.fN("Defining the Physical Layout","51");
C=B.fN("Example","51#999533");
B=A.fN("Adding Functionality to a Menu","52");
C=B.fN("Starting a New Transaction","52#998632");
C=B.fN("Calling a Rule","52#998838");
C=B.fN("Calling Another Menu","52#998934");
A=P.fN("Chapter\u00a010 Maintaining Menus","53");
B=A.fN("Copying Menu Definitions","54");
C=B.fN("Creating Menu Definition Copies","54#997890");
C=B.fN("Copying Standard Session Manager Menus","54#997949");
B=A.fN("Editing Menus","55");
C=B.fN("PF Keys and Primary Commands","55#997982");
B=A.fN("Deleting a Menu Definition","56");
C=B.fN("Considerations when Deleting a Menu","56#998173");
C=B.fN("Deleting a Definition Using the Menu Definer","56#998214");
C=B.fN("Deleting a Definition Using a Shareable Tool","56#998255");
B=A.fN("Adding Help Information","57");
C=B.fN("Adding Help Information","57#998386");
C=B.fN("SCRIPT Commands","57#1000103");
C=B.fN("Help Screen Restrictions","57#998507");
A=P.fN("Appendix\u00a0A Displaying an Application","58");
B=A.fN("Displaying a Screen","59");
C=B.fN("Example of the DISPLAY Statement","59#1006658");
B=A.fN("Displaying a Menu","60");
C=B.fN("Example of the DISPLAY_MENU Tool","60#997784");
B=A.fN("Using the PROCESS_FCNKEY Tool","61");
C=B.fN("Examples","61#999827");
A=P.fN("Appendix\u00a0B Display Masks","62");
B=A.fN("Display Masks","63");
C=B.fN("Numeric Display Masks","63#6900");
C=B.fN("Date Display Masks","63#8457");
A=P.fN("Appendix\u00a0C Sample Screen Definitions for Menus","64");
B=A.fN("Definition for the WEEKLY_REPORT Screen","65");
C=B.fN("WEEKLY_REPORT Screen","65#9338");
C=B.fN("TITLE Screen Table","65#9439");
C=B.fN("SELECTION Screen Table","65#9815");
C=B.fN("PFKEY_SPECS Screen Table","65#9928");
C=B.fN("SESSMGR_MSG Screen Table","65#10013");
B=A.fN("Definition for the WEEKLY_REP Screen","66");
C=B.fN("WEEKLY_REP Screen","66#10135");
C=B.fN("TITLE_1 Screen Table","66#10178");
C=B.fN("FIELD Screen Table","66#10221");
C=B.fN("PRESS Screen Table","66#10471");
C=B.fN("PFKEY_SPECS Screen Table","66#10511");
C=B.fN("SESSMGR_MSG Screen Table","66#10307");
B=A.fN("Definition for SCR_EMPLOYEE Menu","67");
C=B.fN("Screen 1","67#10610");
C=B.fN("Screen 2","67#10719");
C=B.fN("Screen 3","67#10823");
C=B.fN("Screen 4","67#10933");
}
