function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42506");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Introduction to Administration of Promotions","6");
B=A.fN("Administrative Responsibilities","7");
C=B.fN("Setting Up and Maintaining the Promotions System","7#1671599");
C=B.fN("Managing Change Requests","7#1671607");
C=B.fN("Applying Change Requests to Source and External Target Systems","7#1671617");
B=A.fN("Types of Promotion Administration","8");
C=B.fN("Source Promotion Administration","8#1671632");
C=B.fN("Target Promotion Administration","8#1671642");
C=B.fN("Remote Promotion Administration","8#1671674");
B=A.fN("Promoting Change Requests: An Overview","9");
C=B.fN("Promotion Phase One: Validate","9#1671710");
C=B.fN("Promotion Phase Two: Backup","9#1671716");
C=B.fN("Promotion Phase Three: Apply","9#1671727");
C=B.fN("Sequence of Promotions","9#1671736");
B=A.fN("Promotions: Interactive or Batch","10");
C=B.fN("Promotion: Batch Mode","10#1671754");
C=B.fN("Promotion: Invoked from Rules","10#1671760");
B=A.fN("Assessing The Impact of Promotions on Users","11");
C=B.fN("Impact of Promotions","11#1671778");
B=A.fN("Security Issues","12");
C=B.fN("Access Permissions","12#1671810");
A=P.fN("Chapter\u00a02 Preparing For Promotions","13");
B=A.fN("System Requirements","14");
C=B.fN("Establishing Promotion Environment Default Parameters","14#1671598");
C=B.fN("Addressing Backup Considerations","14#1671609");
C=B.fN("Setting External Access Permissions","14#1671615");
C=B.fN("Establishing Change Request Categories","14#1671622");
B=A.fN("@PROM_CONSTANTS Table","15");
C=B.fN("Environment Access Rights","15#1671671");
C=B.fN("File Naming Conventions and Data Set Allocation","15#1671721");
C=B.fN("Promotion Rules Libraries","15#1671760");
C=B.fN("Promotion Message Logs","15#1671768");
C=B.fN("PTF Maintenance and the @PROM_CONSTANTS Table","15#1671788");
B=A.fN("@PROM_BACKUPDS Table","16");
C=B.fN("Customizing the @PROM_BACKUPDS Table","16#1671811");
B=A.fN("@PROM_NSEC_DEF Table","17");
C=B.fN("Object Types","17#1671849");
C=B.fN("Customizing the @PROM_NSEC_DEF Table","17#1671870");
C=B.fN("Field Values","17#1671898");
B=A.fN("Customizing Batch Processing JCL","18");
C=B.fN("Verifying the @SCHEDULEMODEL Table","18#1671961");
A=P.fN("Chapter\u00a03 Source Promotions","19");
B=A.fN("Source Promotion Administration","20");
C=B.fN("Accessing the Source Promotion System","20#1671617");
C=B.fN("Query Promotion Information","20#1671660");
B=A.fN("Reviewing and Accepting Change Requests","21");
C=B.fN("Considerations","21#1671698");
C=B.fN("Manage Pending Requests Screen","21#1671704");
C=B.fN("Available Actions","21#1673791");
B=A.fN("Managing Accepted Change Requests","22");
C=B.fN("Manage Accepted Requests Screen","22#1671792");
C=B.fN("Returning the Change Request For Revision","22#1671822");
C=B.fN("Allocating Data Sets (z/OS Platform)","22#1671830");
C=B.fN("Other Management Commands","22#1671843");
B=A.fN("Altering Backup Parameters","23");
C=B.fN("Guidelines","23#1671865");
C=B.fN("Auxiliary Backup Parameters","23#1671873");
C=B.fN("Procedure","23#1671904");
B=A.fN("Extracting Change Requests For Target Promotions","24");
C=B.fN("Requirements","24#1671934");
C=B.fN("Procedure","24#1671944");
C=B.fN("Source and Disposition of Extracted Objects","24#1671947");
B=A.fN("Promoting Change Requests","25");
C=B.fN("Applying Change Requests","25#1672009");
C=B.fN("Initiating Source Promotions from Rules","25#1672029");
C=B.fN("Promotion Log","25#1672036");
B=A.fN("Managing Promoted Requests","26");
C=B.fN("Managing Promoted Requests Screen","26#1672046");
C=B.fN("Line Commands","26#1672080");
B=A.fN("Consolidating Change Requests","27");
C=B.fN("Accessing the Source Nodes for Change Requests Screen","27#1672114");
C=B.fN("Procedure","27#1672142");
C=B.fN("Fields","27#1672171");
C=B.fN("Available Actions","27#1672191");
A=P.fN("Chapter\u00a04 Target Promotions","28");
B=A.fN("Target Promotions Administration","29");
C=B.fN("Configuration Requirements","29#1671609");
C=B.fN("Procedural Overview","29#1671615");
C=B.fN("Extracting Change Requests in the Source System","29#1671633");
C=B.fN("Consolidated Requests","29#1671657");
B=A.fN("Identifying Change Requests and Their Source","30");
B=A.fN("Managing Change Requests On The Target System","31");
C=B.fN("Apply Requests Screen","31#1671754");
C=B.fN("Altering the Backup Parameters","31#1671787");
C=B.fN("Reviewing Loaded Change Requests","31#1671804");
B=A.fN("Applying Change Requests To The Target System","32");
C=B.fN("Sequence of Events","32#1671833");
C=B.fN("Applying Change Requests","32#1671846");
C=B.fN("Segment Number Prompt","32#1671869");
C=B.fN("Promotion Log","32#1671897");
C=B.fN("Initiating Target Promotions from Rules","32#1671904");
B=A.fN("Considerations When Applying Target Promotions","33");
C=B.fN("Secondary Indexes","33#1671923");
C=B.fN("Bound Tables and Screens","33#1671931");
C=B.fN("Security Considerations","33#1673708");
B=A.fN("Disposition of Objects","34");
C=B.fN("Disposition Inconsistencies","34#1671994");
C=B.fN("Re-aligning A Disposition","34#1672000");
C=B.fN("Initiation of a Refresh Disposition From Rules","34#1672021");
B=A.fN("Promoting From Release 6.0.0 to Release 5.0.0","35");
C=B.fN("Extraction of Changes","35#1678286");
C=B.fN("Promotion of Changes","35#1678302");
A=P.fN("Chapter\u00a05 Remote Promotions","36");
B=A.fN("Remote Promotions Overview","37");
C=B.fN("Procedural Overview","37#1671610");
C=B.fN("Promotion Administration and Distributed Data","37#1671620");
B=A.fN("Setting Up the Remote Promotions Environment","38");
C=B.fN("Configuration Requirements","38#1671685");
C=B.fN("Example","38#1671690");
C=B.fN("Customizing @SCHEDULEMODEL","38#1671719");
C=B.fN("Customizing @PROM_BACKUPDS","38#1671728");
C=B.fN("Setting the ALLOC_DATASET Field","38#1671731");
B=A.fN("Identifying Source and Location","39");
C=B.fN("Accessing the Remote Promotion System","39#1671739");
C=B.fN("Identifying the Source System and Change Request Location","39#1671783");
C=B.fN("Query Promotion Information","39#1671801");
B=A.fN("Reviewing and Accepting Change Requests","40");
C=B.fN("Managing Pending Requests Screen","40#1671814");
C=B.fN("Available Actions","40#1673582");
B=A.fN("Managing Accepted Change Requests","41");
C=B.fN("Managing Accepted Requests","41#1671876");
C=B.fN("Returning the Change Request for Revision","41#1671905");
C=B.fN("Allocating Data Sets (z/OS Platform)","41#1671913");
C=B.fN("Altering Backup Parameters","41#1671927");
C=B.fN("Other Management Commands","41#1671942");
B=A.fN("Promoting Change Requests","42");
C=B.fN("Applying Change Requests","42#1671966");
C=B.fN("Target Node and Segment Number Prompt","42#1671978");
C=B.fN("Disposition Mismatches","42#1671990");
C=B.fN("Promotion Log","42#1671996");
B=A.fN("Considerations When Applying Remote Promotions","43");
C=B.fN("Secondary Indexes","43#1672015");
C=B.fN("Bound Tables and Screens","43#1672018");
C=B.fN("Security Considerations","43#1672040");
B=A.fN("Managing Promoted Requests","44");
C=B.fN("Managing Promoted Requests Screen","44#1672061");
C=B.fN("Line Commands","44#1672094");
A=P.fN("Chapter\u00a06 Postpromotion Activities","45");
B=A.fN("Managing Promoted Requests","46");
C=B.fN("Managing Promoted Requests Screen","46#1671593");
C=B.fN("Line Commands","46#1671625");
B=A.fN("Postpromotion Tasks","47");
C=B.fN("Rebinding Rules","47#1671659");
C=B.fN("Updating Global Cross References","47#1671677");
B=A.fN("REFMAKER Tool","48");
C=B.fN("Running REFMAKER in Batch Mode","48#1671735");
C=B.fN("Access Permissions","48#1671741");
C=B.fN("Invoking REFMAKER","48#1671750");
A=P.fN("Chapter\u00a07 Promotion Backouts","49");
B=A.fN("Backouts","50");
C=B.fN("Backout Impact on Users","50#1671592");
C=B.fN("Sequence of Backouts","50#1671605");
B=A.fN("Backout Considerations","51");
C=B.fN("Impact to Developers","51#1671609");
C=B.fN("Restoring Promotion Rights","51#1671612");
C=B.fN("Table Definitions","51#1671616");
C=B.fN("Effects of Executed Rules","51#1671618");
C=B.fN("Access Permissions","51#1671622");
C=B.fN("Restoring Rules","51#1671625");
C=B.fN("@PROM_BACKUPDS Table","51#1671638");
B=A.fN("Backing Out Source Promotions","52");
C=B.fN("User Access","52#1671664");
C=B.fN("Procedure","52#1671667");
C=B.fN("Backing Out Multiple Change Requests","52#1671682");
B=A.fN("Backing Out Target Promotions","53");
C=B.fN("User Access","53#1671696");
C=B.fN("Backout Requests Screen","53#1671698");
C=B.fN("Backing Out Applied Change Requests","53#1671732");
C=B.fN("Backing Out Multiple Change Requests","53#1671742");
B=A.fN("Backing Out Remote Promotions","54");
C=B.fN("General Procedure","54#1671750");
A=P.fN("Chapter\u00a08 Overview of the\u00a0Developer\u2019s\u00a0Role","55");
B=A.fN("The Developer\u2019s Perspective","56");
C=B.fN("What is a Change Request?","56#1671584");
C=B.fN("Developer\u2019s Responsibilities","56#1671587");
C=B.fN("Administration Requirements","56#1671598");
C=B.fN("Effects of Promoting a Change Request","56#1671604");
B=A.fN("Promotion Roles","57");
A=P.fN("Chapter\u00a09 Promotion Rights","58");
B=A.fN("Promotion Rights","59");
C=B.fN("Security Permissions Required","59#1671595");
C=B.fN("Obtaining Promotion Rights","59#1671608");
C=B.fN("Promotion Rights and TIBCO Object Service Broker Tools","59#1671620");
C=B.fN("Obstacles to Obtaining Promotion Rights","59#1671631");
C=B.fN("Promotion Rights of Objects","59#1671646");
B=A.fN("Promotion Environment and User Access Considerations","60");
C=B.fN("Environment Recommendations","60#1671679");
C=B.fN("Effect on User Access","60#1671682");
C=B.fN("Identifying Your Type of Environment","60#1671685");
C=B.fN("Restricting Access to an Object","60#1671688");
C=B.fN("Effect of Change Request Status","60#1671694");
B=A.fN("Obtaining Promotion Rights to a Rule","61");
C=B.fN("Effect of Adding or Modifying Rules","61#1671737");
C=B.fN("Obtaining Promotion Rights Automatically","61#1671749");
C=B.fN("Deleting Rules","61#1671763");
B=A.fN("Obtaining Promotion Rights to Screens and Reports","62");
C=B.fN("How to Obtain Rights to Screens and Reports","62#1671783");
C=B.fN("The Report Generator and Rights Assignment","62#1671802");
B=A.fN("Obtaining Promotion Rights to Tables","63");
C=B.fN("Types of Promotion Rights","63#1671821");
C=B.fN("Definition Rights","63#1671833");
C=B.fN("Data Rights","63#1671846");
C=B.fN("Promotion Restrictions","63#1671854");
B=A.fN("Promotion Rights to Compound Objects","64");
C=B.fN("What Are Compound Objects?","64#1671863");
C=B.fN("Obtaining Promotion Rights to Compound Objects","64#1671866");
A=P.fN("Chapter\u00a010 Creating a Change Request","65");
B=A.fN("Invoking the Promotion System","66");
C=B.fN("Methods of Invoking the Promotion System","66#1671588");
C=B.fN("Promotion Utility Menu","66#1671599");
C=B.fN("Rule Library Field","66#1671623");
C=B.fN("Promotion Utility Menu","66#1671627");
C=B.fN("Command Line and PF Keys","66#1671645");
B=A.fN("Creating a Change Request","67");
C=B.fN("Accessing the Request Promotion of a Change Screen","67#1671673");
A=P.fN("Chapter\u00a011 Completion and Submission of Change Requests","68");
B=A.fN("Overview","69");
C=B.fN("Change Request Development","69#1671596");
C=B.fN("Continuing Work on the Change Request","69#1671605");
B=A.fN("Selecting Rules for a Change Request","70");
C=B.fN("Accessing the Rules to be Promoted/Deleted Screen","70#1671619");
C=B.fN("Fields of the Rules to be Promoted/Deleted Screen","70#1671647");
C=B.fN("Requirements for Rules to Execute","70#1671723");
C=B.fN("Available Actions","70#1671733");
C=B.fN("Obtaining Available Rights","70#1671796");
B=A.fN("Selecting Tables for a Change Request","71");
C=B.fN("Accessing the Table Screen","71#1671808");
C=B.fN("Fields of the Table to be Promoted/Deleted Screen","71#1671836");
C=B.fN("Available Actions","71#1671967");
B=A.fN("Selecting Compound Objects","72");
C=B.fN("Promotions and Compound Objects","72#1672020");
C=B.fN("Principles of Compound Objects","72#1672023");
C=B.fN("Accessing the Object Type\u2019s Selection Screen","72#1672036");
C=B.fN("Fields on the Selection Screen","72#1672065");
C=B.fN("Available Actions","72#1672132");
B=A.fN("Managing Child Rights for Screens, Reports, and Object Sets","73");
C=B.fN("Accessing the Manage Child Rights Screen","73#1672176");
C=B.fN("Header Portion Fields","73#1672207");
C=B.fN("Body Portion Fields","73#1672220");
C=B.fN("Available Actions","73#1672258");
B=A.fN("Selecting Global Fields","74");
C=B.fN("Accessing the Global Fields to be Promoted/Deleted Screen","74#1672289");
C=B.fN("Fields of the Global Fields to be Promoted/Deleted Screen","74#1672317");
C=B.fN("Available Actions","74#1672323");
B=A.fN("Submitting the Change Request For Promotion","75");
C=B.fN("Requirements","75#1672359");
C=B.fN("How to Submit a Change Request","75#1672366");
C=B.fN("Object Rights in Consolidated Requests","75#1672370");
A=P.fN("Chapter\u00a012 Management of Change Requests","76");
B=A.fN("Overview","77");
C=B.fN("Status Code Indicators","77#1671584");
C=B.fN("Options for Managing Change Requests","77#1671596");
C=B.fN("Accessing Change Requests\u2013Manage Incomplete/Pending Requests Screen","77#1671605");
C=B.fN("Available Actions","77#1671643");
B=A.fN("Viewing a Change Request","78");
C=B.fN("Accessing the View A Change Request Screen","78#1671700");
C=B.fN("Viewing the List of Rules","78#1671733");
C=B.fN("Viewing the Lists of Tables and Other Objects","78#1671771");
B=A.fN("Managing an Incomplete Change Request","79");
C=B.fN("Continuing Work on the Change Request","79#1671787");
C=B.fN("Rolling Back the Change Request","79#1671822");
B=A.fN("Managing a Pending or Unaccepted Change Request","80");
C=B.fN("Continuing With a Change Request","80#1671847");
C=B.fN("Rolling Back a Change Request","80#1671866");
A=P.fN("Chapter\u00a013 Management of Promotion Rights","81");
B=A.fN("Overview","82");
C=B.fN("Developer\u2019s Control Over Promotion Rights","82#1671588");
B=A.fN("Invoking the Promotion Rights Management Tools","83");
C=B.fN("Available Tools","83#1671609");
C=B.fN("Using the Tools","83#1671620");
C=B.fN("Manage Promotion Rights Utility","83#1671650");
C=B.fN("Header Portion Fields","83#1673531");
C=B.fN("Selection Specification","83#1671695");
C=B.fN("Transferring Rights Automatically","83#1671720");
C=B.fN("Changing the Access Rights for Your System","83#1671729");
B=A.fN("Managing Promotion Rights to Objects","84");
C=B.fN("Accessing the Manage Rights Screen","84#1671754");
C=B.fN("NAME, BORROWER, UNIT, and SUMMARY Fields","84#1671790");
C=B.fN("Available Actions","84#1671806");
C=B.fN("Status Reports from OBTAIN ALL, RELEASE ALL, TRANSFER ALL","84#1671851");
C=B.fN("Prompting for the TRANSFER Line Command","84#1671903");
B=A.fN("Managing Promotion Rights to Rules","85");
C=B.fN("Manage Promotion Rights to Rules Screen","85#1671936");
C=B.fN("ENT Field","85#1671964");
B=A.fN("Managing Promotion Rights to Tables","86");
C=B.fN("Manage Rights to Tables Screen","86#1671972");
C=B.fN("TYPE, EXT, and PARMS Fields","86#1672000");
C=B.fN("The EXPAND Line Command","86#1672027");
C=B.fN("Issuing the X (Expand) Line Command","86#1672059");
C=B.fN("The See Parm Values Line Command","86#1672102");
A=P.fN("Chapter\u00a014 Queries for Information on Promotions","87");
B=A.fN("Types of Activity in the Promotion System","88");
B=A.fN("Query Promotion Information: An Overview","89");
C=B.fN("The Query Promotion Information Function","89#1671770");
C=B.fN("How to Access the Query Promotion Information Function","89#1671774");
C=B.fN("Query Screen","89#1671801");
C=B.fN("Query Screen Fields","89#1671829");
B=A.fN("Summary of Query Activities","90");
C=B.fN("Query Screen PF Keys","90#1671961");
C=B.fN("Query Screen Line Commands","90#1671982");
B=A.fN("Displaying Query Results","91");
C=B.fN("View All Changes Screen","91#1672016");
C=B.fN("Explanation of Fields","91#1672043");
C=B.fN("Finding Further Information from the View a Change Request Screen","91#1672068");
C=B.fN("Sample Promotion Queries","91#1672106");
A=P.fN("Appendix\u00a0A User Access","92");
B=A.fN("Managing User Access to TIBCO Object Service Broker","93");
C=B.fN("Displaying Users Logged In","93#1671589");
C=B.fN("Suspending All Level\u20111 User Access","93#1671592");
A=P.fN("Appendix\u00a0B Consistency of Disposition Across Systems","94");
B=A.fN("Keeping Source and Target Systems Consistent","95");
C=B.fN("Aligning Disposition Mismatches","95#1672279");
C=B.fN("Local Method","95#1672287");
C=B.fN("Global Method","95#1672293");
A=P.fN("Appendix\u00a0C Status Codes of Change Requests","96");
B=A.fN("Change Request Status Codes","97");
C=B.fN("Status Codes","97#1671581");
A=P.fN("Appendix\u00a0D Sample JCL for Batch Processing","98");
B=A.fN("Sample JCL for Batch Processing","99");
C=B.fN("@SCHEDULEMODEL (MVS, APPLY_CHANGE)","99#1671581");
C=B.fN("@SCHEDULEMODEL (MVS, APPLY_PROM)","99#1671621");
C=B.fN("@SCHEDULEMODEL (MVS, PROM_ALLOC)","99#1671661");
}
