function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42502");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 TIBCO Object Service Broker Concepts","6");
B=A.fN("What is TIBCO Object Service Broker?","7");
C=B.fN("Application Development Environment","7#1671595");
C=B.fN("Integration Broker","7#1671603");
B=A.fN("TIBCO Object Service Broker Components","8");
C=B.fN("Data Object Broker","8#1671657");
C=B.fN("Execution Environment","8#1671669");
C=B.fN("Client Interfaces","8#1671780");
B=A.fN("TIBCO Object Service Broker Architecture","9");
C=B.fN("Gateways and Servers","9#1671997");
C=B.fN("Configuration","9#1671999");
C=B.fN("Architectural Diagram","9#1672004");
B=A.fN("TIBCO Object Service Broker Integration with other TIBCO Products","10");
C=B.fN("Integration with TIBCO Enterprise Messaging Service","10#1672027");
C=B.fN("Integration with TIBCO BusinessWorks","10#1672038");
A=P.fN("Chapter\u00a02 Using the TIBCO Object Service Broker Development Environment","11");
B=A.fN("Overview","12");
C=B.fN("Installed Components","12#1671581");
C=B.fN("Development Interfaces","12#1671597");
C=B.fN("Basic Tutorial Available","12#1671615");
B=A.fN("Starting the Development Interfaces","13");
C=B.fN("Tasks to Getting Started","13#1675221");
C=B.fN("Starting the Server Components","13#1675272");
C=B.fN("Choose Your User Interface","13#1675287");
C=B.fN("Starting an ostty Session","13#1676662");
C=B.fN("Starting a TSO Session","13#1676942");
C=B.fN("Starting a VTAM LU2 Session within a Native Execution Environment","13#1681586");
C=B.fN("Starting a Telnet 3270 Session","13#1679140");
C=B.fN("Customizing Your Session Options","13#1679212");
B=A.fN("Getting Started with the TIBCO Object Service Broker UI","14");
C=B.fN("Tasks Required to Get Started","14#1677092");
C=B.fN("Task 1: Start Eclipse","14#1676211");
C=B.fN("Task 2: Select a Workspace Folder","14#1677504");
C=B.fN("Task 3: Open an OSB Perspective","14#1677338");
C=B.fN("Task 4: Create an OSB Project","14#1677967");
C=B.fN("Task 5: Specify Connection Settings","14#1678032");
C=B.fN("Using the TIBCO Object Service Broker UI","14#1678304");
B=A.fN("Understanding the Default Developer\u2019s Workbench","15");
C=B.fN("TIBCO Object Service Broker UI","15#1671879");
C=B.fN("Default Developer\u2019s Workbench","15#1671897");
B=A.fN("Using the Workbench","16");
C=B.fN("Moving Around the Workbench","16#1671988");
C=B.fN("Using PF Keys","16#1672058");
C=B.fN("What Functionality is Available from the Workbench?","16#1672111");
B=A.fN("Displayed Session Attributes","17");
C=B.fN("Library Field","17#1672250");
C=B.fN("Test Field","17#1672266");
C=B.fN("Browse Field","17#1672276");
B=A.fN("Accessing the Supplied Tools","18");
C=B.fN("Accessing Tools from the Tools Menu","18#1672374");
C=B.fN("Accessing Tools from the Command Line","18#1672416");
C=B.fN("Accessing Tools from the Command History Area","18#1672433");
C=B.fN("Using Tools Menu Commands","18#1672444");
B=A.fN("Messaging Mechanisms","19");
C=B.fN("Broadcast Message","19#1672624");
C=B.fN("Message Logs","19#1672665");
A=P.fN("Chapter\u00a03 A Quick TIBCO Object Service Broker Tutorial","20");
B=A.fN("Tutorial Overview","21");
C=B.fN("Purpose of the Chapter","21#1671594");
C=B.fN("Purpose of the Application","21#1674018");
C=B.fN("What You will Learn","21#1674332");
B=A.fN("Task A: Create a Table Definition to Access an External Data Source","22");
C=B.fN("Defining an Import (IMP) Table","22#1674675");
C=B.fN("Source for the Games","22#1674795");
C=B.fN("About the Data","22#1681186");
B=A.fN("Task B: Create a Table Definition to Store Data in Native TDS Table Format","23");
C=B.fN("Definition of the TDS Table","23#1675009");
B=A.fN("Introduction to Rules","24");
C=B.fN("Format of a Rule","24#1675877");
B=A.fN("Task C: Create Rules to Populate the TDS Table using Data from the External Data Source","25");
C=B.fN("Populating a Table","25#1676136");
C=B.fN("Inserting the Data into the Database","25#1676099");
B=A.fN("Task D: Adding Business and Integration Logic: Building Team Statistics","26");
C=B.fN("Import File","26#1676338");
C=B.fN("About this Definition","26#1676610");
C=B.fN("Reason for Keeping the Source Data External","26#1681245");
C=B.fN("Output Table","26#1676817");
C=B.fN("Processing the Data","26#1676851");
C=B.fN("Using TIBCO Object Service Broker Shareable Tools","26#1677295");
C=B.fN("Testing your Rule","26#1677303");
C=B.fN("Verifying What is Stored in a TEM Table","26#1677509");
C=B.fN("Rules to Build Game Results","26#1681626");
B=A.fN("Task E: Using Exceptions to Handle Data Errors or Inconsistent External Data","27");
C=B.fN("Requirements to Update a Record","27#1678743");
C=B.fN("Logic Flow","27#1678784");
C=B.fN("Implementation Details of the Rules","27#1681748");
B=A.fN("Task F: Export the Results","28");
C=B.fN("Defining an Export (EXP) Table","28#1681989");
C=B.fN("Rule to Transfer Data","28#1679950");
B=A.fN("Task G: Make the Information Available to BusinessWorks","29");
C=B.fN("Defining a Transaction Object","29#1680111");
C=B.fN("Passing the Information about Inconsistent Data to BusinessWorks","30");
C=B.fN("Testing the Transaction","30#1680227");
C=B.fN("Final Steps","30#1680284");
A=P.fN("Appendix\u00a0A Common TIBCO Object Service Broker Text-Based Workbench Functionality","31");
B=A.fN("Common TIBCO Object Service Broker PF Keys","");
C=B.fN("Common TIBCO Object Service Broker PF Keys","32");
D=C.fN("Common PF Keys","32#1673931");
D=C.fN("Display Help\u2013PF1","32#1671669");
D=C.fN("Display a Documentation Screen\u2013PF2","32#1671675");
D=C.fN("Display Message Logs\u2013PF2","32#1671682");
D=C.fN("Exit the Screen and/or Tool\u2013PF3/PF12","32#1671689");
D=C.fN("Scroll Vertically\u2013PF7/PF8","32#1671696");
D=C.fN("Scroll Horizontally\u2013PF10/PF11","32#1671705");
D=C.fN("Recall the Last Command\u2013PF9","32#1671714");
D=C.fN("Print an Object\u2013PF13","32#1671718");
D=C.fN("Delete a Definition\u2013PF22","32#1671722");
D=C.fN("Refresh the Screen\u2013PF24","32#1671726");
C=B.fN("Primary Commands","33");
D=C.fN("Using Primary Commands","33#1671749");
D=C.fN("Standard Primary Commands","33#1671754");
C=B.fN("The Navigation Tool","34");
D=C.fN("Object Manager","34#1672226");
C=B.fN("Managing the Selection","35");
D=C.fN("Using Wildcards in the Workbench","35#1672283");
D=C.fN("Recalling Previous Commands","35#1672299");
D=C.fN("FIND Command","35#1672308");
D=C.fN("SELECT Command","35#1672319");
D=C.fN("ORDERED Command","35#1672333");
D=C.fN("Combining SELECT and ORDERED","35#1672344");
D=C.fN("APPLY Command","35#1672354");
C=B.fN("Available Operators","36");
D=C.fN("Multiple Conditions with AND","36#1672390");
D=C.fN("Multiple Conditions with OR","36#1672395");
D=C.fN("Comparisons with Relational Operators","36#1672401");
D=C.fN("Partial Matches with LIKE","36#1672459");
C=B.fN("Managing MetaStor Objects","37");
D=C.fN("Manipulating Objects","37#1672484");
D=C.fN("Line Commands","37#1672493");
C=B.fN("Object Documentation","38");
D=C.fN("Documentation Screen","38#1672773");
D=C.fN("Invoking the Documentation Screen","38#1672805");
C=B.fN("Maintaining Object Documentation","39");
D=C.fN("Maintaining the Fields","39#1672836");
D=C.fN("KEYWORDS Field","39#1672842");
D=C.fN("SUMMARY Field","39#1672848");
D=C.fN("DESCRIPTION Field","39#1672851");
B=A.fN("Glossary","40");
}
