function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42500");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 National Language Support in the TIBCO Object Service Broker Environment","6");
B=A.fN("Introduction","7");
C=B.fN("Advantages of NLS","7#1671507");
C=B.fN("Scope of NLS Support","7#1671518");
B=A.fN("NLS Functionality","8");
C=B.fN("Locale and Code Page Definitions","8#1671533");
C=B.fN("Locale Specifications","8#1671565");
C=B.fN("Folding Rules","8#1671575");
C=B.fN("Restrictions and Unsupported Items","8#1672457");
A=P.fN("Chapter\u00a02 Character and Code\u00a0Page\u00a0Support","9");
B=A.fN("Character Support","10");
C=B.fN("Character Sets","10#1671504");
C=B.fN("Code Points","10#1671519");
B=A.fN("Supported Code Pages","11");
C=B.fN("EBCDIC Code Pages","11#1671536");
C=B.fN("ASCII Code Page","11#1672294");
C=B.fN("TDS Code Pages","11#1671628");
C=B.fN("National Language Support for External Database Servers","11#1671649");
A=P.fN("Chapter\u00a03 Data Interpretation","12");
B=A.fN("Data Translation","13");
C=B.fN("Types of Data Translated","13#1671504");
C=B.fN("Translation of Data in Peer\u2011to\u2011Peer Communication","13#1671545");
C=B.fN("Translation for Remote Access","13#1671557");
C=B.fN("Mapping of Shaded Entries","13#1671565");
B=A.fN("Collation","14");
C=B.fN("Collating Sequence","14#1671583");
C=B.fN("Collation Behavior","14#1671590");
C=B.fN("Characters Affected","14#1671600");
A=P.fN("Chapter\u00a04 Encoded File Transfers","15");
B=A.fN("Transferring Encoded Data Between Platforms","16");
C=B.fN("Requirements","16#1671514");
B=A.fN("The File Transfer Process","17");
C=B.fN("Step 1: Define the Input File","17#1672575");
C=B.fN("Step 2: Run S6BBRNLS/hrnbrnls Against the Input File","17#1671556");
C=B.fN("Step 3: Check Audit Log","17#1671567");
C=B.fN("Step 4: Run Sort on Output File, if Required","17#1671573");
C=B.fN("Step 5: Transfer Output File to Appropriate Platform","17#1671585");
C=B.fN("Step 6: Load Output File Using S6BBRTBL/hrnbrtbl Utility","17#1671587");
B=A.fN("Considerations","18");
C=B.fN("Constraints","18#1671595");
A=P.fN("Chapter\u00a05 Implementation Requirements","19");
B=A.fN("Setup and Configuration","20");
C=B.fN("Responsibilities of the Database Administrator","20#1671509");
C=B.fN("Keyboard Support","20#1671529");
C=B.fN("Display Font Support","20#1671563");
B=A.fN("Changing the EBCDIC Display Code Page","21");
C=B.fN("Use of $SETOPT","21#1671592");
C=B.fN("When to Use $SETOPT","21#1671609");
B=A.fN("Special Considerations","22");
C=B.fN("Special Handling of 8\u2011bit Bytes for Solaris","22#1671631");
B=A.fN("Restrictions","23");
C=B.fN("General Restrictions","23#1671646");
C=B.fN("Subview and Calculation Tables","23#1671658");
C=B.fN("Collation","23#1671667");
C=B.fN("Table Definitions","23#1671672");
C=B.fN("Naming Restrictions","23#1671675");
C=B.fN("NLS Items Not Supported","23#1671693");
C=B.fN("Client Restrictions","23#1671711");
A=P.fN("Chapter\u00a06 Specification of NLS Characteristics \u2013 @NLS1 Table","24");
B=A.fN("@NLS1 Table Specification","25");
C=B.fN("Format of the @NLS1 Table","25#1671516");
C=B.fN("Activating the New Values","25#1671529");
B=A.fN("Enabling NLS","26");
C=B.fN("Additional locale.codepage Requirements","26#1671569");
C=B.fN("Example Values for @NLS1","26#1671576");
B=A.fN("Restrictions on locale.codepage","27");
C=B.fN("Values for SELF","27#1671596");
C=B.fN("Values for REMOTE","27#1671610");
C=B.fN("Values for ASCII","27#1671621");
C=B.fN("Valid locale.codepage Specifications","27#1671624");
B=A.fN("Example Specifications for locale.codepage","28");
C=B.fN("Factors to Use for Determining Specifications","28#1671781");
C=B.fN("Example 1","28#1671793");
C=B.fN("Example 2","28#1671841");
C=B.fN("Example 3","28#1671891");
A=P.fN("Chapter\u00a07 Use of TDS Tables With a National EBCDIC Code Page","29");
B=A.fN("Use of the NLS bit","30");
C=B.fN("Implementation","30#1671519");
C=B.fN("Tables with NLS Bit Pre-set","30#1671531");
C=B.fN("Setting the NLS Bit","30#1671540");
B=A.fN("Expanded EBCDIC Code Page Substitution Characters","31");
C=B.fN("Special Characters for TIBCO Object Service Broker Names","31#1671552");
C=B.fN("Evaluation of TCP (TDS Code Page) versus SCP (System Code Page) Value","31#1671705");
B=A.fN("Post-installation Peer NLS Testing","32");
C=B.fN("Verification Test","32#1671726");
C=B.fN("Windows Behavior","32#1671734");
A=P.fN("Chapter\u00a08 Configuration for the Solaris Platform","33");
B=A.fN("Setup for the Solaris Platform","34");
C=B.fN("Enabling Operation","34#1671513");
C=B.fN("X-Windows Support and Keyboard Support","34#1671556");
C=B.fN("X-Client Support","34#1671566");
B=A.fN("Solaris Locale Support","35");
C=B.fN("Customization","35#1671572");
B=A.fN("Testing Your NLS Environment","36");
C=B.fN("Verification","36#1671581");
C=B.fN("Testing your NLS-enabled TIBCO Object Service Broker on Solaris","36#1671591");
A=P.fN("Appendix\u00a0A NLS Supported Code Pages","37");
B=A.fN("EBCDIC Code Pages","38");
C=B.fN("Code Page IBM\u2011037 (ENGL, CDNB)","38#1671540");
C=B.fN("Code Page IBM\u2011273 (DEUT)","38#1671546");
C=B.fN("Code Page IBM\u2011277 (DANS, NORS)","38#1671552");
C=B.fN("Code Page IBM\u2011278 (SUOM, SVEN)","38#1671558");
C=B.fN("Code Page IBM\u2011280 (ITAL)","38#1671564");
C=B.fN("Code Page IBM\u2011282 (PORT)","38#1671570");
C=B.fN("Code Page IBM\u2011284 (ESPA)","38#1671576");
C=B.fN("Code Page IBM\u2011285 (ENGB)","38#1671582");
C=B.fN("Code Page IBM\u2011297 (FRAN)","38#1671588");
C=B.fN("Code Page IBM\u2011500 (SCHW)","38#1671594");
B=A.fN("ASCII Code Pages","39");
C=B.fN("Code Page ISO8859\u20111","39#1671620");
}
