function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42525");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Introducing TIBCO Object Service Broker Backup and Recovery Components","6");
B=A.fN("Overview","7");
C=B.fN("Operational Components","7#10604");
C=B.fN("File Components","7#10640");
B=A.fN("Data Object Broker","8");
C=B.fN("Definition","8#10748");
C=B.fN("Data Object Broker Functionality","8#21041");
C=B.fN("The Role of the Data Object Broker and Related Data Sets","8#21201");
C=B.fN("Data Object Broker Communication","8#10857");
B=A.fN("Execution Environment","9");
C=B.fN("Definition","9#21564");
C=B.fN("Execution Environment Functionality","9#21606");
C=B.fN("Types of Execution Environments","9#27124");
C=B.fN("Parameters","9#20621");
B=A.fN("TIBCO Object Service Broker Files","10");
C=B.fN("Pagestore","10#19991");
C=B.fN("Redolog","10#23020");
C=B.fN("Contingency Log","10#22667");
C=B.fN("Journals","10#22755");
C=B.fN("Database Definition File","10#22806");
A=P.fN("Chapter\u00a02 Understanding Transaction Processing","11");
B=A.fN("Overview","12");
C=B.fN("Key Components Involved in Transaction Processing","12#11905");
B=A.fN("Sample Transaction","13");
C=B.fN("Implications for Backup and Recovery","13#11134");
A=P.fN("Chapter\u00a03 Understanding Fail Safe Processing","14");
B=A.fN("Fail Safe Processing","15");
C=B.fN("Definition","15#23894");
B=A.fN("Fail Safe Strategies","16");
C=B.fN("Determining a Fail Safe Strategy","16#4189");
C=B.fN("Fail Safe Level 0 (Serial)","16#18425");
C=B.fN("Fail Safe Level 1 (Contingent)","16#2869");
C=B.fN("Fail Safe Level 2 (Two-Phase Commit)","16#4429");
C=B.fN("Contingent Two-Phase Commit","16#9622");
B=A.fN("Components Supporting Fail Safe Processing","17");
C=B.fN("Transaction Database","17#14716");
C=B.fN("Contingency Log","17#18452");
B=A.fN("Sample Distributed Processing Scenarios","18");
C=B.fN("Two Data Object Brokers","18#8652");
C=B.fN("Two Data Object Brokers with an External Database Server","18#8718");
C=B.fN("Three Data Object Brokers","18#8756");
C=B.fN("Multiple Data Object Brokers with an External Database Server","18#3613");
C=B.fN("Commit Behavior Across Multiple Data Object Brokers","18#8773");
A=P.fN("Chapter\u00a04 Understanding Checkpoint Processing","19");
B=A.fN("Checkpoint Processing","20");
C=B.fN("What is a TIBCO Object Service Broker Checkpoint?","20#998375");
C=B.fN("When is a Checkpoint Created?","20#998392");
C=B.fN("Steps Performed by the Checkpoint Process","20#1002739");
C=B.fN("Completing Pending Transactions","20#998592");
C=B.fN("Checkpoint Process Illustration","20#1001688");
A=P.fN("Chapter\u00a05 Understanding Journal Processing","21");
B=A.fN("Journal Processing","22");
C=B.fN("Definition","22#1002662");
C=B.fN("Overview","22#1002648");
C=B.fN("When are Journals Spun?","22#998415");
C=B.fN("Tailoring the Spin Batch Files/Scripts","22#998455");
C=B.fN("Journal Spin Process","22#998731");
C=B.fN("Journal Spin Process Illustration","22#1002535");
B=A.fN("Journal Operations","23");
C=B.fN("Merging the Journals","23#998800");
C=B.fN("Setting Journal Size","23#998868");
C=B.fN("Full Journals","23#998917");
C=B.fN("Spin Batch File/Script Failures","23#998976");
A=P.fN("Chapter\u00a06 Backing Up Your System","24");
B=A.fN("Overview","25");
C=B.fN("Introduction","25#998376");
C=B.fN("Backup Approaches","25#998395");
C=B.fN("Full System Backup","25#998434");
C=B.fN("Continuous Backup","25#998495");
B=A.fN("TIBCO Object Service Broker Backup Utilities","26");
C=B.fN("Advantages to this Approach","26#998528");
C=B.fN("Using TIBCO Object Service Broker Backup Utilities","26#998598");
B=A.fN("Using Non-TIBCO Object Service Broker Backup Utilities","27");
C=B.fN("Limitations to this Approach","27#998721");
C=B.fN("Creating a Backup Using Non-TIBCO Object Service Broker Methods","27#998744");
B=A.fN("Performing Continuous Backup","28");
C=B.fN("Using the Continuous Backup Process","28#998788");
C=B.fN("Alternate Method to Refresh the Latest Backup","28#1007241");
B=A.fN("Sample Continuous Backup Implementation","29");
A=P.fN("Chapter\u00a07 Recovering From Errors","30");
B=A.fN("Overview","31");
C=B.fN("Types of Recovery","31#998374");
C=B.fN("Deciding How Much To Restore","31#998445");
B=A.fN("Full Recovery","32");
C=B.fN("When Should the Entire System be Restored?","32#998533");
C=B.fN("Deciding on a Restoration Point","32#998549");
C=B.fN("Using TIBCO Object Service Broker Backup Utilities to Perform a Full Recovery","32#998603");
C=B.fN("Restoring from a Non-TIBCO Object Service Broker Backup","32#998832");
B=A.fN("Partial Recovery","33");
C=B.fN("Implementing a Partial Recovery","33#999122");
B=A.fN("Recovering From Non-Page File Failures","34");
C=B.fN("Redolog Failure","34#999294");
C=B.fN("Contingency Log Failure","34#999350");
C=B.fN("Journal Failure","34#999418");
}
