function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42489");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Installing Service Gateway for IMS/DB","6");
B=A.fN("Introduction","7");
C=B.fN("Accessing IMS Data","7#5982");
C=B.fN("Processing IMS Data","7#29470");
C=B.fN("Deployment","7#33410");
B=A.fN("Preparing for Installation","8");
B=A.fN("Distribution Media and Contents","9");
C=B.fN("Obtaining the Installation Media","9#26052");
C=B.fN("Installation Files","9#26058");
B=A.fN("Uploading the Software","10");
B=A.fN("Installing the Software","11");
C=B.fN("Edit the Properties File","11#40723");
C=B.fN("Initial Installation","11#40044");
B=A.fN("Installing on a Remote Host","12");
C=B.fN("Distribution Media and Contents","12#30846");
C=B.fN("Uploading the Software","12#30859");
C=B.fN("Installing the Software","12#30909");
C=B.fN("Uninstalling on a Remote Host","12#55013");
B=A.fN("Installation Verification","13");
B=A.fN("Preparing the IMS Environment","14");
C=B.fN("Defining Gateway Program Specification Blocks","14#26329");
C=B.fN("Defining IMS Secondary Index Access","14#26377");
C=B.fN("Authorizing Data Sets For Cross Memory Services","14#26391");
C=B.fN("Defining the Gateway to the IMS Online System","14#26396");
C=B.fN("Rollback Considerations For the DL/I Interface","14#26406");
B=A.fN("Preparing the DB2 Environment","15");
C=B.fN("Customized DB2 Plan Names","15#26415");
C=B.fN("Linking the Static SQL Handlers","15#26433");
B=A.fN("Preparing the CICS Environment","16");
C=B.fN("Perform APPLY of the CICS DL/I Interface","16#30704");
C=B.fN("Customize the Program Control Table","16#26451");
C=B.fN("Modify the CICS Processing Program Table","16#26462");
C=B.fN("Add DDnames Used by the TIBCO Service Gateway for IMS/DB","16#26473");
B=A.fN("Implementing Security","17");
C=B.fN("Specifying TIBCO Object Service Broker Security","17#26509");
C=B.fN("Implementing IMS Security","17#26516");
C=B.fN("Specifying the External Security Interface for DB2 Data Access","17#26597");
C=B.fN("DB2 Security for the Gateway","17#26606");
B=A.fN("Specifying Gateway Parameters","18");
C=B.fN("Gateway Parameters","18#26661");
B=A.fN("Understanding the Startup Prerequisites","19");
C=B.fN("Default Resource Settings (z/OS only)","19#26933");
B=A.fN("Starting the Gateway","20");
C=B.fN("Starting in a Batch or Native Execution Environment Using the DL/I or BMP Interface","20#27124");
C=B.fN("Starting in a TIBCO Object Service Broker CICS Execution Environment Using the CICS Interface","20#27143");
C=B.fN("Starting in a Batch or Native Environment Using the DRA Interface","20#27160");
C=B.fN("Starting to Access Both IMS and DB2 Data in a TIBCO Object Service Broker Batch or Native Execution Environment Using the DL/I Interface","20#27177");
C=B.fN("Starting to Access Both IMS and DB2 Data in a TIBCO Object Service Broker Batch or Native Execution Environment Using the BMP Interface","20#27238");
B=A.fN("Dynamically Modifying Gateway Tasks","21");
C=B.fN("Dynamically Starting Gateway Tasks","21#27257");
C=B.fN("Dynamically Setting Gateway Tasks","21#27288");
B=A.fN("Shutting Down the Gateway","22");
C=B.fN("MODIFY Operator Command for Data Object Broker","22#28457");
C=B.fN("MODIFY Operator Command for the Execution Environment","22#27367");
C=B.fN("RESOURCE MANAGEMENT Option","22#27397");
A=P.fN("Chapter\u00a02 Operating the Service Gateway for IMS/DB","23");
B=A.fN("Defining IMS Databases to TIBCO Object Service Broker","24");
C=B.fN("Completing the Definition for a Logical Database","24#350481");
B=A.fN("Binding IMS Table Definitions","25");
B=A.fN("Preparing the IMS and DB2 Environments for Accessing DB2 Data","26");
B=A.fN("Supplying Gateway Startup Parameters","27");
C=B.fN("HRNIN Parameters","27#376956");
C=B.fN("IMSSRV00 Parameters","27#376938");
C=B.fN("Estimating the CTABLESIZE Parameter","27#374966");
B=A.fN("Dynamically Changing Gateway Parameters","28");
C=B.fN("Table Type Attributes","28#368561");
C=B.fN("Using SETXPARM and RESETXPARM","28#368772");
C=B.fN("Gateway Parameters That Can Be Overridden at Runtime","28#374124");
C=B.fN("Examples Using SETXPARM and RESETXPARM","28#368875");
B=A.fN("Implementing External Security","29");
C=B.fN("Security Levels","29#446228");
C=B.fN("Authorizing the Gateway for SAF","29#374228");
C=B.fN("Establishing Resource Security","29#370542");
C=B.fN("Establishing PSB Security","29#370670");
C=B.fN("Establishing Database Security","29#370791");
C=B.fN("Establishing Segment Security","29#370905");
C=B.fN("Establishing Resource and Database Security","29#371019");
C=B.fN("Establishing Resource and Segment Security","29#371161");
C=B.fN("Establishing the TIBCO Object Service Broker Authorization ID","29#371311");
B=A.fN("Implementing Fail Safe Processing","30");
C=B.fN("Procedural Overview","30#434842");
B=A.fN("Understanding Other Operational Procedures","31");
C=B.fN("Using Distributed Data with Service Gateway for IMS/DB","31#459061");
C=B.fN("Displaying the Status of the Gateway","31#459089");
C=B.fN("Debugging Information","31#379583");
C=B.fN("Reporting Problems","31#439873");
B=A.fN("Connecting the Gateway to a Windows or Solaris Data\u00a0Object\u00a0Broker","32");
C=B.fN("Configure the TCP/IP Connection on z/OS","32#456005");
C=B.fN("Configure the TIBCO Object Service Broker TCP/IP Environment","32#456710");
C=B.fN("Specify the Number of Gateways Connecting to the Data Object Broker","32#456861");
C=B.fN("Specify the Gateway Parameter","32#456896");
A=P.fN("Chapter\u00a03 Managing IMS Data Definitions","33");
B=A.fN("Managing IMS Data from TIBCO Object Service Broker","34");
B=A.fN("Task A:\u00a0Extract the IMS Database Definition","35");
B=A.fN("Task B:\u00a0Invoke the Table Definer","36");
C=B.fN("Accessing Existing Tables","36#138597");
C=B.fN("Defining a New Table","36#138660");
C=B.fN("IMS Table Definition Screen Segments","36#139329");
C=B.fN("PF Keys and Primary Commands","36#140656");
B=A.fN("Task C: Specify Header Information","37");
C=B.fN("Table Definition Screen Fields","37#125683");
B=A.fN("Task\u00a0D:\u00a0Select an IMS Database","38");
B=A.fN("Task E: Define a Location Parameter","39");
C=B.fN("Minimal and Full Node Definitions","39#139641");
B=A.fN("Task F:\u00a0Select IMS Segments","40");
C=B.fN("Selecting Additional Segments","40#140955");
B=A.fN("Task G:\u00a0Select IMS Fields","41");
C=B.fN("Interpreting the Header Section","41#134513");
C=B.fN("IMS Field Section","41#134524");
C=B.fN("Metadata Field Section","41#171480");
B=A.fN("Task H:\u00a0Define Event Rule Information","42");
C=B.fN("Defining Fields","42#141282");
B=A.fN("Defining Secondary Indexes","43");
C=B.fN("Defining Access Values","43#136020");
C=B.fN("Defining Multiple Record Formats","43#136490");
C=B.fN("Mapping Data Types","43#157877");
B=A.fN("Mapping Considerations","44");
C=B.fN("Effects of Segment Selection","44#138328");
C=B.fN("Retrieving and Updating Non-unique IMS Data","44#140037");
C=B.fN("Effects of Field Selection","44#140223");
A=P.fN("Chapter\u00a04 Processing IMS Data","45");
B=A.fN("Accessing TIBCO Object Service Broker IMS Tables","46");
C=B.fN("Using the Table Browser and Table Editor","46#40012");
C=B.fN("Browsing IMS Tables","46#38248");
B=A.fN("Using Rules","47");
C=B.fN("Transaction Processing","47#38870");
C=B.fN("Retrieval Processing","47#67157");
C=B.fN("Replace (Update) Processing","47#40793");
C=B.fN("Insert Processing","47#40386");
C=B.fN("Delete Processing","47#40421");
B=A.fN("Understanding Gateway Behavior","48");
C=B.fN("Synchronization and Recovery","48#37367");
C=B.fN("Gateway for IMS Exceptions","48#35272");
C=B.fN("Using @SERVERERROR","48#56654");
A=P.fN("Appendix\u00a0A Documenting IMS Tables","49");
B=A.fN("Using the Documentation Screen","50");
C=B.fN("Field Values","50#3607");
C=B.fN("PF Keys","50#3727");
A=P.fN("Appendix\u00a0B Samples of Recommended Table Definitions","51");
B=A.fN("Sample Table Definitions","52");
C=B.fN("Sample IMS Database with Unique Segments","52#18406");
C=B.fN("Sample IMS Database with Non-unique Segments","52#4532");
}
