function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42496");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Installing Service Gateway for DB2","6");
B=A.fN("Introduction","7");
C=B.fN("Accessing DB2 Data","7#8226");
C=B.fN("Initializing a Gateway","7#5481");
C=B.fN("Processing DB2 Data","7#16349");
C=B.fN("Deployment","7#739500");
B=A.fN("Preparing for Installation","8");
B=A.fN("Distribution Media and Contents","9");
C=B.fN("Obtaining the Installation Media","9#734691");
C=B.fN("Installation Files","9#734697");
B=A.fN("Uploading the Software","10");
B=A.fN("Installing the Software","11");
C=B.fN("Edit the Properties File","11#743396");
C=B.fN("Initial Installation","11#743284");
B=A.fN("Installing on a Remote Host","12");
C=B.fN("Distribution Media and Contents","12#737769");
C=B.fN("Uploading the Software","12#737782");
C=B.fN("Installing the Software","12#737832");
C=B.fN("Uninstalling on a Remote Host","12#734967");
B=A.fN("Binding the Gateway Plan","13");
C=B.fN("Determining Binding Procedure","13#735066");
C=B.fN("Binding With Static SQL or Stored Procedures","13#735079");
C=B.fN("Binding Without Static SQL","13#735151");
B=A.fN("Requirements for Accessing DB2 Using Static SQL","14");
C=B.fN("Required Static SQL Data Sets","14#758207");
C=B.fN("Using the @STATICSQL Tool","14#758271");
B=A.fN("Specifying the Gateway Plan to TIBCO Object Service Broker","15");
C=B.fN("Specifying Different DB2 Plans","15#735198");
B=A.fN("Implementing Security","16");
C=B.fN("DB2 Security","16#735260");
C=B.fN("TIBCO Object Service Broker Security","16#735293");
C=B.fN("Considering Fail Safe Processing","16#735306");
B=A.fN("Specifying Gateway Parameters","17");
C=B.fN("Defining Parameters in a Data Set","17#735327");
C=B.fN("Gateway Input Parameters","17#735334");
B=A.fN("Startup Prerequisites","18");
C=B.fN("Prerequisites","18#735345");
C=B.fN("Default Resource Settings (z/OS with DYNAMICRESOURCE=N only)","18#735359");
B=A.fN("Starting the Gateway","19");
C=B.fN("Running the Gateway as a Batch Job","19#735444");
C=B.fN("Running the Gateway as a Started Task","19#735448");
B=A.fN("Shutting Down the Gateway","20");
C=B.fN("Using the MODIFY Operator Command","20#735486");
C=B.fN("RESOURCE MANAGEMENT Option","20#735507");
B=A.fN("Installation Verification","21");
A=P.fN("Chapter\u00a02 Operating Service Gateway for DB2","22");
B=A.fN("Defining TIBCO Object Service Broker DB2 Tables","23");
C=B.fN("Using the Gateway Method","23#1250830");
C=B.fN("Using the Extraction Method","23#222792");
C=B.fN("Binding TIBCO Object Service Broker DB2 Table Definitions","23#178548");
B=A.fN("Gateway Parameters","24");
C=B.fN("Dynamically Changing Gateway Parameters","24#181783");
B=A.fN("Operations","25");
C=B.fN("Implementing External Security","25#213439");
C=B.fN("Implementing Fail Safe Processing","25#183266");
C=B.fN("Other Operational Procedures","25#226702");
B=A.fN("Connecting the Gateway to a Windows, or Solaris Data\u00a0Object Broker","26");
A=P.fN("Chapter\u00a03 Using Static SQL","27");
B=A.fN("Why Use Static SQL?","28");
C=B.fN("Procedure Overview","28#59906");
B=A.fN("Task A: Log DB2 Accesses","29");
C=B.fN("Procedure","29#88114");
B=A.fN("Task B: Prepare to Generate Static SQL","30");
C=B.fN("Edit Import and Export Table Definitions","30#60314");
C=B.fN("Customization","30#60403");
B=A.fN("Task C: Generate Static SQL Using the @STATICSQL Tool","31");
C=B.fN("@STATICSQL Functionality","31#84097");
C=B.fN("Using DB2 LIKE or NOT","31#85280");
C=B.fN("Static SQL Screen","31#85380");
B=A.fN("Task D: Manage Warning and Error Messages from @STATICSQL","32");
C=B.fN("@SS_SELECTION Table","32#62512");
C=B.fN("Cursor Names","32#62994");
C=B.fN("Sample Warning Messages Generated By @STATICSQL","32#62843");
C=B.fN("Sample Error Messages Generated By @STATICSQL","32#62774");
B=A.fN("Task E: Assemble the Static SQL Handler","33");
C=B.fN("Using the Generated JCL","33#63026");
B=A.fN("Task F: Link the Static SQL Handler","34");
C=B.fN("Sample JCL","34#63915");
C=B.fN("Default Static SQL Handlers","34#63951");
B=A.fN("Task G: Bind the DB2 Gateway Plan with Static SQL","35");
C=B.fN("Procedure","35#64041");
B=A.fN("Task H: Update the Gateway Startup JCL","36");
C=B.fN("Add Static SQL Load Library to Startup JCL","36#64117");
B=A.fN("Static SQL Usage","37");
C=B.fN("Handling Static SQL Errors","37#59640");
C=B.fN("Conditions Under Which Dynamic SQL is Used","37#13526");
D=C.fN("Promoting Applications That Use Static SQL","37#29338");
A=P.fN("Chapter\u00a04 Managing DB2 Data Definitions","38");
B=A.fN("Accessing DB2 Data from TIBCO Object Service Broker","39");
C=B.fN("Procedural Overview","39#119016");
B=A.fN("Task A\u00a0 Choose a Method to Obtain the DB2 Table Definition","40");
B=A.fN("Task B\u00a0 Invoke the Table Definer","41");
C=B.fN("Invocation Functions","41#114020");
C=B.fN("Accessing Existing Tables","41#119159");
C=B.fN("Defining a New Table","41#143045");
B=A.fN("Task C\u00a0 Select a DB2 Table or Stored Procedure","42");
C=B.fN("Header Segment","42#119355");
C=B.fN("Selecting the Foundation of a TIBCO Object Service Broker DB2 Table","42#126568");
C=B.fN("Location Parameter Segment","42#126960");
C=B.fN("Event Rule Segment","42#119942");
B=A.fN("Task D\u00a0 Select DB2 Columns","43");
C=B.fN("TIBCO Object Service Broker Field Defaults","43#120370");
B=A.fN("Task E\u00a0 Change the Defaults if Necessary","44");
C=B.fN("Default Order in Which the Fields Appear","44#124642");
C=B.fN("Default Order of Parameters","44#124599");
C=B.fN("Field Name","44#124779");
C=B.fN("TIBCO Object Service Broker Semantic Type and Syntax","44#124913");
C=B.fN("Field Length","44#125475");
C=B.fN("Occurrence Order","44#125416");
C=B.fN("Server Orders","44#125617");
C=B.fN("Sample External Table Definition to Access DB2 Data","44#125739");
C=B.fN("DB2 Stored Procedure Result Set Extract","44#234984");
C=B.fN("Result Set Table Naming Convention","44#235429");
C=B.fN("Stored Procedure Definition","44#235425");
B=A.fN("Effects of DB2 Column Selection on DB2 Processing","45");
A=P.fN("Chapter\u00a05 Processing Data","46");
B=A.fN("Accessing TIBCO Object Service Broker DB2 Tables","47");
C=B.fN("Using the TIBCO Object Service Broker Table Browser and Table Editor","47#45266");
C=B.fN("Using Rules","47#59488");
C=B.fN("Rules Behavior","47#53479");
B=A.fN("Behavior of the Gateway","48");
C=B.fN("TIBCO Object Service Broker DB2 Requests","48#53065");
C=B.fN("Synchronization and Recovery","48#59535");
C=B.fN("Static SQL","48#51520");
C=B.fN("Error Handling","48#84881");
C=B.fN("@SERVERERROR Tool","48#56676");
C=B.fN("Stored Procedure Processing","48#91626");
A=P.fN("Appendix\u00a0A Documenting DB2 Tables","49");
B=A.fN("Using the Documentation Screen","50");
}
