function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42494");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Installing Service Gateway for IDMS/DB","6");
B=A.fN("Introducing Service Gateway for IDMS/DB","7");
C=B.fN("Accessing CA\u2011IDMS Data","7#16857");
C=B.fN("Initializing a Gateway","7#1028991");
C=B.fN("Processing CA\u2011IDMS Data","7#1025671");
C=B.fN("Deployment","7#1029651");
B=A.fN("Preparing for Installation","8");
B=A.fN("Distribution Media and Contents","9");
C=B.fN("Installation Media","9#1025832");
C=B.fN("Installation Files","9#1025838");
B=A.fN("Uploading the Software","10");
B=A.fN("Installing the Software","11");
C=B.fN("Edit the Properties File","11#1033346");
C=B.fN("Initial Installation","11#1033331");
C=B.fN("Preparing for Subschema Access","11#1039100");
B=A.fN("Installing on a Remote Host","12");
C=B.fN("Distribution Media and Contents","12#1027842");
C=B.fN("Uploading of the Software","12#1027855");
C=B.fN("Installation Process","12#1027905");
C=B.fN("Verification of Installation","12#1034589");
C=B.fN("Uninstalling on a Remote Host","12#1039211");
B=A.fN("Implementing Security","13");
C=B.fN("Using Program Registration","13#1026088");
C=B.fN("External Security Package","13#1026149");
C=B.fN("TIBCO Object Service Broker Security","13#1026237");
C=B.fN("Fail Safe Processing","13#1026250");
B=A.fN("Specifying Service Gateway for IDMS/DB Parameters","14");
B=A.fN("Understanding the Startup Prerequisites","15");
C=B.fN("Prerequisites","15#1026379");
C=B.fN("Default Resource Settings (z/OS only)","15#1026400");
B=A.fN("Starting the Gateway","16");
C=B.fN("Running the Gateway as a Batch Job","16#1026476");
C=B.fN("Running the Gateway as a Started Task","16#1026486");
B=A.fN("Shutting Down the Gateway","17");
C=B.fN("MODIFY Operator Command","17#1026537");
C=B.fN("RESOURCE MANAGEMENT Option","17#1026564");
A=P.fN("Chapter\u00a02 Operating Service Gateway for IDMS/DB","18");
B=A.fN("Defining CA\u2011IDMS Databases to TIBCO Object Service Broker","19");
C=B.fN("Using IDMSLOAD","19#5230");
C=B.fN("Using S6BIDU12 and the IDMS Tool","19#5296");
C=B.fN("Determining When to Modify Table Definitions","19#35963");
B=A.fN("Conversions","20");
C=B.fN("Conversion of Record and Element Names","20#6012");
C=B.fN("Conversion of Data Types","20#6077");
C=B.fN("Providing Default Database Names for Users","20#6331");
C=B.fN("Binding IDM Table Definitions","20#1151173");
B=A.fN("Supplying Service Gateway for IDMS/DB Startup Parameters","21");
C=B.fN("Available Parameters","21#6655");
C=B.fN("Estimating the CTABLESIZE Parameter","21#23916");
B=A.fN("Dynamically Changing the Gateway Parameters","22");
C=B.fN("Modifying the SERVERID Startup Parameter","22#7558");
C=B.fN("The Gateway Parameters That Can Be Overridden at Runtime","22#50788");
C=B.fN("Examples Using SETXPARM and RESETXPARM","22#1152570");
B=A.fN("Implementing External Security","23");
C=B.fN("Security Process","23#1187857");
C=B.fN("Installing the External Security Interface","23#7932");
B=A.fN("Implementing Fail Safe Processing","24");
C=B.fN("Procedure","24#47194");
B=A.fN("Connecting the Gateway to a Windows or Solaris Data\u00a0Object\u00a0Broker","25");
C=B.fN("Configure the TCP/IP Connection on z/OS","25#52043");
C=B.fN("Configure the TIBCO Object Service Broker TCP/IP Environment","25#52131");
C=B.fN("Specify the Number of Instances of TIBCO Service Gateway for IDMS/DB Connecting to the Data Object Broker","25#1200732");
C=B.fN("Specify the Gateway Parameter","25#52259");
B=A.fN("Connecting the Gateway Using Cross Memory Services","26");
C=B.fN("Standard Operation","26#1192829");
C=B.fN("Execution via HRNLIB","26#1191950");
C=B.fN("Verification","26#1191295");
B=A.fN("Other Operational Procedures","27");
C=B.fN("Adding the Gateway Tasks","27#1192876");
C=B.fN("Using Distributed Data with TIBCO Service Gateway for IDMS/DB","27#1192887");
C=B.fN("Displaying the Status of the Instances of TIBCO Service Gateway for IDMS/DB","27#1192911");
C=B.fN("Debugging Rules and Applications","27#1192946");
C=B.fN("Reporting Problems","27#1192960");
A=P.fN("Chapter\u00a03 Managing IDMS/DB Data Definitions","28");
B=A.fN("Accessing CA-IDMS Data","29");
C=B.fN("Prerequisite","29#120346");
B=A.fN("Task A\u00a0 Invoke the Table Definer","30");
C=B.fN("Accessing Existing Tables","30#220654");
C=B.fN("Defining a New Table","30#10735");
C=B.fN("Definition Screen Segments","30#142944");
C=B.fN("Modifying the Header Segment","30#143045");
C=B.fN("PF Keys and Primary Commands","30#143274");
B=A.fN("Task B\u00a0 Select a CA\u2011IDMS Subschema","31");
B=A.fN("Task C\u00a0 Specify IDM Table Specifications","32");
C=B.fN("Providing Field Values","32#135296");
B=A.fN("Task D\u00a0 Select CA\u2011IDMS Records","33");
B=A.fN("Task E\u00a0 Specify Record Connections","34");
C=B.fN("Set Connections Screen","34#135335");
C=B.fN("Procedure","34#145202");
C=B.fN("Field Values","34#146702");
C=B.fN("PF Keys","34#220228");
B=A.fN("Task F\u00a0 Define CA\u2011IDMS Elements","35");
C=B.fN("Specifying a Location Parameter","35#84479");
C=B.fN("Specifying Event Rules","35#195353");
C=B.fN("Selecting Elements","35#190406");
C=B.fN("Using Line Commands","35#189283");
C=B.fN("Elements Screen PF Keys","35#189463");
B=A.fN("Task G\u00a0 Verify the Access Path","36");
C=B.fN("IDM Table Definition Screen","36#135427");
B=A.fN("Mapping Considerations","37");
C=B.fN("Effects of Record Selection","37#148876");
C=B.fN("Effects of Element Selection","37#13659");
A=P.fN("Chapter\u00a04 Processing Data","38");
B=A.fN("Accessing TIBCO Object Service Broker IDM Tables","39");
C=B.fN("Using the Table Browser","39#46122");
B=A.fN("Using Rules","40");
C=B.fN("Transaction Processing","40#37432");
C=B.fN("Transaction Limitations","40#37597");
B=A.fN("GET Processing","41");
C=B.fN("Retrieving the First Record Defined in an Unparameterized Table","41#63129");
C=B.fN("Retrieving the First Record in a Parameterized Table","41#63277");
C=B.fN("Retrieving Remaining Parameterized Table Records","41#63083");
B=A.fN("FORALL Processing","42");
C=B.fN("Non-parameterized Table Access","42#62315");
C=B.fN("Parameterized Table Access","42#85003");
C=B.fN("Retrieving the Remaining Records","42#62522");
B=A.fN("Replace (Update) Processing","43");
C=B.fN("Processing Considerations","43#61577");
B=A.fN("Insert Processing","44");
C=B.fN("Processing Considerations","44#61328");
B=A.fN("Delete Processing","45");
C=B.fN("Processing Considerations","45#61062");
B=A.fN("Error Handling and Recovery","46");
C=B.fN("Synchronization and Recovery","46#49097");
C=B.fN("Error Handling","46#56496");
C=B.fN("@SERVERERROR Tool","46#87822");
A=P.fN("Appendix\u00a0A Documenting IDM Tables","47");
B=A.fN("Using the Documentation Screen","48");
C=B.fN("Field Values","48#1964");
C=B.fN("PF Keys","48#12305");
}
