function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42542");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Introducing External Data Interfaces","6");
B=A.fN("Overview","7");
C=B.fN("Service Gateway for Files","7#1679634");
C=B.fN("Adabas, CA Datacom, and VSAM LDS Access","7#1676028");
B=A.fN("External Data Accesses","8");
C=B.fN("IMP (Import)","8#1675869");
C=B.fN("EXP (Export)","8#1671552");
C=B.fN("VSM (VSAM)","8#1671572");
B=A.fN("How TIBCO Object Service Broker Exchanges Data","9");
B=A.fN("Initial Step for Defining Tables","10");
C=B.fN("Invoke the Table Definer","10#1671634");
C=B.fN("Specify the Table Type for New Tables","10#1671640");
B=A.fN("Using Data Discovery","11");
C=B.fN("Monitoring Copybook Changes","11#1679402");
C=B.fN("Running the Change Tracking Agent","11#1671690");
A=P.fN("Chapter\u00a02 Installing and Using TIBCO Service Gateway for Files","12");
B=A.fN("Overview","13");
C=B.fN("Supported Connectivity","13#1704406");
C=B.fN("Optional Field for Service Gateway for Files","13#1704404");
C=B.fN("Restrictions in Use","13#1677646");
C=B.fN("Shares Infrastructure Used by Peer Servers","13#1690883");
C=B.fN("Request Flow","13#1690881");
B=A.fN("Distribution Media and Contents","14");
C=B.fN("Installation Media","14#1697283");
C=B.fN("Open Systems Distribution","14#1758472");
B=A.fN("Installing the Software on an Open Systems Host","15");
C=B.fN("Installation Types","15#1758911");
C=B.fN("Installation Modes","15#1758930");
C=B.fN("Preparation for Installation","15#1759261");
C=B.fN("Installing the Service Gateway for Files","15#1759589");
C=B.fN("Installation Modes \u2014 Using a Response File","15#1759917");
C=B.fN("Post Installation","15#1760688");
C=B.fN("Uninstalling the Software","15#1760946");
B=A.fN("Installing the Software on a z/OS Host","16");
C=B.fN("Installing Remote on Same Host","16#1761486");
C=B.fN("Installing Remote on Separate Host","16#1687059");
C=B.fN("Configuration of TCP/IP","16#1738948");
C=B.fN("Verification of Installation","16#1754782");
C=B.fN("Reruns of the Installation","16#1707354");
C=B.fN("Restarts of the Installation","16#1707370");
B=A.fN("Uninstalling","17");
B=A.fN("Configuring Service Gateway for Files","18");
C=B.fN("Configuring a Service Gateway for Files to Run on Open Systems","18#1764572");
C=B.fN("Configuring a Service Gateway for Files to Run on z/OS","18#1764584");
B=A.fN("Setting Up the Communications Infrastructure","19");
C=B.fN("Prerequisites","19#1690071");
C=B.fN("Data Object Broker on z/OS to Communicate with a Service Gateway for Files","19#1679750");
C=B.fN("Definition of the Gateway as a Resource","19#1702440");
B=A.fN("Management of Service Gateway for Files","20");
C=B.fN("Startup of a Service Gateway for Files","20#1690788");
C=B.fN("Shutdown of a Service Gateway for Files","20#1690791");
C=B.fN("Automatic Restart of a Service Gateway for Files","20#1690830");
B=A.fN("Monitoring of Service Gateway for Files","21");
C=B.fN("Administration","21#1681836");
C=B.fN("Log Files","21#1682683");
B=A.fN("Service Gateway for Files and National Language Support","22");
A=P.fN("Chapter\u00a03 Managing IMP Data Definitions","23");
B=A.fN("Accessing External Data from TIBCO Object Service Broker","24");
C=B.fN("Using a Copybook as the Source for the Definition","24#1671635");
C=B.fN("Steps Required to Define an Import Table","24#1671646");
B=A.fN("Task A: Identify the Table","25");
C=B.fN("Table, Type, Unit, and IDgen Fields","25#1671730");
B=A.fN("Task B: Identify the Data","26");
C=B.fN("File Field","26#1671788");
C=B.fN("DDname Field","26#1678252");
C=B.fN("Server ID Field","26#1676646");
C=B.fN("Data Cleansing Field","26#1683765");
B=A.fN("Task C: Specify Data and Location Parameters","27");
C=B.fN("Data Parameter","27#1671896");
C=B.fN("Location Parameter","27#1671942");
B=A.fN("Task D: Specify Event Rules","28");
C=B.fN("Event Rule, Typ, and Acc Fields","28#1671974");
B=A.fN("Task E: Define Fields","29");
C=B.fN("Specifying External Import Attributes","29#1672032");
C=B.fN("Specifying Internal TIBCO Object Service Broker Attributes","29#1672083");
A=P.fN("Chapter\u00a04 Defining Import Tables for Files with Multiple Record Formats","30");
B=A.fN("How to Define Import Tables for Files with Multiple Record Formats","31");
C=B.fN("What is a Multiple Record Format?","31#1671582");
C=B.fN("What is a Repeating Group?","31#1671589");
C=B.fN("Definition Requirements","31#1671592");
B=A.fN("First Sample File \u2013 Personnel","32");
C=B.fN("Types of Records in File","32#1671634");
C=B.fN("Table Definitions","32#1671674");
B=A.fN("Second Sample File \u2013 Inventory","33");
C=B.fN("Types of Records in File","33#1671734");
C=B.fN("Table Definitions","33#1671758");
C=B.fN("Processing","33#1671892");
A=P.fN("Chapter\u00a05 Manipulating Import Data Using TIBCO Object Service Broker","34");
B=A.fN("Accessing Import Tables","35");
C=B.fN("Using the Table Browser","35#1671613");
C=B.fN("Using Rules","35#1671621");
C=B.fN("Considerations","35#1671643");
C=B.fN("Retrieval Processing","35#1671653");
C=B.fN("Remote Table Access","35#1671672");
C=B.fN("Steps to Process a Multi-record Table Remotely","35#1671674");
B=A.fN("Sample Rules","36");
C=B.fN("Sample Rule 1: Normal Access","36#1671724");
C=B.fN("Sample Rule 2: Accessing Multiple Record Formats","36#1671751");
C=B.fN("Explanation of the EMPLOYEE_B Rule","36#1671781");
B=A.fN("Listing Members of a PDS (z/OS) or Files in a Directory (Open Systems)","37");
C=B.fN("Example for a PDS in z/OS","37#1671814");
C=B.fN("Example for a Directory in Windows or Solaris","37#1671899");
B=A.fN("Handling TIBCO Object Service Broker Requests","38");
C=B.fN("ERROR Exception","38#1672007");
C=B.fN("ACCESSFAIL Exception","38#1672010");
C=B.fN("INTEGRITYFAIL Exception","38#1672013");
B=A.fN("External Routines (Pre-processing the Data)","39");
C=B.fN("Manipulating Data with External Routines (z/OS Only)","39#1672039");
C=B.fN("Parameters Passed to the External Routine","39#1672060");
C=B.fN("Valid Return Codes","39#1672113");
C=B.fN("Example of an Exit","39#1672140");
C=B.fN("Example of an Exit that Normalizes Data","39#1672173");
A=P.fN("Chapter\u00a06 Managing EXP Data Definitions","40");
B=A.fN("Writing TIBCO Object Service Broker Tables to External Files","41");
C=B.fN("Using a Copybook as the Source for the Definition","41#1671635");
C=B.fN("Steps Required to Define Export Tables","41#1671646");
B=A.fN("Task A: Identify the Table","42");
C=B.fN("Table, Type, and Unit Fields","42#1671729");
B=A.fN("Task B: Identify the Data","43");
C=B.fN("File Field","43#1671764");
C=B.fN("DDname Field","43#1671818");
C=B.fN("Server ID Field","43#1675344");
C=B.fN("External Routine Name Field","43#1675341");
B=A.fN("Task C: Specify Data and Location Parameters","44");
C=B.fN("Data Parameter","44#1671881");
C=B.fN("Location Parameter","44#1671890");
B=A.fN("Task D: Specify Event Rules","45");
C=B.fN("Event Rule, Typ, and Acc Fields","45#1671922");
B=A.fN("Task E: Define Fields","46");
C=B.fN("Considerations","46#1671959");
C=B.fN("Specifying External Export Attributes","46#1671979");
C=B.fN("Specifying Internal TIBCO Object Service Broker Attributes","46#1672029");
A=P.fN("Chapter\u00a07 Processing External Data Using TIBCO Object Service Broker","47");
B=A.fN("Writing Data to an Export File and Accessing the Exported Data","48");
C=B.fN("Using Rules","48#1671592");
C=B.fN("Using COPY_DATA","48#1671605");
C=B.fN("Using Copy Table","48#1671614");
C=B.fN("Accessing the Exported Data","48#1671620");
B=A.fN("Handling TIBCO Object Service Broker Requests","49");
C=B.fN("Transaction Length","49#1671649");
C=B.fN("Error Handling","49#1671655");
C=B.fN("ERROR Exception","49#1671668");
C=B.fN("ACCESSFAIL Exception","49#1672754");
C=B.fN("INTEGRITYFAIL Exception","49#1671671");
B=A.fN("External Routines (Pre-processing the Data)","50");
C=B.fN("Manipulating Data with External Routines (z/OS Only)","50#1671697");
C=B.fN("Parameters Passed to the External Routine","50#1671718");
C=B.fN("Valid Return Codes","50#1671770");
C=B.fN("Example of an Exit that Exports Variable Length Records","50#1671797");
A=P.fN("Chapter\u00a08 Managing VSAM Data Definitions","51");
B=A.fN("Accessing VSAM Data from TIBCO Object Service Broker","52");
C=B.fN("Using a Copybook as the Source for the Definition","52#1671639");
C=B.fN("Steps Required to Define a VSAM Table","52#1671664");
B=A.fN("Task A: Identify the Table","53");
C=B.fN("Table, Type, Unit, and IDgen Fields","53#1671756");
B=A.fN("Task B: Identify the Data","54");
C=B.fN("File Field","54#1671791");
C=B.fN("DDname Field","54#1671801");
C=B.fN("Read Only Field","54#1671812");
C=B.fN("Load Field","54#1671820");
C=B.fN("Data Set Type Field","54#1671823");
C=B.fN("Ignore Field","54#1671826");
C=B.fN("Server ID Field","54#1677384");
B=A.fN("Task C: Specify Data and Location Parameters","55");
C=B.fN("Data Parameter","55#1671863");
C=B.fN("Location Parameter","55#1671900");
B=A.fN("Task D: Specify Event Rules","56");
C=B.fN("Event Rule, Typ, and Acc Fields","56#1671932");
B=A.fN("Task E: Define Fields","57");
C=B.fN("Considerations","57#1671968");
C=B.fN("Specifying External VSAM Attributes","57#1671982");
C=B.fN("Specifying Internal TIBCO Object Service Broker Attributes","57#1672021");
C=B.fN("Behavior of Numeric Key Fields in VSAM Tables","57#1672103");
B=A.fN("Data Set Requirements","58");
C=B.fN("KSDS Requirements","58#1672113");
C=B.fN("ESDS Requirements","58#1672132");
C=B.fN("RRDS Requirements","58#1672143");
A=P.fN("Chapter\u00a09 Defining VSAM Tables for Files with Multiple Record Formats","59");
B=A.fN("VSAM Tables for Files with Multiple Records","60");
C=B.fN("What is a Multiple Record Format?","60#1671578");
C=B.fN("What is a Repeating Group?","60#1671585");
C=B.fN("Sample File","60#1671588");
B=A.fN("Definition Requirements","61");
C=B.fN("Base and Child Definitions","61#1671629");
C=B.fN("Definition Requirements of a Child Table","61#1671634");
C=B.fN("Sample Definition (Record A)","61#1671664");
C=B.fN("Sample Definition (Record B)","61#1671694");
A=P.fN("Chapter\u00a010 Processing VSAM Data Using TIBCO Object Service Broker","62");
B=A.fN("Access of TIBCO Object Service Broker VSAM Tables","63");
C=B.fN("Editing or Browsing","63#1671586");
C=B.fN("Using the Table Editor","63#1671595");
C=B.fN("Using the Table Browser","63#1671609");
C=B.fN("Using Rules","63#1671620");
C=B.fN("VSAM Files with Multiple Record Formats and Repeating Groups","63#1671641");
C=B.fN("Retrieval Processing","63#1671653");
B=A.fN("Sample Rules","64");
C=B.fN("Sample Rule 1: Accessing Multiple Record Formats","64#1671689");
C=B.fN("Sample Rule 2: Inserting Parent Record with Children","64#1671722");
B=A.fN("Handling of TIBCO Object Service Broker Requests","65");
C=B.fN("Synchronization and Recovery","65#1671776");
C=B.fN("Error Handling","65#1672068");
C=B.fN("ERROR Exception","65#1672081");
C=B.fN("ACCESSFAIL Exception","65#1672084");
C=B.fN("INTEGRITYFAIL Exception","65#1672099");
A=P.fN("Appendix\u00a0A Mapping Data Types","66");
A=P.fN("Appendix\u00a0B Mapping File Names for Open Systems","67");
B=A.fN("Access to External Files","68");
C=B.fN("Providing a File Name","68#1671575");
C=B.fN("Using the DSDIR Parameter to Provide a File Name","68#1671589");
C=B.fN("Using filespec.dsn to Provide a File Name","68#1671593");
C=B.fN("Mapping a Partitioned Data Set","68#1671692");
A=P.fN("Appendix\u00a0C Data Cleansing","69");
B=A.fN("Options","70");
B=A.fN("Examples","71");
}
