function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42503");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Getting Started with Object Integration Gateway (OIG)","6");
B=A.fN("Overview","7");
C=B.fN("What Is OIG?","7#1671591");
C=B.fN("What Are the Key Components of OIG?","7#1671627");
B=A.fN("Prerequisites","8");
C=B.fN("J2EE Components on Open Systems","8#1673477");
C=B.fN("COM Component","8#1673483");
C=B.fN("OIG for\u00a0.NET","8#1673489");
C=B.fN("OIG Components on z/OS","8#1673500");
B=A.fN("Installing the OIG Administration Interface","9");
A=P.fN("Chapter\u00a02 Designing an OIG Application","10");
B=A.fN("Overview","11");
C=B.fN("Tools Available","11#1671610");
C=B.fN("Components Available","11#1671661");
B=A.fN("Designing a Transaction","12");
C=B.fN("Transaction","12#1671725");
C=B.fN("Linking Other OIG Objects to a Transaction","12#1671782");
B=A.fN("Designing an XML Document","13");
C=B.fN("XML Capabilities of OIG","13#1671941");
C=B.fN("XML Field Map","13#1671948");
C=B.fN("Root Names for XML Document Tables","13#1676135");
B=A.fN("Transferring OIG Objects Between Databases","14");
C=B.fN("Transferring Objects","14#1671953");
C=B.fN("OIG Object Types That Can Be Transferred?","14#1671964");
C=B.fN("Using UNLOAD and LOAD","14#1671973");
C=B.fN("Promoting OIG Objects","14#1672000");
B=A.fN("Using Data Access Parameters","15");
C=B.fN("Data Access Parameters Can Be Dynamic","15#1672034");
B=A.fN("Passing Data to and Receiving Data from OIG","16");
C=B.fN("Passing Parameters Data","16#1675486");
C=B.fN("Passing and Receiving Session Data","16#1675537");
C=B.fN("Passing and Receiving Data as Tables or XML","16#1675547");
A=P.fN("Chapter\u00a03 Using OIG for\u00a0.NET","17");
B=A.fN("Overview","18");
C=B.fN("Object Integration Gateway Support for\u00a0.NET","18#1671599");
B=A.fN("Configuring Pools for the\u00a0.NET Class Library","19");
C=B.fN("The Pool Configuration Tool","19#1671617");
B=A.fN("Instantiating the eCTSsession Object","20");
C=B.fN("Constructors","20#1671635");
C=B.fN("Example","20#1671650");
B=A.fN("Passing Data to the eCTSsession Object","21");
C=B.fN("Strings","21#1671661");
C=B.fN("Hashtable and NameValueCollection Classes","21#1671664");
C=B.fN("Recordsets","21#1671678");
B=A.fN("eCTSsession Methods","22");
C=B.fN("Opening Object Integration Gateway Sessions","22#1671690");
C=B.fN("Closing Object Integration Gateway Sessions","22#1671747");
C=B.fN("Invoking Processing","22#1671778");
C=B.fN("Handling Data","22#1671947");
C=B.fN("Handling HTML and Messages","22#1672283");
C=B.fN("Handling Errors from eCTSsession","22#1672299");
C=B.fN("Managing Persistent Data for Web Sessions","22#1672313");
C=B.fN("Managing Persistent Data for Non-Web Sessions","22#1672355");
B=A.fN("Code Examples","23");
C=B.fN("Example 1","23#1674409");
C=B.fN("Example 2","23#1672561");
A=P.fN("Chapter\u00a04 Using the OIG COM Component","24");
B=A.fN("Overview","25");
C=B.fN("Object Integration Gateway COM Component","25#1671596");
B=A.fN("Configuring the Object Integration Gateway COM Component","26");
C=B.fN("Object Integration Gateway COM Configurator","26#1671619");
B=A.fN("Instantiating the Object Integration Gateway COM Component","27");
C=B.fN("Examples","27#1671646");
B=A.fN("Passing Data to the Object Integration Gateway COM Component","28");
C=B.fN("Overview","28#1671671");
C=B.fN("Strings","28#1671673");
C=B.fN("String Arrays","28#1671676");
C=B.fN("Recordsets","28#1671694");
B=A.fN("eCTSsession Methods","29");
C=B.fN("Opening Object Integration Gateway Sessions","29#1671706");
C=B.fN("Closing Object Integration Gateway Sessions","29#1671763");
C=B.fN("Invoking Processing","29#1671774");
C=B.fN("Handling Data","29#1671929");
C=B.fN("Handling Other Data","29#1672089");
C=B.fN("Managing Persistent Data for Web Sessions","29#1672124");
C=B.fN("Managing Persistent Data for Non-Web Sessions","29#1672163");
B=A.fN("Code Examples","30");
A=P.fN("Chapter\u00a05 Using OIG in Enterprise JavaBean (EJB) Environments\u00a0\u00a0\u00a0","31");
B=A.fN("Overview","32");
C=B.fN("What Is an Enterprise JavaBean?","32#1671577");
C=B.fN("How Does Object Integration Gateway Support Enterprise JavaBeans?","32#1671583");
B=A.fN("Object Integration Gateway EJB Components","33");
C=B.fN("ects2EJBbase Base Class","33#1671601");
C=B.fN("Home Interface","33#1671773");
C=B.fN("Remote Interface","33#1671790");
C=B.fN("Deployment Descriptor","33#1671796");
C=B.fN("WebRowSet Class","33#1671803");
C=B.fN("EJB Code Examples","33#1671883");
A=P.fN("Chapter\u00a06 Using the OIG JCA Adapter","34");
B=A.fN("Overview","35");
C=B.fN("What Is J2EE Connector Architecture?","35#1671581");
B=A.fN("JCA Deployment Descriptor","36");
C=B.fN("What is the Deployment Descriptor?","36#1671628");
C=B.fN("Deployment Descriptor Example","36#1671631");
B=A.fN("Working with the Deployment Descriptor","37");
C=B.fN("Changing Deployment Descriptor Settings","37#1671744");
C=B.fN("Installation and Deployment","37#1671879");
C=B.fN("Using the Adapter","37#1671904");
A=P.fN("Chapter\u00a07 Using the OIG Application Bean","38");
B=A.fN("OIG Application Bean","39");
C=B.fN("ects2AppBean Class","39#1671573");
C=B.fN("ects2Result Class","39#1671844");
C=B.fN("ects2AppBeanException Class","39#1671881");
A=P.fN("Chapter\u00a08 Using XAL","40");
B=A.fN("Overview","41");
C=B.fN("What Is XAL?","41#1671575");
C=B.fN("How Does XAL Work?","41#1671588");
B=A.fN("Creating an XAL Web Application","42");
C=B.fN("Deploying the Sample JSP Application","42#1671603");
C=B.fN("How the Sample Web Application Works","42#1671625");
C=B.fN("Handling Errors","42#1671648");
C=B.fN("Modifying the Sample JSP Application","42#1671655");
A=P.fN("Chapter\u00a09 Using the OIG Rules Programming Interface","43");
B=A.fN("Overview","44");
C=B.fN("What Is the Rules Programming Interface?","44#1671598");
C=B.fN("Working with the RPI","44#1671616");
C=B.fN("What You Need to Know to Work with the RPI","44#1671625");
C=B.fN("What Reference Material Is Provided?","44#1671630");
B=A.fN("Types of Rules","45");
C=B.fN("Rule Types","45#1671676");
B=A.fN("Build Rules","46");
C=B.fN("Pre-Build Rules","46#1671699");
C=B.fN("Post-Build Rules","46#1671704");
B=A.fN("Format Rules","47");
C=B.fN("Applying Format Rules","47#1671715");
B=A.fN("Utility Rules","48");
C=B.fN("Accessing RPI Arguments","48#1671741");
C=B.fN("Accessing Object Integration Gateway Session Parameters","48#1671756");
C=B.fN("Messaging","48#1671774");
C=B.fN("Execution/Generation","48#1677725");
C=B.fN("Formatting and Linking","48#1677356");
C=B.fN("Selecting an Application Profile","48#1671847");
C=B.fN("Making an HTTP Request","48#1671855");
C=B.fN("Logging","48#1678899");
B=A.fN("RPI Variables","49");
C=B.fN("Object Integration Gateway Interface Variables","49#1672011");
A=P.fN("Appendix\u00a0A Setting OIG Session Initialization Parameters","50");
B=A.fN("Session Parameters","51");
C=B.fN("DATAIN","51#1671583");
C=B.fN("DATAOUT","51#1671595");
C=B.fN("DEBUG","51#1671607");
C=B.fN("HOST","51#1671620");
C=B.fN("LIBRARY","51#1671652");
C=B.fN("MAXSESSION","51#1671672");
C=B.fN("PASSWORD","51#1671688");
C=B.fN("POOLTIMEOUT","51#1671710");
C=B.fN("PORT","51#1671727");
C=B.fN("PREFIX","51#1671742");
C=B.fN("SEARCH","51#1671761");
C=B.fN("STANDBYWAIT","51#1671811");
C=B.fN("TRACEMESSAGES","51#1672998");
C=B.fN("USERID","51#1671819");
B=A.fN("XAL-Specific Session Initialization Parameters","52");
A=P.fN("Appendix\u00a0B Understanding the Data Access Parameter Syntax","53");
B=A.fN("Data Parameter Value Syntax","54");
C=B.fN("Example","54#1671580");
C=B.fN("Syntax in BNF Notation","54#1671582");
B=A.fN("Data Key Value Syntax","55");
C=B.fN("Example","55#1671606");
C=B.fN("Syntax in BNF Notation","55#1671608");
A=P.fN("Appendix\u00a0C Creating XML Documents","56");
B=A.fN("Performing the First Steps","57");
B=A.fN("Defining XML Documents","58");
B=A.fN("Adding Tables","59");
B=A.fN("Adding Field Maps","60");
B=A.fN("Understanding Other Field Attributes","61");
C=B.fN("Group Name","61#1676755");
C=B.fN("Format Rules","61#1676961");
C=B.fN("Usage","61#1676987");
C=B.fN("Table Override","61#1676991");
C=B.fN("Empty Element Name","61#1676995");
B=A.fN("Understanding Child Documents","62");
B=A.fN("Using XML Documents","63");
B=A.fN("Defining Attribute Relationships","64");
B=A.fN("Customizing XML Declarations","65");
A=P.fN("Appendix\u00a0D Using the OIG Administration Interface","66");
B=A.fN("Overview","67");
C=B.fN("What Is the Administration Interface?","67#1671577");
B=A.fN("Using the Administration Interface","68");
C=B.fN("Logging In","68#1671585");
C=B.fN("Using the Pool List Page","68#1671598");
C=B.fN("Using the Pool Details Page","68#1671630");
C=B.fN("Exiting the Administration Interface","68#1671683");
A=P.fN("Appendix\u00a0E Creating a Silent Installer for the OIG COM Component","69");
B=A.fN("Overview","70");
C=B.fN("What Is a Silent Install?","70#1671576");
B=A.fN("Creating a Silent Installer","71");
C=B.fN("What the Installer Has to Do","71#1671582");
C=B.fN("After Installing","71#1671657");
}
