function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42511");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Overview of Data Structures","6");
B=A.fN("Relationships of Data","7");
C=B.fN("How is Data Viewed in TIBCO Object Service Broker?","7#1671509");
C=B.fN("Three Views of Data","7#1671519");
B=A.fN("Views of Data","8");
C=B.fN("First Level: Application View","8#1671529");
C=B.fN("Second Level: Logical View","8#1671542");
C=B.fN("Third Level: Physical Store","8#1671546");
B=A.fN("Your Data Store","9");
C=B.fN("What is Your Data Store?","9#1671560");
C=B.fN("Stored Types of Data","9#1671579");
C=B.fN("Persistent Data","9#1671609");
C=B.fN("Non-persistent Data","9#1671711");
B=A.fN("Storage of TIBCO Object Service Broker Data","10");
C=B.fN("Pagestore","10#1671777");
B=A.fN("Use of Tables in TIBCO Object Service Broker","11");
C=B.fN("What is a Table?","11#1671797");
C=B.fN("What is the Purpose of a Table?","11#1671801");
C=B.fN("TIBCO Object Service Broker UI","11#1671812");
C=B.fN("What Does a Table Look Like?","11#1671817");
B=A.fN("Available Table Types","12");
C=B.fN("What is a Table Type?","12#1671862");
C=B.fN("Determining the Appropriate Table Type","12#1671865");
B=A.fN("Re-usability of Data","13");
C=B.fN("Design Options","13#1672101");
C=B.fN("Option 1: Using Parameterized Tables","13#1672126");
C=B.fN("Option 2: Using Minimal Definition","13#1672145");
C=B.fN("Option 3: Using Non-persistent Data","13#1672147");
C=B.fN("Option 4: Using Global Fields","13#1672190");
B=A.fN("Accessing Table Data","14");
C=B.fN("How Do I Access Data?","14#1672199");
C=B.fN("Requirements before Accessing Data","14#1672217");
C=B.fN("Locating the Data","14#1672225");
C=B.fN("Order of Evaluation to Determine Location","14#1672243");
A=P.fN("Chapter\u00a02 The Table Definer","15");
B=A.fN("What is the Table Definer?","16");
C=B.fN("TIBCO Object Service Broker UI","16#1671506");
C=B.fN("Overview","16#1671511");
C=B.fN("Accessing the Table Definer","16#1671536");
C=B.fN("Layout of the Screen","16#1671548");
C=B.fN("Example","16#1671562");
B=A.fN("Tools Available from the Table Definer","17");
C=B.fN("What Tools are Available?","17#1671645");
C=B.fN("Table Editor, Table Browser, and Single Occurrence Editor","17#1671656");
C=B.fN("Global Field Selector","17#1671692");
B=A.fN("Selecting Global Fields","18");
C=B.fN("Types of Implementation","18#1674646");
C=B.fN("Types of Information Stored with a Global Field","18#1671726");
C=B.fN("Global Fields Selector Illustrated","18#1671732");
C=B.fN("Using the Global Fields Selector","18#1671808");
A=P.fN("Chapter\u00a03 Defining TDS, EES, SES, and TEM Tables","19");
B=A.fN("Overview","20");
C=B.fN("TIBCO Object Service Broker UI","20#1671504");
C=B.fN("Tasks for Defining a Table","20#1671509");
B=A.fN("Task A: Define Table Properties","21");
C=B.fN("Purpose of this Task","21#1696088");
C=B.fN("Table, Type, Unit, and IDgen Fields","21#1671597");
B=A.fN("Task B: Define Parameters","22");
C=B.fN("Purpose of this Task","22#1671633");
C=B.fN("Considerations for Defining Parameters","22#1671650");
C=B.fN("Data Parameters","22#1671681");
C=B.fN("Defining Data Parameters","22#1671687");
C=B.fN("What is a Location Parameter?","22#1671713");
C=B.fN("Defining a Location Parameter","22#1671718");
B=A.fN("Task C: Specify Event Rules","23");
C=B.fN("Purpose of this Task","23#1671754");
C=B.fN("Considerations for Defining Event Rules","23#1671775");
C=B.fN("Event Rule, Typ, and Acc Fields","23#1671826");
B=A.fN("Task D: Define Primary Keys","24");
C=B.fN("Purpose of this Task","24#1671843");
C=B.fN("Composite Primary Keys","24#1671863");
C=B.fN("Methods Available for Defining Primary Key Fields","24#1671871");
C=B.fN("Creating a New Primary Key Field","24#1671888");
B=A.fN("Task E: Define Non-key Fields","25");
C=B.fN("Purpose of this Task","25#1671920");
C=B.fN("Methods Available for Defining Data Fields","25#1671942");
C=B.fN("Creating a New Non-key Field","25#1671956");
A=P.fN("Chapter\u00a04 Defining a View of a Source Table","26");
B=A.fN("Views of a Source Table","27");
C=B.fN("TIBCO Object Service Broker UI","27#1671506");
C=B.fN("What is a View of a Source Table?","27#1671512");
C=B.fN("What Types of Views Can be Specified?","27#1671515");
B=A.fN("Defining a Subview (SUB) Table","28");
C=B.fN("Why Define a Subview?","28#1671524");
C=B.fN("Behavior of Subviews","28#1671527");
C=B.fN("Tasks Required to Define a Subview","28#1671564");
C=B.fN("Sample Subview Table","28#1671822");
B=A.fN("Defining a Calculation (CLC) Table","29");
C=B.fN("Why Define a Calculation View?","29#1671901");
C=B.fN("Behavior of Calculation Tables","29#1671906");
C=B.fN("Tasks Required to Define a Calculation Table","29#1671920");
B=A.fN("Defining a Parameter Value (PRM) Table","30");
C=B.fN("Why Define a Table for Parameter Values?","30#1672148");
C=B.fN("Behavior of Parameter Tables","30#1672152");
C=B.fN("Tasks Required to Define a Parameter Value Table","30#1672157");
C=B.fN("Using the NUMBER Field in a Parameter Table","30#1672284");
C=B.fN("Sample Parameter Value Table","30#1672290");
C=B.fN("Example Rule for Parameter Values for a Table","30#1672365");
A=P.fN("Chapter\u00a05 Editing a Table Definition","31");
B=A.fN("Editing a Definition","32");
C=B.fN("TIBCO Object Service Broker UI","32#1671506");
C=B.fN("Overview","32#1671511");
C=B.fN("Updating Specifications with a Definition","32#1671513");
C=B.fN("Permissible Editing Changes","32#1671521");
C=B.fN("Non-permissible Editing Changes","32#1671532");
C=B.fN("Commands and PF Keys Available","32#1671546");
B=A.fN("Copying a Definition","33");
C=B.fN("Copying a Definition Using the Table Definer","33#1671558");
C=B.fN("Copying a Definition Using Shareable Tools","33#1671569");
B=A.fN("Editing a Definition for Distributed Development","34");
C=B.fN("Purpose of the Definition","34#1671620");
C=B.fN("Definition and Data Requirements for Distributed Data","34#1671623");
C=B.fN("Copying a Definition","34#1671630");
C=B.fN("Defining a Minimal Definition","34#1671646");
B=A.fN("Deleting a Definition","35");
C=B.fN("Considerations when Deleting an Object","35#1671720");
C=B.fN("Deleting a Definition Using the Table Definer","35#1671726");
C=B.fN("Deleting a Definition Using a Shareable Tool","35#1671733");
A=P.fN("Chapter\u00a06 Manipulating Data in a Table","36");
B=A.fN("Data Manipulation Tools","37");
C=B.fN("TIBCO Object Service Broker UI","37#1671506");
C=B.fN("Available Methods","37#1671512");
C=B.fN("Choosing a Tool","37#1671524");
C=B.fN("Browsing Data with the Table Browser","37#1671564");
C=B.fN("Manipulating Data with the Table Editor","37#1671590");
C=B.fN("Manipulating Data with the Single Occurrence Editor","37#1671609");
B=A.fN("Invoking the Table Browser, Table Editor, and Single Occurrence Editor","38");
C=B.fN("Invoking the Table Browser","38#1671619");
C=B.fN("Invoking the Table Editor","38#1671629");
C=B.fN("Invoking the Single Occurrence Editor","38#1671639");
B=A.fN("Replacing Data","39");
C=B.fN("Replacing Data Using the Table Editor","39#1671657");
C=B.fN("Replacing Data Using the CHANGE Command from the Table Editor","39#1671665");
C=B.fN("Controlling the Scope of the CHANGE Command","39#1671673");
C=B.fN("Replacing Data Using the Single Occurrence Editor","39#1671697");
C=B.fN("Replacing Data Using a Rules Statement","39#1671701");
B=A.fN("Inserting Data","40");
C=B.fN("Inserting Data Using the I Line Command in the Table Editor","40#1671734");
C=B.fN("Inserting Data Using PF4 in the Table Editor","40#1671745");
C=B.fN("Inserting Data Using the Single Occurrence Editor","40#1671754");
C=B.fN("Inserting Data Using a Rules Statement","40#1671768");
B=A.fN("Replicating Data","41");
C=B.fN("Purpose of Replicating Data","41#1671802");
C=B.fN("Replicating Data Using the R Line Command in the Table Editor","41#1671805");
C=B.fN("Replicating Data Using the Single Occurrence Editor","41#1675208");
B=A.fN("Deleting Data","42");
C=B.fN("Deleting Data Using the D Line Command in the Table Editor","42#1671825");
C=B.fN("Deleting Data Using PF16 in the Table Editor","42#1671832");
C=B.fN("Deleting Data Using the Single Occurrence Editor","42#1671838");
C=B.fN("Deleting Data Using a Rules Statement","42#1671850");
C=B.fN("Deleting Data Using a Workbench Option","42#1671870");
C=B.fN("Deleting Data Using a Shareable Tool","42#1671888");
B=A.fN("Copying Data","43");
C=B.fN("Copying Data Using a Workbench Option","43#1671913");
C=B.fN("Copying Data Using a Shareable Tool","43#1671927");
B=A.fN("Committing Changes","44");
C=B.fN("Committing Changes Using the Table Editor","44#1671956");
C=B.fN("Committing Changes Using the Single Occurrence Editor","44#1671962");
C=B.fN("Committing Changes Using Rules","44#1671965");
C=B.fN("Understanding EES Table Considerations","44#1676969");
A=P.fN("Chapter\u00a07 Coding Considerations for Event, Location, and Derived Value Rules","45");
B=A.fN("Coding Event Rules","46");
C=B.fN("Conditions for Validation Rules","46#1671516");
C=B.fN("Conditions for Trigger Rules","46#1671525");
C=B.fN("Search Path","46#1671540");
C=B.fN("Sample Set of Event Rules","46#1671553");
C=B.fN("Event Rule Processing Across Nodes","46#1671605");
B=A.fN("Coding Rules to Determine Location","47");
C=B.fN("Conditions that Apply","47#1671615");
C=B.fN("Search Path","47#1671637");
C=B.fN("Sample Source Rule Definition","47#1671647");
C=B.fN("Sample Set of Source Rules","47#1671672");
C=B.fN("Modifying the Default Remote Location for a Session","47#1671733");
B=A.fN("Coding Rules to Derive Values","48");
C=B.fN("Conditions that Apply","48#1671796");
C=B.fN("Search Path","48#1671799");
B=A.fN("Coding Rules for Remote Table Access","49");
C=B.fN("Remote Table Access","49#1671864");
C=B.fN("Peer-to-peer Access","49#1671896");
A=P.fN("Chapter\u00a08 Managing TIBCO Object Service Broker MAP Data Definitions","50");
B=A.fN("MAP Tables","51");
C=B.fN("What is a MAP Table?","51#1671601");
C=B.fN("Main Storage Area","51#1671615");
C=B.fN("Who Should Use MAP Tables?","51#1671625");
C=B.fN("How to Use MAP Tables","51#1671635");
B=A.fN("Initial Step for Defining Tables","52");
C=B.fN("Invoke the Table Definer","52#1675162");
C=B.fN("Specify the Table Type for New Tables","52#1675168");
B=A.fN("Using Data Discovery","53");
C=B.fN("Monitoring Copybook Changes","53#1676229");
C=B.fN("Running the Change Tracking Agent","53#1676237");
B=A.fN("Accessing Storage Data from TIBCO Object Service Broker","54");
C=B.fN("Using a Copybook as the Source for the Definition","54#1671726");
C=B.fN("Steps Required to Define a MAP Table","54#1671737");
B=A.fN("Task A: Identify the Table","55");
C=B.fN("Purpose of this Task","55#1671798");
C=B.fN("Table, Type, Unit, and IDgen Fields","55#1671810");
B=A.fN("Task B: Specify Address, Count, and Location Parameters","56");
C=B.fN("Purpose of this Step","56#1671829");
C=B.fN("Address Parameter","56#1671845");
C=B.fN("Count Parameter","56#1671848");
C=B.fN("Location Parameter","56#1671851");
B=A.fN("Task C: Specify Event Rules","57");
C=B.fN("Purpose of this Task","57#1671878");
C=B.fN("Event Rule, Typ, and Acc Fields","57#1671890");
B=A.fN("Task D: Define Fields","58");
C=B.fN("Purpose of this Task","58#1671909");
C=B.fN("Considerations","58#1671927");
C=B.fN("Specifying External MAP Attributes","58#1671940");
C=B.fN("Specifying Internal TIBCO Object Service Broker Attributes","58#1671974");
B=A.fN("Sample Definitions","59");
C=B.fN("MAP_ONE Table Illustrated","59#1672043");
C=B.fN("MAP_TWO Table Illustrated","59#1672073");
A=P.fN("Chapter\u00a09 Manipulating Storage Data Using TIBCO Object Service Broker MAP Tables","60");
B=A.fN("Accessing TIBCO Object Service Broker MAP Tables","61");
C=B.fN("Retrieving Meaningful Data","61#1671596");
C=B.fN("Accessing Storage Data","61#1671607");
C=B.fN("Using the Table Browser or Table Editor","61#1671612");
C=B.fN("Using Rules","61#1671620");
B=A.fN("Using Rules to Access Storage Data","62");
C=B.fN("GET Statement","62#1671664");
C=B.fN("Examples of GET Statements","62#1671678");
C=B.fN("FORALL Statement","62#1671712");
C=B.fN("Examples of FORALL Statements","62#1671723");
C=B.fN("REPLACE Statement","62#1671757");
C=B.fN("Examples of REPLACE Statements","62#1671764");
B=A.fN("Using TIBCO Object Service Broker MAP Tables with COMMAREAS and Other External Data Areas","63");
C=B.fN("@SESSION Table","63#1671811");
C=B.fN("IMS Environment","63#1671817");
C=B.fN("Call Level Interface Environment","63#1671820");
B=A.fN("Handling TIBCO Object Service Broker Requests","64");
C=B.fN("Synchronization and Recovery","64#1671842");
C=B.fN("Error Handling","64#1671845");
C=B.fN("ERROR Exception","64#1671859");
C=B.fN("ACCESSFAIL Exception","64#1671862");
C=B.fN("INTEGRITYFAIL Exception","64#1671871");
C=B.fN("RULEFAIL","64#1671886");
B=A.fN("Understanding Security with TIBCO Object Service Broker MAP Tables","65");
C=B.fN("MAP Table Behavior","65#1671926");
C=B.fN("Accessing Data at a Particular Address with a MAP Table","65#1671939");
A=P.fN("Chapter\u00a010 Sample Application Using TIBCO Object Service Broker MAP Tables","66");
B=A.fN("Sample Application","67");
C=B.fN("What does this Application do?","67#1671582");
C=B.fN("Pictorial Representation of the Sample Storage Areas","67#1671592");
C=B.fN("The Application","67#1671599");
B=A.fN("MAIN Sample Rule","68");
C=B.fN("MAIN Rule Illustrated","68#1671617");
C=B.fN("MAIN Rule Explained","68#1671649");
B=A.fN("Sample MAP Tables","69");
C=B.fN("COMM_HEADER Table","69#1671727");
C=B.fN("INPUT_HEADER Table","69#1671758");
C=B.fN("EMPLOYEE_RECORD Table","69#1671787");
C=B.fN("EMPLOYEE_SUMMARY Table","69#1671815");
A=P.fN("Appendix\u00a0A Primary Command Syntax Reference","70");
B=A.fN("Overview","71");
C=B.fN("Purpose of this Appendix","71#1671503");
C=B.fN("Notation","71#1671505");
B=A.fN("Primary Command Syntax","72");
C=B.fN("SELECT Command","72#1671515");
C=B.fN("ORDERED Command","72#1671610");
C=B.fN("FIND Command","72#1671613");
C=B.fN("CHANGE Command (Table Editor Only)","72#1671616");
C=B.fN("EDIT Command (Table Editor Only)","72#1671633");
C=B.fN("XEDIT Command (Table Editor Only)","72#1671638");
C=B.fN("BROWSE Command","72#1671641");
C=B.fN("XBROWSE Command (Table Editor Only)","72#1671644");
C=B.fN("EXCLUDE Command","72#1671647");
C=B.fN("EXPAND Command","72#1671650");
A=P.fN("Appendix\u00a0B Mapping Data Types","73");
B=A.fN("Mapping Data Types for MAP Table Definitions","74");
C=B.fN("Translation of External Data","74#1671572");
}
