function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42502");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Reporting Overview","6");
B=A.fN("Overview","7");
C=B.fN("What is a TIBCO Object Service Broker Report?","7#1003575");
C=B.fN("Tools Available","7#1002785");
B=A.fN("Choosing the Right Tool","8");
C=B.fN("Comparing the TIBCO Object Service Broker Reporting Tools","8#1002849");
C=B.fN("Report Generator","8#1002865");
C=B.fN("Report Definer","8#1002912");
C=B.fN("Selecting a Tool","8#1002930");
C=B.fN("Who Provides the Information?","8#1003001");
B=A.fN("Getting Started","9");
C=B.fN("Invocation from the Workbench","9#1003150");
C=B.fN("Getting Started With the Tool","9#1003198");
A=P.fN("Chapter\u00a02 The Report Generator","10");
B=A.fN("Reporting Basics","11");
C=B.fN("Parts of a Report","11#33755");
C=B.fN("Using the Report Generator Screens","11#1000728");
C=B.fN("The Main Report Generator Screen","11#12327");
B=A.fN("Tasks to Generate a Report","12");
C=B.fN("Tasks for Generating a Report","12#16662");
A=P.fN("Chapter\u00a03 Modifying a Report","13");
B=A.fN("Methods to Modify Reports","14");
C=B.fN("Report Generator","14#2034");
C=B.fN("Using the Report Generator","14#3017");
C=B.fN("Report Definer","14#3068");
C=B.fN("TIBCO Object Service Broker Rules","14#2011");
B=A.fN("Modifying Existing Values","15");
C=B.fN("Modifying Table Entries","15#3100");
C=B.fN("Adding a Table","15#1000357");
C=B.fN("Inserting a Table","15#1000510");
C=B.fN("Removing a Table","15#1000587");
C=B.fN("Modifying Other Values","15#1000610");
B=A.fN("Modifying Page Attributes","16");
C=B.fN("Modifiable Attributes","16#998458");
C=B.fN("Editing Title Lines","16#999451");
C=B.fN("Editing Default Values","16#998640");
C=B.fN("Modified Title, Label, Display Mask Segment","16#2469");
B=A.fN("Copying a Report and Report Rule","17");
C=B.fN("Copying the Report Definition","17#19382");
C=B.fN("Copying the Report Rule","17#19399");
B=A.fN("Executing the Modified Report","18");
C=B.fN("Using the Customize/Execute Screen","18#19897");
C=B.fN("Modified Report Example","18#19974");
A=P.fN("Chapter\u00a04 Creating Summary Reports","19");
B=A.fN("Summary Report","20");
C=B.fN("What is a Summary Report?","20#1046000");
C=B.fN("Sample Summary Report","20#1047110");
C=B.fN("Tasks for Defining a Summary Report","20#1047171");
B=A.fN("Task A: Summarize the Data","21");
C=B.fN("Considerations","21#1046315");
C=B.fN("How to Summarize the Data","21#1046368");
B=A.fN("Task B: Add Functions","22");
C=B.fN("Valid Functions","22#1046586");
C=B.fN("How to Add Functions to the Report","22#1046635");
B=A.fN("Customizing and Executing Summary Reports","23");
C=B.fN("Customizing Reports","23#1047681");
A=P.fN("Chapter\u00a05 Creating Across Reports","24");
B=A.fN("Across Report","25");
C=B.fN("What is an Across Report?","25#1001893");
C=B.fN("Sample Across Report","25#1002093");
C=B.fN("Tasks for Defining an Across Report","25#1002182");
B=A.fN("Task A: Defining Across By Fields","26");
C=B.fN("Considerations","26#999328");
C=B.fN("How to Define Across by Fields","26#999386");
B=A.fN("Task B: Add Functions","27");
C=B.fN("Valid Functions","27#1000031");
C=B.fN("How to Add Functions to the Report","27#1000079");
B=A.fN("Customizing and Executing Across Reports","28");
C=B.fN("Customizing Reports","28#1000297");
A=P.fN("Chapter\u00a06 Composition of a Report","29");
B=A.fN("Overview","30");
C=B.fN("Structure of a Report","30#23252");
C=B.fN("Defining Elements of a Report Table","30#22761");
C=B.fN("Further Modifications","30#22802");
B=A.fN("Elements of a Report","31");
C=B.fN("List of Elements","31#22826");
C=B.fN("Illustration of Sample Report","31#24546");
C=B.fN("Title Report Tables","31#24661");
C=B.fN("Body Report Table","31#24697");
C=B.fN("Break Tables","31#998048");
C=B.fN("Report Fields","31#22918");
C=B.fN("Literal Fields","31#22930");
C=B.fN("Control Fields","31#22942");
C=B.fN("Title and Heading Rows","31#22985");
C=B.fN("Title Columns and Final Columns","31#22997");
A=P.fN("Chapter\u00a07 Using the Report Definer","32");
B=A.fN("The Report Definer","33");
C=B.fN("Layout","33#37325");
C=B.fN("Example","33#37352");
C=B.fN("Line Commands for the Report Definer Screen","33#998988");
C=B.fN("Tasks for Defining a Report","33#51099");
B=A.fN("Task A: Verify Report Identification","34");
C=B.fN("The Define Report and Unit Fields","34#44856");
B=A.fN("Task B: Specify Physical Attributes","35");
C=B.fN("Physical Attributes Segment Fields","35#45911");
B=A.fN("Task C: Specify Report Tables","36");
C=B.fN("Report Tables Segment Fields","36#47932");
B=A.fN("Task D: Modify the Display of Literal Fields","37");
C=B.fN("Usage","37#51447");
B=A.fN("Task E: Modify the Line Spacing","38");
C=B.fN("Where Line Spacing Can be Modified","38#51537");
C=B.fN("Viewing the Report Layout","38#65063");
A=P.fN("Chapter\u00a08 Painting the Report Tables","39");
B=A.fN("The Report Table Painter","40");
C=B.fN("Invoking the Report Table Painter","40#9749");
C=B.fN("Report Table Painter Screen","40#9902");
B=A.fN("How to Use the Report Table Painter","41");
C=B.fN("Layout","41#35791");
C=B.fN("The Image Area","41#35821");
C=B.fN("The Field Definition Area","41#35875");
C=B.fN("Available PF Keys for the Report Table Painter","41#35947");
C=B.fN("Defining Report Tables","41#35962");
B=A.fN("Adding Literal Text","42");
C=B.fN("Where to Add Literal Text","42#32685");
C=B.fN("Creating Literal Text","42#1000415");
C=B.fN("Editing Literal Text","42#1000443");
B=A.fN("Defining Data Fields","43");
C=B.fN("Methods for Defining Data Fields","43#37131");
C=B.fN("What Method to Use?","43#37165");
B=A.fN("Using Predefined Fields","44");
C=B.fN("Using Table Field Definitions","44#56219");
C=B.fN("Copying Fields from an Existing Table Definition","44#56273");
C=B.fN("Appending Fields from an Existing Table Definition","44#1000460");
B=A.fN("Global Fields","45");
C=B.fN("Types of Implementation","45#60099");
C=B.fN("Types of Information Stored with a Global Field","45#60562");
C=B.fN("Using Global Fields","45#60847");
B=A.fN("Creating Fields with Default Attributes","46");
C=B.fN("Creating Report Fields with Predefined Attributes","46#39604");
B=A.fN("Creating New Fields","47");
C=B.fN("Required Attributes","47#40461");
C=B.fN("Optional Attributes","47#41667");
B=A.fN("Editing Report Tables and Report Fields","48");
C=B.fN("Editing the Report Field Definition","48#1007100");
C=B.fN("Specifying Control Fields for the Report","48#1007115");
C=B.fN("Adding a Line or Field","48#1007123");
C=B.fN("Cutting Fields or Literals","48#1021122");
C=B.fN("Pasting Fields, Lines, or Literals","48#47195");
C=B.fN("Deleting Lines or Fields","48#1000098");
C=B.fN("Deleting Report Tables","48#47327");
C=B.fN("Changing Report Field Syntax","48#47753");
B=A.fN("Expanding Definitions of Individual Fields","49");
C=B.fN("Literal Text","49#48795");
C=B.fN("Field Definitions","49#48885");
A=P.fN("Chapter\u00a09 Extending Report Table Attributes","50");
B=A.fN("Overview","51");
C=B.fN("What Do Extended Attributes Do?","51#8127");
C=B.fN("Tasks to Define Extended Attributes","51#5219");
B=A.fN("Task A: Select and Sort Data and Add Breaks","52");
C=B.fN("Selecting and Sorting Data","52#5303");
C=B.fN("Adding Breaks","52#36581");
B=A.fN("Task B: Define and Display Attributes","53");
C=B.fN("Invoking the Expand Screen","53#2965");
C=B.fN("Expand Screen Functionality","53#2954");
B=A.fN("Task B1: Add the Source for a Derived Value","54");
C=B.fN("Derived Fields","54#50025");
C=B.fN("Using Report Functions","54#48856");
C=B.fN("Arguments and Selection","54#52928");
C=B.fN("Valid Report Functions","54#56228");
C=B.fN("Using Special Functions","54#56350");
C=B.fN("Deriving a Value Based on a Field or Rule","54#43148");
B=A.fN("Task B2: Add a Display Mask for Numeric and Date Fields","55");
C=B.fN("What is a Display Mask?","55#1000405");
C=B.fN("Date Display Mask Examples","55#3304");
C=B.fN("Numeric Display Mask Examples","55#3315");
B=A.fN("Task C: Add Titles and Headings","56");
C=B.fN("Invoking the Titles/Headings Screen","56#3118");
C=B.fN("Defining Rows and Columns","56#1000884");
C=B.fN("Modifying the Width of the Report","56#6617");
C=B.fN("Defining the Position of the Titles and Headings","56#6636");
C=B.fN("Justifying Titles and Headings","56#2005");
C=B.fN("Linking the Heading to a Field","56#1000561");
A=P.fN("Chapter\u00a010 Adding Break Tables","57");
B=A.fN("Break Tables","58");
C=B.fN("What Are Break Tables?","58#22836");
C=B.fN("Tasks to Defining a Break Table","58#28856");
B=A.fN("Task A: Defining Break Tables","59");
C=B.fN("How to Define a Break Table","59#30631");
C=B.fN("Control Break Defaults","59#28353");
C=B.fN("Name, Max Acr, Repeat Head, and Title Rows Fields","59#30533");
B=A.fN("Task B: Break Table Positioning","60");
C=B.fN("How Break Tables are Positioned","60#998191");
C=B.fN("Break Table Illustrated","60#1007489");
C=B.fN("Modifying Break Table Line Spacing","60#29377");
B=A.fN("Task C: Painting the Break Table","61");
C=B.fN("Report Table Painter Screen for a Break Table Illustrated","61#997480");
C=B.fN("Deriving Values","61#998822");
C=B.fN("Defining Title Rows and Title and Final Columns","61#999007");
A=P.fN("Appendix\u00a0A Sample Report Definitions and Rules","62");
B=A.fN("Basic Report and Rule Definition","63");
C=B.fN("MAN_DEP_SAL Report","63#26260");
C=B.fN("MAN_DEP_SAL_R Rule","63#27922");
B=A.fN("Across Report Sample Report Screens and Rule","64");
C=B.fN("DEPT_EXPENSE_SUM Report","64#28000");
C=B.fN("DEPT_EXPENSE_SUM Rule","64#27362");
B=A.fN("Body Report Table Definitions","65");
C=B.fN("DEPT_EXPENSE_SUM Report Table","65#26788");
C=B.fN("Control Fields Screen for the DEPT_EXPENSE_SUM Report Table","65#26831");
C=B.fN("Expand Screens for the DEPT_EXPENSE_SUM Report Table","65#26874");
C=B.fN("Titles/Headings Screen for the DEPT_EXPENSE_SUM Report Table","65#26989");
B=A.fN("Break Table Definitions","66");
C=B.fN("DEPT_EXPENSE_SUM Break Table","66#27040");
C=B.fN("Expand Screens for the DEPT_EXPENSE_SUM Break Table","66#27119");
C=B.fN("Titles/Headings Screen for the DEPT_EXPENSE_SUM Break Table","66#27234");
A=P.fN("Appendix\u00a0B Merging Reports","67");
B=A.fN("Merging Reports","68");
C=B.fN("Reporting Tools","68#27099");
C=B.fN("EMP_EXPENSE_MRG Rule","68#27273");
}
