function  WWHBookData_Files(P)
{
P.fA("TIBCO\u00ae Object Service Broker","title.01.1.htm");
P.fA("Important Information","copyrigh.htm");
P.fA("Preface","preface.02.1.htm");
P.fA("Related Documentation","preface.02.2.htm");
P.fA("Typographical Conventions","preface.02.3.htm");
P.fA("Connecting with TIBCO Resources","preface.02.4.htm");
P.fA("Introduction to TIBCO Object Service Broker Rules","1_introduction.03.1.htm");
P.fA("Use of TIBCO Object Service Broker Rules","1_introduction.03.2.htm");
P.fA("Sample Set of Rules","1_introduction.03.3.htm");
P.fA("Composition of a Rule","2_composition.04.1.htm");
P.fA("Components of a Rule","2_composition.04.2.htm");
P.fA("Identifying a Rule","2_composition.04.3.htm");
P.fA("Handling Dynamic Data Values","2_composition.04.4.htm");
P.fA("Providing Conditional Processing","2_composition.04.5.htm");
P.fA("Coding Actions","2_composition.04.6.htm");
P.fA("Handling Exceptions","2_composition.04.7.htm");
P.fA("Supported Characters","3_supported_characters.05.1.htm");
P.fA("Lexical Elements","3_supported_characters.05.2.htm");
P.fA("National Character Set Support","3_supported_characters.05.3.htm");
P.fA("Double-byte Character String Support","3_supported_characters.05.4.htm");
P.fA("Use of Quotation Marks","3_supported_characters.05.5.htm");
P.fA("Types of Action Statements","4_types_action_statements.06.1.htm");
P.fA("Overview","4_types_action_statements.06.2.htm");
P.fA("Categories of Action Statements","4_types_action_statements.06.3.htm");
P.fA("The Action Statements","5_action_statements.07.01.htm");
P.fA("CALL Statement","5_action_statements.07.02.htm");
P.fA("COMMIT Statement","5_action_statements.07.03.htm");
P.fA("DELETE Statement","5_action_statements.07.04.htm");
P.fA("DISPLAY Statement","5_action_statements.07.05.htm");
P.fA("DISPLAY &amp; TRANSFERCALL Statement","5_action_statements.07.06.htm");
P.fA("EXECUTE Statement","5_action_statements.07.07.htm");
P.fA("FORALL Statement","5_action_statements.07.08.htm");
P.fA("GET Statement","5_action_statements.07.09.htm");
P.fA("INSERT Statement","5_action_statements.07.10.htm");
P.fA("ORDERED Clause","5_action_statements.07.11.htm");
P.fA("PRINT Statement","5_action_statements.07.12.htm");
P.fA("REPLACE Statement","5_action_statements.07.13.htm");
P.fA("RETURN Statement","5_action_statements.07.14.htm");
P.fA("ROLLBACK Statement","5_action_statements.07.15.htm");
P.fA("SCHEDULE Statement","5_action_statements.07.16.htm");
P.fA("TRANSFERCALL Statement","5_action_statements.07.17.htm");
P.fA("WHERE Clause","5_action_statements.07.18.htm");
P.fA("Exception Handling","6_exception_handling.08.1.htm");
P.fA("Functionality of Exception Handling","6_exception_handling.08.2.htm");
P.fA("System Exceptions and Their Conditions","6_exception_handling.08.3.htm");
P.fA("Coding of Exception Handlers","6_exception_handling.08.4.htm");
P.fA("Scope of Exception Handlers","6_exception_handling.08.5.htm");
P.fA("VALIDATEFAIL Exception for Screens","6_exception_handling.08.6.htm");
P.fA("The Exception Statements","7_exception_statements.09.1.htm");
P.fA("ON Statement","7_exception_statements.09.2.htm");
P.fA("SIGNAL Statement","7_exception_statements.09.3.htm");
P.fA("UNTIL Statement","7_exception_statements.09.4.htm");
P.fA("UNTIL \u2026 DISPLAY Statement","7_exception_statements.09.5.htm");
P.fA("Using Expressions and Operators","8_expressions_operators.10.01.htm");
P.fA("Overview","8_expressions_operators.10.02.htm");
P.fA("Syntax of Data Elements","8_expressions_operators.10.03.htm");
P.fA("Semantic Data Types","8_expressions_operators.10.04.htm");
P.fA("Operators to Combine Expressions","8_expressions_operators.10.05.htm");
P.fA("Relational Operators","8_expressions_operators.10.06.htm");
P.fA("Logical Operators","8_expressions_operators.10.07.htm");
P.fA("Assignment Operator","8_expressions_operators.10.08.htm");
P.fA("Indirect Referencing","8_expressions_operators.10.09.htm");
P.fA("Using a Rule Argument for Indirect Referencing","8_expressions_operators.10.10.htm");
P.fA("Using Table.Field for Indirect Referencing","8_expressions_operators.10.11.htm");
P.fA("Transaction Processing","9_transaction_processing.11.1.htm");
P.fA("Overview","9_transaction_processing.11.2.htm");
P.fA("What Starts a Transaction?","9_transaction_processing.11.3.htm");
P.fA("Course of a Transaction","9_transaction_processing.11.4.htm");
P.fA("Nesting Transactions","9_transaction_processing.11.5.htm");
P.fA("Changing the Flow of a Transaction","9_transaction_processing.11.6.htm");
P.fA("Setting the Mode of the Transaction","9_transaction_processing.11.7.htm");
P.fA("Locks Taken on the Data","9_transaction_processing.11.8.htm");
P.fA("Conditional Processing","10_conditional_processing.12.1.htm");
P.fA("TIBCO Object Service Broker Conditional Processing","10_conditional_processing.12.2.htm");
P.fA("Examples of Conditions","10_conditional_processing.12.3.htm");
P.fA("Null Processing","11_null_processing.13.1.htm");
P.fA("TIBCO Object Service Broker Nulls","11_null_processing.13.2.htm");
P.fA("Manipulation of Nulls","11_null_processing.13.3.htm");
P.fA("Behavior of Nulls","11_null_processing.13.4.htm");
P.fA("Arithmetic Processing","12_arithmetic_processing.14.1.htm");
P.fA("Overview","12_arithmetic_processing.14.2.htm");
P.fA("Strings as Operands","12_arithmetic_processing.14.3.htm");
P.fA("Permissible Operations","12_arithmetic_processing.14.4.htm");
P.fA("Resultant Syntax from Arithmetic Operations","12_arithmetic_processing.14.5.htm");
P.fA("Using Rules Libraries","13_rules_library.15.1.htm");
P.fA("Organization of Rules Libraries","13_rules_library.15.2.htm");
P.fA("Changing Local Libraries","13_rules_library.15.3.htm");
P.fA("Defining a Library","13_rules_library.15.4.htm");
P.fA("Using the Rule Editor","14_rule_editor.16.1.htm");
P.fA("Invoking the Rule Editor","14_rule_editor.16.2.htm");
P.fA("Screen Layout of the Rule Editor","14_rule_editor.16.3.htm");
P.fA("Accessing a Listing of Rules to Edit","14_rule_editor.16.4.htm");
P.fA("Editing Rules","15_editing_rules.17.1.htm");
P.fA("Functional Overview","15_editing_rules.17.2.htm");
P.fA("Using Available Line Commands","15_editing_rules.17.3.htm");
P.fA("Using Available Primary Commands","15_editing_rules.17.4.htm");
P.fA("Expanding Token Information","15_editing_rules.17.5.htm");
P.fA("Processing in Standard Execution Mode","16_processing_standard.18.1.htm");
P.fA("Using Execute Rule","16_processing_standard.18.2.htm");
P.fA("Accessing a Listing of Rules to Execute","16_processing_standard.18.3.htm");
P.fA("Logging of Output","16_processing_standard.18.4.htm");
P.fA("User Log","16_processing_standard.18.5.htm");
P.fA("System Log","16_processing_standard.18.6.htm");
P.fA("Examples of System Log Information","16_processing_standard.18.7.htm");
P.fA("Processing Asynchronously in Batch Mode","17_processing_async.19.1.htm");
P.fA("Functional Overview","17_processing_async.19.2.htm");
P.fA("Scheduling for Direct Batch Processing","17_processing_async.19.3.htm");
P.fA("Scheduling a Batch Queue in TIBCO Object Service Broker for z/OS","17_processing_async.19.4.htm");
P.fA("Editing @SCHEDULEMODEL","17_processing_async.19.5.htm");
P.fA("Processing in Debug Mode","18_processing_debug.20.1.htm");
P.fA("Using the Rule Debugger","18_processing_debug.20.2.htm");
P.fA("How to Specify Break Events","18_processing_debug.20.3.htm");
P.fA("How to Examine and Modify the Execution State","18_processing_debug.20.4.htm");
P.fA("Associating a Series of Commands With a Break Event","18_processing_debug.20.5.htm");
P.fA("Syntax of the Rules Language","A_syntax.21.1.htm");
P.fA("BNF Notation","A_syntax.21.2.htm");
P.fA("Syntax of Rules","A_syntax.21.3.htm");
}
