function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42530");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Introduction to TIBCO Object Service Broker Rules","6");
B=A.fN("Use of TIBCO Object Service Broker Rules","7");
C=B.fN("What is the Rules Language?","7#1671582");
C=B.fN("What is a Rule?","7#1671593");
C=B.fN("How are Rules Defined?","7#1671604");
C=B.fN("How Do You Execute a Rule?","7#1671610");
C=B.fN("What Tools are Available for Use with Rules?","7#1671625");
B=A.fN("Sample Set of Rules","8");
C=B.fN("Description","8#1671729");
C=B.fN("EMPLOYEES_RAISE Rule","8#1671735");
C=B.fN("REPLACE_SALARY Rule","8#1671759");
A=P.fN("Chapter\u00a02 Composition of a Rule","9");
B=A.fN("Components of a Rule","10");
C=B.fN("What are the Components?","10#1671593");
C=B.fN("Illustration of the Component Parts of a Rule","10#1671600");
B=A.fN("Identifying a Rule","11");
C=B.fN("Declaring a Rule Name and Its Arguments","11#1671642");
C=B.fN("Behavior of Rules Arguments","11#1671657");
B=A.fN("Handling Dynamic Data Values","12");
C=B.fN("Declaring Local Variables","12#1671665");
C=B.fN("Valid Values","12#1671679");
C=B.fN("Scope of Local Variables","12#1671686");
C=B.fN("Data Representation of Local Variables","12#1671692");
B=A.fN("Providing Conditional Processing","13");
C=B.fN("Conditional Processing","13#1671714");
C=B.fN("What Comprises a Condition?","13#1671724");
C=B.fN("Sample Condition Segment and Associated Actions","13#1671731");
B=A.fN("Coding Actions","14");
C=B.fN("Action Statements","14#1671745");
C=B.fN("Action Sequence Numbers","14#1671753");
C=B.fN("Editing Action Sequence Numbers","14#1671763");
C=B.fN("Sample of the Rules Actions","14#1671769");
B=A.fN("Handling Exceptions","15");
C=B.fN("Exception Handlers","15#1671793");
C=B.fN("Behavior of Exception Handlers","15#1671805");
C=B.fN("Sample Exception Handling Statement","15#1671808");
A=P.fN("Chapter\u00a03 Supported Characters","16");
B=A.fN("Lexical Elements","17");
C=B.fN("Delimiters","17#1671597");
C=B.fN("Tokens","17#1671604");
C=B.fN("Reserved Words","17#1671613");
C=B.fN("Character Set","17#1671687");
B=A.fN("National Character Set Support","18");
C=B.fN("Allowable Usage","18#1671705");
C=B.fN("Behavior of National Character Sets","18#1671722");
C=B.fN("Specifying a National Character Set","18#1671734");
B=A.fN("Double-byte Character String Support","19");
C=B.fN("Allowable Usage","19#1671861");
C=B.fN("Behavior of Double-byte Characters","19#1671875");
B=A.fN("Use of Quotation Marks","20");
C=B.fN("String Literals","20#1671885");
C=B.fN("TIBCO Object Service Broker Names","20#1671896");
C=B.fN("Numeric Literals","20#1671902");
A=P.fN("Chapter\u00a04 Types of Action Statements","21");
B=A.fN("Overview","22");
C=B.fN("What Types of Actions Can a Rule Perform?","22#1671577");
C=B.fN("Additional Information","22#1671590");
B=A.fN("Categories of Action Statements","23");
C=B.fN("Assignment Statements","23#1671627");
C=B.fN("Database Synchronization Statements","23#1671637");
C=B.fN("Looping Statements","23#1671662");
C=B.fN("Output Statements","23#1671694");
C=B.fN("Rules Invocation Statements","23#1671733");
C=B.fN("Table Access Statements","23#1671788");
A=P.fN("Chapter\u00a05 The Action Statements","24");
B=A.fN("CALL Statement","25");
B=A.fN("COMMIT Statement","26");
B=A.fN("DELETE Statement","27");
B=A.fN("DISPLAY Statement","28");
B=A.fN("DISPLAY &amp; TRANSFERCALL Statement","29");
B=A.fN("EXECUTE Statement","30");
B=A.fN("FORALL Statement","31");
B=A.fN("GET Statement","32");
B=A.fN("INSERT Statement","33");
B=A.fN("ORDERED Clause","34");
B=A.fN("PRINT Statement","35");
B=A.fN("REPLACE Statement","36");
B=A.fN("RETURN Statement","37");
B=A.fN("ROLLBACK Statement","38");
B=A.fN("SCHEDULE Statement","39");
B=A.fN("TRANSFERCALL Statement","40");
B=A.fN("WHERE Clause","41");
A=P.fN("Chapter\u00a06 Exception Handling","42");
B=A.fN("Functionality of Exception Handling","43");
C=B.fN("What is an Exception and How is It Handled?","43#1671590");
C=B.fN("Hierarchy of System Exceptions","43#1671601");
C=B.fN("Exceptions Raised by Exception Handler Statements","43#1671613");
C=B.fN("Examples of Untrappable Exceptions","43#1671615");
B=A.fN("System Exceptions and Their Conditions","44");
C=B.fN("System Exceptions","44#1671624");
B=A.fN("Coding of Exception Handlers","45");
C=B.fN("Signaling Exceptions","45#1671803");
C=B.fN("Handling Exceptions","45#1671812");
C=B.fN("Sample Rule With Exception Handling","45#1671826");
B=A.fN("Scope of Exception Handlers","46");
C=B.fN("Scope of An Exception Handler","46#1671855");
C=B.fN("Scope of Multiple Exception Handlers","46#1671858");
C=B.fN("Limiting the Scope of Data Access Exceptions","46#1671863");
B=A.fN("VALIDATEFAIL Exception for Screens","47");
C=B.fN("When is VALIDATEFAIL Issued?","47#1671895");
C=B.fN("Example Rule","47#1671900");
A=P.fN("Chapter\u00a07 The Exception Statements","48");
B=A.fN("ON Statement","49");
B=A.fN("SIGNAL Statement","50");
B=A.fN("UNTIL Statement","51");
B=A.fN("UNTIL \u2026 DISPLAY Statement","52");
A=P.fN("Chapter\u00a08 Using Expressions and Operators","53");
B=A.fN("Overview","54");
C=B.fN("TIBCO Object Service Broker UI","54#1671612");
C=B.fN("What Comprises an Expression?","54#1671630");
C=B.fN("Valid Values for Expressions","54#1671632");
C=B.fN("Examples of Expressions","54#1671640");
C=B.fN("Operations That Can be Performed With Expressions","54#1671664");
C=B.fN("The Reserved Word NULL","54#1671672");
B=A.fN("Syntax of Data Elements","55");
C=B.fN("Valid Syntaxes","55#1671683");
C=B.fN("Maximum Occurrence Length","55#1675905");
B=A.fN("Semantic Data Types","56");
C=B.fN("Valid Semantic Data Types","56#1671906");
B=A.fN("Operators to Combine Expressions","57");
C=B.fN("Arithmetic Operators","57#1672041");
C=B.fN("Concatenation Operator","57#1672089");
C=B.fN("Operators Within Expressions","57#1672098");
C=B.fN("Examples","57#1672121");
B=A.fN("Relational Operators","58");
C=B.fN("Comparison Operators","58#1672132");
C=B.fN("Semantic Data Type and Syntax Validations","58#1672195");
C=B.fN("Equality Relational Operators","58#1672212");
C=B.fN("Ordering Relational Operators","58#1672344");
B=A.fN("Logical Operators","59");
C=B.fN("Valid Operators","59#1672481");
B=A.fN("Assignment Operator","60");
C=B.fN("Valid Assignments","60#1672530");
C=B.fN("Types of Assignment Statements","60#1672667");
C=B.fN("Syntax of Assignment Statements","60#1672671");
C=B.fN("Simple Assignment of a Value","60#1672674");
C=B.fN("Assigning Values by Name","60#1672685");
B=A.fN("Indirect Referencing","61");
C=B.fN("Uses of Indirect Referencing","61#1672708");
C=B.fN("Restrictions","61#1672718");
C=B.fN("Providing Values","61#1672723");
B=A.fN("Using a Rule Argument for Indirect Referencing","62");
C=B.fN("Example of an Argument to a Rule","62#1672733");
C=B.fN("Use of Parentheses","62#1672766");
B=A.fN("Using Table.Field for Indirect Referencing","63");
C=B.fN("Examples of Table.Field","63#1672776");
C=B.fN("Calling a Rule that Uses Indirect Reference","63#1672798");
C=B.fN("Table.Field Form of Indirect Reference","63#1685514");
C=B.fN("Example of a Table Instance Used for Indirect Referencing","63#1672857");
C=B.fN("Reference to a Parameterized Table","63#1672885");
A=P.fN("Chapter\u00a09 Transaction Processing","64");
B=A.fN("Overview","65");
C=B.fN("TIBCO Object Service Broker UI","65#1671600");
C=B.fN("The Objective of a Transaction","65#1671618");
C=B.fN("Example of a Transaction","65#1671624");
B=A.fN("What Starts a Transaction?","66");
C=B.fN("Transaction Statements","66#1671633");
B=A.fN("Course of a Transaction","67");
C=B.fN("Establishing Synchronization Points","67#1671672");
C=B.fN("Actions within Synchronization Points","67#1671686");
B=A.fN("Nesting Transactions","68");
C=B.fN("How are Transactions Nested?","68#1671700");
C=B.fN("Behavior of Nested Transactions","68#1671705");
C=B.fN("What Determines the Transaction Level?","68#1671712");
C=B.fN("Finding the Name of a Rule in a Transaction","68#1671714");
B=A.fN("Changing the Flow of a Transaction","69");
C=B.fN("Starting a New Transaction","69#1671733");
C=B.fN("Starting a New Nested Transaction","69#1671739");
C=B.fN("Starting a New Transaction Within a Nested Transaction","69#1671745");
C=B.fN("Starting a Batch Transaction","69#1671751");
B=A.fN("Setting the Mode of the Transaction","70");
C=B.fN("How Do You Set The Mode?","70#1671760");
C=B.fN("Mode Determines Locks on Data","70#1671776");
C=B.fN("Exception Raised","70#1671782");
B=A.fN("Locks Taken on the Data","71");
C=B.fN("What Determines the Type of Locking?","71#1671805");
C=B.fN("Types of Locks","71#1671809");
C=B.fN("Exception Handling","71#1671817");
C=B.fN("Data Accesses and Types of Locking","71#1671823");
A=P.fN("Chapter\u00a010 Conditional Processing","72");
B=A.fN("TIBCO Object Service Broker Conditional Processing","73");
C=B.fN("What is Conditional Processing?","73#1671581");
C=B.fN("What are Conditions?","73#1671601");
C=B.fN("Adding Conditions","73#1671616");
B=A.fN("Examples of Conditions","74");
C=B.fN("Types of Examples","74#1671627");
C=B.fN("Expression as a Condition","74#1671634");
C=B.fN("Argument as a Condition","74#1671664");
C=B.fN("table.field as a Condition","74#1671696");
C=B.fN("Functional Rule as a Condition","74#1671754");
A=P.fN("Chapter\u00a011 Null Processing","75");
B=A.fN("TIBCO Object Service Broker Nulls","76");
C=B.fN("What is a Null Value?","76#1671584");
C=B.fN("Syntax and Behavior of Nulls","76#1671590");
C=B.fN("How Can A Field Contain Null Values?","76#1671601");
B=A.fN("Manipulation of Nulls","77");
C=B.fN("Allowable Manipulation","77#1671609");
C=B.fN("Logical Manipulation","77#1671612");
C=B.fN("Restrictions","77#1671648");
B=A.fN("Behavior of Nulls","78");
C=B.fN("Conversion","78#1671659");
C=B.fN("Assignment","78#1671702");
C=B.fN("Table Parameters","78#1671784");
C=B.fN("Rules Arguments","78#1671828");
C=B.fN("Routine Arguments","78#1671847");
C=B.fN("Expressions","78#1671890");
C=B.fN("Relational Expressions","78#1671928");
C=B.fN("Ordering","78#1671995");
C=B.fN("Primary and Secondary Keys","78#1671998");
C=B.fN("Required Fields","78#1672016");
C=B.fN("Default Values","78#1672025");
C=B.fN("Unassigned Fields","78#1672047");
C=B.fN("Indirect Names","78#1672064");
C=B.fN("Initialization of Local Variables","78#1672067");
A=P.fN("Chapter\u00a012 Arithmetic Processing","79");
B=A.fN("Overview","80");
C=B.fN("What are the Arithmetic Operators?","80#1671585");
C=B.fN("Permitted Syntaxes for Arithmetic Operations","80#1671599");
C=B.fN("Conversion of Strings","80#1671615");
B=A.fN("Strings as Operands","81");
C=B.fN("Converting Strings to Numeric Syntax","81#1671644");
C=B.fN("Conversion of Numbers to Strings","81#1671655");
B=A.fN("Permissible Operations","82");
B=A.fN("Resultant Syntax from Arithmetic Operations","83");
C=B.fN("Resultant Syntax","83#1671841");
A=P.fN("Chapter\u00a013 Using Rules Libraries","84");
B=A.fN("Organization of Rules Libraries","85");
C=B.fN("TIBCO Object Service Broker UI","85#1671585");
C=B.fN("Overview","85#1671602");
C=B.fN("Types of Rules Libraries","85#1671607");
C=B.fN("Viewing the Listing of Libraries","85#1671648");
C=B.fN("Changing the Search Path for Rules Execution","85#1671693");
B=A.fN("Changing Local Libraries","86");
C=B.fN("Login Library","86#1671716");
C=B.fN("Accessing a Different Local Library","86#1671726");
C=B.fN("Copying a Rule to a Different Library","86#1671737");
B=A.fN("Defining a Library","87");
C=B.fN("Steps to Define a Library:","87#1671786");
C=B.fN("Example Definition","87#1671794");
C=B.fN("Providing the Description for a Rules Library","87#1671843");
A=P.fN("Chapter\u00a014 Using the Rule Editor","88");
B=A.fN("Invoking the Rule Editor","89");
C=B.fN("TIBCO Object Service Broker UI","89#1671584");
C=B.fN("Steps to Invoke the Rule Editor","89#1671601");
C=B.fN("Example Rule Editor Screen","89#1671618");
C=B.fN("Rule Displayed","89#1671645");
C=B.fN("Valid Values for Rule Names","89#1671655");
B=A.fN("Screen Layout of the Rule Editor","90");
C=B.fN("General Format of the Rule Editor Screen","90#1671688");
C=B.fN("Modifiable Sections","90#1671714");
C=B.fN("Scrolling within a Rule Editor Screen","90#1671719");
B=A.fN("Accessing a Listing of Rules to Edit","91");
C=B.fN("Using the Object Manager Screen","91#1671760");
C=B.fN("Available Commands","91#1671788");
A=P.fN("Chapter\u00a015 Editing Rules","92");
B=A.fN("Functional Overview","93");
C=B.fN("TIBCO Object Service Broker UI","93#1671587");
C=B.fN("Types of Editing Allowed","93#1671605");
C=B.fN("Syntax Checking Performed on a Rule","93#1671614");
C=B.fN("Available Line Commands and Associated PF Keys","93#1671628");
C=B.fN("Available Primary Commands","93#1671687");
B=A.fN("Using Available Line Commands","94");
C=B.fN("Copying Lines","94#1674598");
C=B.fN("Deleting Lines","94#1671867");
C=B.fN("Inserting Lines","94#1671873");
C=B.fN("Moving Lines","94#1671879");
C=B.fN("Replicating Lines","94#1671911");
C=B.fN("Splitting Lines","94#1671916");
C=B.fN("Combining Line Commands","94#1671926");
B=A.fN("Using Available Primary Commands","95");
C=B.fN("APPEND Command","95#1671960");
C=B.fN("CANCEL Command (PF12)","95#1671993");
C=B.fN("CHANGE Command","95#1671996");
C=B.fN("CHANGE \u2026 ALL Command","95#1672007");
C=B.fN("COPY Command","95#1672012");
C=B.fN("DELETE Command (PF22)","95#1672044");
C=B.fN("DOCUMENT Command (PF2)","95#1672049");
C=B.fN("EDIT Command","95#1672060");
C=B.fN("END Command (PF3)","95#1672071");
C=B.fN("FIND Command","95#1672077");
C=B.fN("HELP Command (PF1)","95#1672084");
C=B.fN("LOWER Command","95#1672088");
C=B.fN("PRINT Command (PF13)","95#1672091");
C=B.fN("SAVE Command","95#1672095");
C=B.fN("UPPER Command","95#1672102");
C=B.fN("XEDIT Command","95#1672105");
C=B.fN("Redisplay the Most Recent Primary Command\u2013(PF9)","95#1672110");
B=A.fN("Expanding Token Information","96");
C=B.fN("Types of Token Information Available","96#1672129");
C=B.fN("Expanding a Token at the Cursor Position","96#1672157");
C=B.fN("Expanding With the Primary Command EXPAND","96#1672202");
C=B.fN("Nesting Expanded Displays","96#1672217");
C=B.fN("Closing the Expanded Display","96#1672221");
A=P.fN("Chapter\u00a016 Processing in Standard Execution Mode","97");
B=A.fN("Using Execute Rule","98");
C=B.fN("TIBCO Object Service Broker UI","98#1671596");
C=B.fN("Available Methods","98#1671614");
C=B.fN("Supplying Argument Names","98#1671631");
C=B.fN("Library Search Order","98#1671668");
C=B.fN("Results After Execution","98#1671677");
B=A.fN("Accessing a Listing of Rules to Execute","99");
C=B.fN("Using the Object Manager Screen","99#1671712");
C=B.fN("Available Commands","99#1671740");
B=A.fN("Logging of Output","100");
C=B.fN("Message Logs Available","100#1671765");
C=B.fN("Message Log Primary Commands","100#1671777");
C=B.fN("PF Keys for the Message Logs","100#1671796");
B=A.fN("User Log","101");
C=B.fN("Sample User Log","101#1671853");
C=B.fN("What Output is Available?","101#1671883");
B=A.fN("System Log","102");
C=B.fN("Sample System Log","102#1671933");
C=B.fN("What Output is Available?","102#1671959");
C=B.fN("Event Logging","102#1671968");
B=A.fN("Examples of System Log Information","103");
C=B.fN("Location of the Error","103#1672002");
C=B.fN("Reason the Rule Stopped Executing","103#1672006");
C=B.fN("Traceback of the Rules","103#1672008");
C=B.fN("List of Active Local Variables","103#1672011");
C=B.fN("List of the Buffers for Active Tables","103#1672016");
C=B.fN("Up to the Last Sixteen Rules Invoked","103#1672018");
A=P.fN("Chapter\u00a017 Processing Asynchronously in Batch Mode","104");
B=A.fN("Functional Overview","105");
C=B.fN("Batch Processing Options Available","105#1671586");
C=B.fN("JCL, Batch Programs, and Scripts Provided","105#1671594");
C=B.fN("Dynamic Creation of an Execution Environment","105#1671606");
B=A.fN("Scheduling for Direct Batch Processing","106");
C=B.fN("How to Schedule a Rule for Direct Batch Processing","106#1671634");
C=B.fN("Example of Scheduling for Direct Processing","106#1671648");
B=A.fN("Scheduling a Batch Queue in TIBCO Object Service Broker for z/OS","107");
C=B.fN("How to Schedule to a Batch Queue","107#1671673");
C=B.fN("Example of Scheduling to a Queue","107#1671692");
C=B.fN("Features Available with the BATCH Tool","107#1671709");
B=A.fN("Editing @SCHEDULEMODEL","108");
C=B.fN("Provided Default Instances","108#1671733");
C=B.fN("About the Default JCL","108#1671743");
C=B.fN("About the Default Windows Batch Program and Solaris Script","108#1671765");
C=B.fN("Editing Instances of @SCHEDULEMODEL","108#1671791");
A=P.fN("Chapter\u00a018 Processing in Debug Mode","109");
B=A.fN("Using the Rule Debugger","110");
C=B.fN("Processing Rules in Debug Mode","110#1671587");
C=B.fN("How to Invoke and Navigate the Rule Debugger","110#1671595");
C=B.fN("Main Screen of the Rule Debugger","110#1671610");
C=B.fN("Layout of the Rule Debugger Screen","110#1671637");
C=B.fN("PF Keys and Commands for the Rule Debugger Screen","110#1671643");
B=A.fN("How to Specify Break Events","111");
C=B.fN("Methods Available to Specify Break Events","111#1671792");
C=B.fN("Valid Break Event Values","111#1671806");
B=A.fN("How to Examine and Modify the Execution State","112");
C=B.fN("Suspension of the Execution State","112#1672013");
C=B.fN("Commands Available to Examine the Execution State","112#1672017");
B=A.fN("Associating a Series of Commands With a Break Event","113");
C=B.fN("How to Create a Series of Commands","113#1672081");
C=B.fN("Debugger Command Editor Screen","113#1672116");
A=P.fN("Appendix\u00a0A Syntax of the Rules Language","114");
B=A.fN("BNF Notation","115");
C=B.fN("Conventions Used","115#1671504");
C=B.fN("Identifiers","115#1671519");
C=B.fN("Numeric Literals","115#1671523");
C=B.fN("String Literals","115#1671527");
B=A.fN("Syntax of Rules","116");
C=B.fN("Supported Syntax","116#1671550");
}
