function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42506");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Aspects of TIBCO Object Service Broker Security","6");
B=A.fN("What is TIBCO Object Service Broker Security?","7");
C=B.fN("What Tools are Available?","7#1671532");
C=B.fN("How Does TIBCO Object Service Broker Security Relate to External Security?","7#1671609");
B=A.fN("The Security Manager Facility","8");
C=B.fN("What Can the Security Manager Facility be Used For?","8#1671629");
C=B.fN("User Functions","8#1671644");
C=B.fN("Administrator Functions","8#1671664");
B=A.fN("Accessing the Security Manager","9");
C=B.fN("How Do You Access the Interface?","9#1671679");
C=B.fN("Security Management Main Menu","9#1671689");
C=B.fN("Methods Available to Enter Values","9#1671764");
B=A.fN("Security Roles within the Security Manager","10");
C=B.fN("Types of Security Profiles","10#1671772");
C=B.fN("User Profile","10#1671786");
C=B.fN("Security Group Profile","10#1671794");
C=B.fN("Security Administrator Profile","10#1671828");
C=B.fN("System Administrator Profile","10#1671858");
A=P.fN("Chapter\u00a02 Security Clearances","11");
B=A.fN("Login Clearance","12");
C=B.fN("Login Authentication","12#1671579");
C=B.fN("Authentication Using TIBCO Object Service Broker Security","12#1671683");
C=B.fN("Authentication Using External Security","12#1671710");
C=B.fN("Authentication Using Mixed Security","12#1671766");
C=B.fN("TIBCO Object Service Broker Security\u2014Obtaining and Evaluating User IDs and Passwords","12#1671829");
C=B.fN("Summary of User ID and Password Requirements","12#1672029");
B=A.fN("Object-Level Clearance","13");
C=B.fN("Clearance Checks When Accessing Objects","13#1672324");
C=B.fN("Summary of Checks When Accessing Objects","13#1672394");
A=P.fN("Chapter\u00a03 Managing User Profiles","14");
B=A.fN("Creating and Accessing a User Profile","15");
C=B.fN("Who Can Access a User Profile?","15#1671609");
C=B.fN("Who Can Create, Modify, and Delete a User Profile?","15#1671615");
C=B.fN("Accessing a Profile","15#1671685");
C=B.fN("Sample User Profile","15#1671703");
C=B.fN("What Types of User Options Can be Set?","15#1671731");
B=A.fN("Setting Operational Options","16");
C=B.fN("MANAGE USERID and Clearance Fields","16#1671744");
C=B.fN("Full Name, Phone, Timezone, CURRENT GROUP, and SecAdmin Fields","16#1671759");
C=B.fN("Password, Verify Password, and Mixed-case Password Fields","16#1671792");
B=A.fN("Setting Login Options","17");
C=B.fN("Login Restricted \u2026, Session Menu, Security Group, and Library Fields","17#1671830");
C=B.fN("Startup Rule, Action, Browse, and Search Fields","17#1671862");
B=A.fN("Setting Print Options","18");
C=B.fN("Destination, Number of Copies, File Fields","18#1671943");
C=B.fN("Form, Class, FCB, UCS, and External Writer Fields","18#1671975");
B=A.fN("Setting Application Development Options","19");
C=B.fN("Character Set, Borrower, Default Unit Fields","19#1672015");
C=B.fN("TDS Segment Field","19#1672036");
B=A.fN("Saving and Deleting a User Profile","20");
C=B.fN("Who Can Save Changes to a User ID?","20#1672054");
C=B.fN("Saving a User Profile","20#1672059");
C=B.fN("Deleting a User Profile","20#1672062");
B=A.fN("Creating Multiple User IDs","21");
C=B.fN("Prerequisites","21#1672084");
C=B.fN("Creating the Input Table","21#1672089");
C=B.fN("Creating the Model User Profile","21#1672094");
C=B.fN("Use of CREATEUSERS","21#1672099");
A=P.fN("Chapter\u00a04 Managing Security Administrator Profiles","22");
B=A.fN("Creating and Accessing a Security Administrator Profile","23");
C=B.fN("Purpose of a Security Administrator Profile","23#1671590");
C=B.fN("Who Can Create and Access Security Administrator Profiles?","23#1671596");
C=B.fN("Accessing a Profile","23#1671601");
C=B.fN("Sample Security Administrator Screen","23#1671610");
B=A.fN("Specifying Security Administrator Privileges","24");
C=B.fN("Adding Privileges","24#1671648");
C=B.fN("Changing Privileges","24#1671657");
B=A.fN("Obtaining Security Administrator Subjects","25");
C=B.fN("Adding Subjects to Your Own Profile","25#1671670");
C=B.fN("Adding Subjects to Another Security Administrator\u2019s Profile","25#1671685");
B=A.fN("Removing Subjects From the Subjects List","26");
C=B.fN("Disclaiming and Transferring Subjects","26#1671709");
B=A.fN("Deleting a Security Administrator Profile","27");
C=B.fN("Prerequisite for Deleting a Profile","27#1671723");
C=B.fN("Deleting the Profile","27#1671731");
A=P.fN("Chapter\u00a05 Managing Security Groups","28");
B=A.fN("Accessing Security Groups","29");
C=B.fN("Who Can Create and Access Security Groups?","29#1671592");
C=B.fN("Accessing the Security Group Screen","29#1671603");
C=B.fN("Sample Security Group Screen","29#1671613");
B=A.fN("Creating a Security Group","30");
C=B.fN("Adding Users to a Group","30#1671646");
C=B.fN("Selecting from a List of User IDs","30#1671657");
C=B.fN("Selecting Users from Other Groups","30#1671664");
C=B.fN("Updating a Security Group","30#1671679");
B=A.fN("Viewing Security Group Information","31");
C=B.fN("Displaying Members of a Security Group","31#1671687");
C=B.fN("Listing the Object Sets for a Security Group","31#1671698");
C=B.fN("Viewing Your Security Group Affiliations","31#1671726");
A=P.fN("Chapter\u00a06 Managing Permissions to Objects","32");
B=A.fN("Ownership Privileges and Permissions","33");
C=B.fN("What are Ownership Privileges?","33#1671626");
C=B.fN("Who Shares Owner Privileges?","33#1671633");
C=B.fN("What are Permissions?","33#1671639");
C=B.fN("Control Permission","33#1671654");
C=B.fN("Object Permissions and Enabled Object Sets","33#1671665");
B=A.fN("Setting up Explicit Permissions to Objects","34");
C=B.fN("What are Explicit Permissions?","34#1671679");
C=B.fN("Tasks Required to Explicitly Manage Permissions","34#1671688");
B=A.fN("Task A: Identify an Object","35");
C=B.fN("Methods Available to Identify an Object","35#1671747");
C=B.fN("Typing in the Object Name","35#1671752");
C=B.fN("Selecting From a List","35#1671780");
C=B.fN("Specify Protection Screen","35#1671799");
B=A.fN("Task B: Identify Table Instances","36");
C=B.fN("Sample Specify Protection for Table Screen","36#1671839");
C=B.fN("Managing Non-data Access Permissions","36#1671874");
C=B.fN("Managing Data Access Permissions to an Entire Table","36#1671893");
C=B.fN("Managing Data Access Permissions to a Specific Table Instance","36#1671904");
B=A.fN("Task C: Modify the Classification Level","37");
C=B.fN("Modifying the Default Value","37#1671953");
C=B.fN("Making an Object Inaccessible to Its Owner","37#1671956");
B=A.fN("Task D: Logging Accesses to a Table","38");
C=B.fN("Overriding Values","38#1671972");
C=B.fN("Required Steps","38#1671980");
B=A.fN("Task E: Set Accesses","39");
C=B.fN("Steps Required","39#1672022");
C=B.fN("Valid Accesses Available","39#1672057");
C=B.fN("Valid Accesses by Object Type","39#1672123");
B=A.fN("Modifying Permissions","40");
C=B.fN("Adding Permissions","40#1672261");
C=B.fN("Changing Permissions","40#1672269");
C=B.fN("Deleting Permissions","40#1672273");
B=A.fN("Transferring Ownership of Objects","41");
C=B.fN("Invoking the Transfer Ownership Screen","41#1672280");
C=B.fN("Required Steps","41#1672314");
B=A.fN("Setting Up Default Permissions","42");
C=B.fN("What are Default Permissions?","42#1672335");
C=B.fN("Who Can Specify Default Permissions?","42#1672347");
C=B.fN("Default Permissions for Your User ID","42#1672356");
C=B.fN("Default Permissions for a Security Group","42#1672360");
C=B.fN("Assignment of Default Permissions at Object Creation","42#1672390");
B=A.fN("Creating and Accessing a Default Permissions List","43");
C=B.fN("Who Can Create and Access a Default Permissions List?","43#1672414");
C=B.fN("Invoking the Default Permissions Screen","43#1672421");
C=B.fN("Data Displayed","43#1672454");
B=A.fN("Adding and Updating Default Permissions for Objects","44");
C=B.fN("Specify Default Permissions","44#1672459");
C=B.fN("Allowed Changes","44#1672479");
C=B.fN("Sample Defaults Permission Screen for a Table Object","44#1672487");
C=B.fN("Changing Access Modes","44#1672518");
C=B.fN("Adding New User IDs or Group Names","44#1672521");
C=B.fN("Deleting a Member Name","44#1672534");
C=B.fN("Changing a Member Name","44#1672538");
A=P.fN("Chapter\u00a07 Managing Object Set Security","45");
B=A.fN("Security for Object Sets","46");
C=B.fN("What is an Object Set?","46#1673951");
C=B.fN("Who Can Set Security Permissions to an Object Set?","46#1673961");
C=B.fN("What is an Object Set Permission List?","46#1673968");
C=B.fN("Activating Object Set Permissions","46#1673974");
B=A.fN("Object Set Permissions","47");
C=B.fN("Managing Permissions to Objects in an Object Set","47#1673981");
C=B.fN("Adding and Updating Permissions for Object Types","47#1674077");
C=B.fN("Adding and Updating User ID and Group Accesses","47#1674212");
B=A.fN("Enabling and Disabling Object Sets","48");
C=B.fN("Enabling an Object Set","48#1674324");
C=B.fN("Methods Available to Enable an Object Set","48#1674372");
C=B.fN("Effects of Enabling on Individual Object Permissions","48#1674551");
C=B.fN("Disabling an Object Set","48#1674592");
A=P.fN("Chapter\u00a08 Auditing Accesses","49");
B=A.fN("Auditing the Use of TIBCO Object Service Broker","50");
C=B.fN("What Determines the Level of Logging?","50#1671610");
C=B.fN("What is Logged in the Audit Log?","50#1671614");
C=B.fN("Who Can Access the Data in the Audit Log?","50#1671628");
C=B.fN("Purging the Data Stored in the Audit Log","50#1671632");
C=B.fN("Special Considerations for Strict Audit Logging","50#1671638");
B=A.fN("Accessing the Audit Log Facility","51");
C=B.fN("Invoking the AUDITLOG Tool","51#1671671");
C=B.fN("Initial Screen of the Audit Log Facility","51#1671682");
C=B.fN("Available Options","51#1671713");
C=B.fN("What is a Filter?","51#1671722");
B=A.fN("Querying the Data","52");
C=B.fN("Using a Predefined Query Filter","52#1671732");
C=B.fN("Types of Data Displayed","52#1671765");
C=B.fN("Modifying the Display of Data","52#1671814");
B=A.fN("Creating, Editing, and Deleting Filters","53");
C=B.fN("Creating a Filter","53#1671831");
C=B.fN("Editing a User-Defined Filter","53#1671870");
B=A.fN("Initiating a Reporting Session","54");
C=B.fN("Steps to Initiate a Reporting Session","54#1671889");
C=B.fN("Running a Report","54#1671921");
C=B.fN("Viewing the Report in the Message Log","54#1671959");
C=B.fN("Editing a User Defined Report Definition","54#1671985");
C=B.fN("Deleting a User Defined Report","54#1672019");
A=P.fN("Chapter\u00a09 Archiving the Audit Log Data","55");
B=A.fN("Archiving the Audit Log\u2013z/OS","56");
C=B.fN("Conditions for Using the PURGELOG Tools","56#1677380");
C=B.fN("External Security Required to Archive Data","56#1671629");
C=B.fN("Samples Provided","56#1671684");
B=A.fN("Archiving the Audit Log\u2013Open Systems","57");
C=B.fN("Conditions for Using the PURGELOG Tools","57#1671730");
C=B.fN("Required Entries for secparm","57#1671744");
B=A.fN("Purging the Archive File Interactively","58");
C=B.fN("Invoking the PURGELOG_SCREEN Tool","58#1671802");
C=B.fN("Purge Screen","58#1671817");
B=A.fN("Purging the Archive File in Batch","59");
C=B.fN("Usage of PURGELOG_BATCH","59#1671928");
B=A.fN("Analyzing Archived Data","60");
A=P.fN("Chapter\u00a010 Bound Security Access Data","61");
B=A.fN("Binding of Security Access Data","62");
C=B.fN("Refreshing Bound Security Access Data","62#1671582");
B=A.fN("Monitoring Security Performance","63");
C=B.fN("Available Tool","63#1671618");
A=P.fN("Chapter\u00a011 Password Encryption API","64");
B=A.fN("Overview","65");
C=B.fN("Intended Audience","65#1671585");
C=B.fN("Facilities Available for Encryption","65#1671587");
C=B.fN("Requirements","65#1671613");
C=B.fN("Limitations with One-way Encryption","65#1671621");
B=A.fN("Encryption API for z/OS","66");
C=B.fN("Location of the API","66#1671656");
C=B.fN("Supported Functions","66#1671663");
C=B.fN("HDRSCXIT Module","66#1671704");
C=B.fN("Special Considerations","66#1671771");
B=A.fN("Encryption API for Open Systems","67");
C=B.fN("Location of the API","67#1671782");
C=B.fN("Location of the Loadable Modules","67#1671789");
C=B.fN("Required Compilers","67#1671805");
C=B.fN("Sample","67#1671820");
C=B.fN("Supported Functions","67#1671823");
C=B.fN("hrnEncryptInitialize","67#1671832");
C=B.fN("hrnEncryptTerminate","67#1671847");
C=B.fN("hrnEncrypt","67#1671859");
C=B.fN("hrnDecrypt","67#1671883");
C=B.fN("hrnVersionMismatch","67#1671905");
B=A.fN("Changing the Encryption Algorithm","68");
C=B.fN("Steps Required for z/OS","68#1671936");
C=B.fN("Steps Required for Open Systems","68#1671944");
C=B.fN("How Do Multiple Changes of an Algorithm Affect a User?","68#1671950");
C=B.fN("Automatically Upgrading Passwords","68#1671959");
A=P.fN("Chapter\u00a012 Implementing External Security","69");
B=A.fN("Overview","70");
C=B.fN("Intended Audience","70#1673144");
C=B.fN("When Does TIBCO Object Service Broker Use External Security?","70#1673150");
C=B.fN("How Does TIBCO Object Service Broker Invoke External Security for Logins?","70#1673179");
C=B.fN("What External Security Interfaces are Supported?","70#1673212");
B=A.fN("Defining Data Object Broker Access","71");
C=B.fN("External Security Interface\u2013z/OS","71#1673440");
B=A.fN("Defining User Validation","72");
C=B.fN("Implementation Requirements for User Validation","72#1673520");
C=B.fN("External Security API\u2013Open Systems","72#1673586");
C=B.fN("hrnExtSecValidateUser","72#1673655");
C=B.fN("Source of the External Security Loadable Modules","72#1673693");
}
