function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42500");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 About the TIBCO Object Service Broker System","6");
B=A.fN("About TIBCO Object Service Broker Architecture","7");
C=B.fN("Client Services Layer","7#1001959");
C=B.fN("Execution Environment","7#1006453");
C=B.fN("Data Object Broker","7#998138");
B=A.fN("TIBCO Object Service Broker in the Client Server Model","8");
C=B.fN("TIBCO Object Service Broker Interfaces for External Environments","8#1023960");
B=A.fN("Accessing TIBCO Object Service Broker from an External Environment","9");
C=B.fN("What is an External Environment?","9#1003742");
C=B.fN("General Steps","9#1023277");
A=P.fN("Chapter\u00a02 Setting Session Parameters","10");
B=A.fN("Session Parameter Setting","11");
C=B.fN("What is a Session?","11#2211137");
C=B.fN("How to Set Session Parameters","11#2203603");
B=A.fN("Starting Sessions","12");
C=B.fN("How Do You Start Sessions?","12#2203739");
B=A.fN("When a Session Ends Abnormally","13");
C=B.fN("List of Execution Environment and Session Exit Codes","13#2205168");
A=P.fN("Chapter\u00a03 Accessing External Routines","14");
B=A.fN("Overview","15");
C=B.fN("Functional Overview","15#1141830");
B=A.fN("External Routines in C","16");
C=B.fN("Steps Required to Use an External C Routine","16#1141889");
B=A.fN("External Routines in Java","17");
C=B.fN("Steps Required to Use an External Java Routine","17#1149095");
A=P.fN("Chapter\u00a04 Using the Interface to TIBCO Enterprise Message Service\u2122","18");
B=A.fN("TIBCO Object Service Broker EMS Interface","19");
C=B.fN("Purpose of TIBCO Enterprise Message Service","19#1671580");
C=B.fN("Overview of TIBCO Object Service Broker EMS Interface","19#1671593");
B=A.fN("Calling EMS","20");
C=B.fN("Shareable Tools Available","20#1671601");
C=B.fN("Argument Mapping","20#1671608");
C=B.fN("Error Handling","20#1673438");
B=A.fN("Configuration","21");
C=B.fN("Initializing the EMS Interface","21#1676562");
C=B.fN("Setting the Path Environment Variable","21#1676767");
C=B.fN("Code Page Support","21#1676729");
B=A.fN("Sample Applications","22");
C=B.fN("Rules Samples","22#1674581");
B=A.fN("Supported EMS Functions","23");
A=P.fN("Chapter\u00a05 Using the TIBCO Service Gateway for WMQ","24");
B=A.fN("Overview","25");
C=B.fN("Configuration","25#1129478");
C=B.fN("Usage Notes","25#1129766");
C=B.fN("Error Handling","25#1128717");
C=B.fN("Example Rule","25#1130288");
A=P.fN("Chapter\u00a06 Using TIBCO Object Service Broker Adapter for JDBC-ODBC","26");
B=A.fN("Accessing TIBCO Object Service Broker Using 32-bit ODBC","27");
C=B.fN("Overview of ODBC support","27#1186251");
C=B.fN("Configuring the TIBCO Object Service Broker Adapter for ODBC","27#1188768");
C=B.fN("Connecting to TIBCO Object Service Broker","27#1131133");
C=B.fN("Constructing the Connect String","27#1132451");
C=B.fN("Keyword Description","27#1131844");
C=B.fN("Connecting Without a DSN","27#1142436");
C=B.fN("Pre-Configured Data Sources","27#1142458");
C=B.fN("Configuring TIBCO Object Service Broker Components","27#1132567");
C=B.fN("Stored Procedures","27#1172544");
C=B.fN("Writing TIBCO Object Service Broker Rules as ODBC Stored Procedures","27#1172635");
C=B.fN("Creating Cursors in TIBCO Object Service Broker Adapter for JDBC-ODBC Stored Procedures","27#1173594");
C=B.fN("Object Service Broker ODBC Stored Procedures Emulator","27#1174294");
C=B.fN("Sample","27#1174303");
C=B.fN("Notes on Behavior","27#1154185");
C=B.fN("Supported TIBCO Object Service Broker Table Types","27#1154192");
C=B.fN("Using Parameterized Tables","27#1154337");
C=B.fN("How Rows are Replaced","27#1154381");
C=B.fN("How Transactions are Handled","27#1154399");
C=B.fN("Support for Distributed Transactions (Windows, Solaris)","27#1154961");
C=B.fN("ODBC Conformance Levels","27#1154451");
C=B.fN("ODBC API Conformance","27#1169174");
C=B.fN("Error Codes and Messages","27#1135054");
B=A.fN("Accessing TIBCO Object Service Broker Using 64-bit ODBC","28");
C=B.fN("Overview of 64-bit ODBC Support","28#1193727");
C=B.fN("Running the SQL Service","28#1193729");
C=B.fN("Creating and Configuring a Data Source","28#1193733");
C=B.fN("Using the 64-bit ODBC Driver","28#1193775");
C=B.fN("Connecting Without a DSN","28#1195365");
C=B.fN("ODBC Conformance Levels","28#1194708");
B=A.fN("Accessing TIBCO Object Service Broker Using JDBC","29");
C=B.fN("Overview of JDBC support","29#1188903");
C=B.fN("Running the SQL Service","29#1188908");
C=B.fN("Setting the CLASSPATH","29#1188911");
C=B.fN("Registering the JDBC Client","29#1188913");
C=B.fN("Specifying the JDBC Driver Connection URLs","29#1188924");
C=B.fN("Using Stored Procedures","29#1188951");
A=P.fN("Chapter\u00a07 Using TIBCO Object Service Broker SDK\u00a0(C/C++)","30");
B=A.fN("Overview","31");
C=B.fN("Requirements","31#1150294");
C=B.fN("How Does It Work?","31#1079845");
C=B.fN("How Can It Be Used?","31#1079896");
C=B.fN("Compiling and Linking","31#1079932");
C=B.fN("Thread Safety","31#1079969");
C=B.fN("Constants","31#1080030");
B=A.fN("SDK\u00a0(C/C++) Functions","32");
C=B.fN("cliProc","32#1080528");
C=B.fN("cliExecTran","32#1082055");
C=B.fN("cliSetCodepage","32#1082332");
C=B.fN("cliErrorReasonDescr","32#1082559");
C=B.fN("cliCommCreate","32#1082638");
C=B.fN("cliCommCreate1","32#1082750");
C=B.fN("cliCommDelete","32#1082829");
C=B.fN("cliCommFormat","32#1082898");
C=B.fN("cliCommFormat1","32#1083041");
C=B.fN("cliCommSegment","32#1083164");
C=B.fN("cliCommSegments","32#1083274");
C=B.fN("cliCommSegSize","32#1083343");
C=B.fN("cliCommSize","32#1083458");
C=B.fN("cliCommSizeCalc","32#1083545");
C=B.fN("cliCommSizeCalc1","32#1083637");
C=B.fN("LLCOPY_CSTR(listr, cstr)","32#1083714");
C=B.fN("LLCOPY_MEM(listr, prt, len)","32#1083730");
C=B.fN("LLDECLARE(name, len)","32#1083746");
C=B.fN("LLSETLEN(listr, len)","32#1083762");
C=B.fN("LLSTR(listr)","32#1083778");
C=B.fN("LLSTRLEN(listr)","32#1083794");
B=A.fN("Sample Application Using the SDK\u00a0(C/C++)","33");
C=B.fN("Compiling and Running the Sample Program","33#1068032");
C=B.fN("Rule Called by C Program","33#1077848");
C=B.fN("Table Referenced by a Rule","33#1060327");
C=B.fN("Output from C Program","33#1060336");
A=P.fN("Chapter\u00a08 Using TIBCO Object Service Broker SDK\u00a0(Java)","34");
B=A.fN("Overview","35");
C=B.fN("Requirements","35#1146728");
C=B.fN("How Does It Work?","35#1146848");
C=B.fN("How Can It Be Used?","35#1116452");
C=B.fN("Compiling","35#1100207");
C=B.fN("Thread Safety","35#1100235");
C=B.fN("Constants","35#1143236");
B=A.fN("SDK\u00a0(Java) Methods","36");
C=B.fN("Classes","36#1120608");
B=A.fN("Session Object Methods","37");
C=B.fN("Session","37#1134438");
C=B.fN("call","37#1134520");
C=B.fN("endMessage","37#1135025");
C=B.fN("execTran","37#1135222");
C=B.fN("isActive","37#1135892");
C=B.fN("reset","37#1146902");
C=B.fN("shutdown","37#1147018");
C=B.fN("start","37#1136160");
C=B.fN("startTrans","37#1135742");
C=B.fN("stop","37#1135871");
C=B.fN("stopTrans","37#1133002");
C=B.fN("transNestLevel","37#1133520");
C=B.fN("userId","37#1133810");
B=A.fN("SessionException Object Methods","38");
C=B.fN("SessionException","38#1131413");
C=B.fN("errorReasonDescr","38#1136215");
C=B.fN("reasonCode","38#1145620");
C=B.fN("rc","38#1136372");
B=A.fN("Misc Object Methods","39");
C=B.fN("commCreate","39#1136421");
C=B.fN("commFormat","39#1136581");
C=B.fN("commSegmentInd","39#1136761");
C=B.fN("commSegments","39#1137022");
C=B.fN("commSegSize","39#1137095");
C=B.fN("commSize","39#1137133");
C=B.fN("commSizeCalc","39#1137238");
C=B.fN("readInt","39#1137389");
C=B.fN("readShort","39#1137504");
C=B.fN("writeInt","39#1137786");
C=B.fN("writeShort","39#1137897");
B=A.fN("Sample Application Using the SDK\u00a0(Java)","40");
C=B.fN("Compiling and Running the Sample Program","40#1138331");
C=B.fN("Sample Rule Called by Program","40#1140923");
C=B.fN("Sample Table Referenced by a Rule","40#1139814");
C=B.fN("Output from Program","40#1139731");
A=P.fN("Appendix\u00a0A SDK\u00a0(C/C++) and SDK\u00a0(Java) Error\u00a0Reason\u00a0Codes","41");
B=A.fN("Listing of the Reason Codes","42");
C=B.fN("Code Values and Explanations","42#1139146");
}
