function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42473");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Installing TIBCO Object Service Broker","6");
B=A.fN("Installer Overview","7");
C=B.fN("Installation Modes","7#1672912");
C=B.fN("Base Components and SDK Clients","7#1678741");
B=A.fN("Optional TIBCO Products for TIBCO Object Service Broker","8");
B=A.fN("Preparing for Installation","9");
C=B.fN("Prerequisite Software","9#1680176");
C=B.fN("Installer Disk Space Requirements","9#1673235");
C=B.fN("Installer Account","9#1703910");
C=B.fN("Installation Parameters","9#1677487");
C=B.fN("JDBC Deployment Parameters","9#1688780");
C=B.fN("Installation Verification Procedure Parameters","9#1701752");
B=A.fN("Installing on Microsoft Windows","10");
C=B.fN("Installation Files","10#1674067");
C=B.fN("Choosing an Installation Mode","10#1689966");
C=B.fN("Installing the Software","10#1673453");
C=B.fN("Post Installation","10#1689911");
C=B.fN("Uninstalling TIBCO Object Service Broker","10#1680108");
B=A.fN("Installing on Solaris Systems","11");
C=B.fN("Installation Files","11#1674752");
C=B.fN("Choosing an Installation Mode","11#1693389");
C=B.fN("Installing the Software","11#1693448");
C=B.fN("Setting Environment Variables","11#1676572");
C=B.fN("Post Installation","11#1676560");
C=B.fN("Uninstalling TIBCO Object Service Broker","11#1681408");
B=A.fN("Log Files and Environment Variables","12");
C=B.fN("Installation Log Files","12#1681626");
C=B.fN("Environment Variables","12#1681628");
B=A.fN("Installing Multiple Instances","13");
C=B.fN("Administration","13#1678987");
B=A.fN("Installing the TIBCO Object Service Broker UI","14");
C=B.fN("Overview","14#1680525");
C=B.fN("System Requirements","14#1680557");
C=B.fN("Preparing for Installation","14#1679016");
C=B.fN("Installation Files","14#1678371");
C=B.fN("Installing the Software","14#1678603");
C=B.fN("Postinstallation","14#1679631");
C=B.fN("Uninstalling the Software","14#1679637");
B=A.fN("Installing the Service Gateway for WMQ","15");
B=A.fN("Postinstallation Tasks","16");
C=B.fN("Setting up the Security Framework for Archiving the Audit Log","16#1699020");
C=B.fN("Schedule Monitoring Tasks","16#1698951");
A=P.fN("Chapter\u00a02 Configuring the Data\u00a0Object\u00a0Broker","17");
B=A.fN("Overview","18");
C=B.fN("Purpose","18#1061118");
C=B.fN("Distribution of Components Across Platforms","18#1102772");
C=B.fN("Distribution of Data Object Brokers","18#1061267");
B=A.fN("Processes That Form the Data Object Broker","19");
C=B.fN("Description of Processes","19#1054092");
B=A.fN("Setting Data Object Broker Parameters","20");
C=B.fN("Sample Entries","20#1054533");
C=B.fN("Changing Parameters in the crparm File","20#1099480");
C=B.fN("Access Control Parameters","20#1054579");
B=A.fN("Dynamically Modifying the Parameters","21");
C=B.fN("Format of the PARM Operator Command","21#1054905");
C=B.fN("Modifiable Parameters","21#1054996");
B=A.fN("Data Object Broker Files","22");
C=B.fN("Detailed View of the Database Directory","22#1050366");
B=A.fN("Data Object Broker Special Files","23");
C=B.fN("What are the Special Files?","23#1052179");
C=B.fN("Description and Size of the Special Files","23#1055544");
B=A.fN("Data Object Broker Directory File (huron.dir)","24");
C=B.fN("Name and Placement of the Directory File","24#1053748");
C=B.fN("What the Communication Attributes Define","24#1053801");
C=B.fN("Attributes Defined","24#1043370");
C=B.fN("Sample huron.dir File","24#1076788");
B=A.fN("Database Definition File (dbdef)","25");
C=B.fN("File Naming Conventions","25#1066736");
C=B.fN("How File Location is Determined","25#1022688");
C=B.fN("Changing File Location","25#1022752");
B=A.fN("Customize the TIBCO Object Service Broker Unicode Processing","26");
C=B.fN("Overview","26#1105664");
C=B.fN("Format of the Data Files","26#1084214");
C=B.fN("Sample Unicode Configuration Files Provided","26#1084348");
C=B.fN("Creating Binary Unicode Configuration Files","26#1108334");
C=B.fN("Specifying Unicode Configuration","26#1107816");
B=A.fN("Customize the TIBCO Object Service Broker @SCHEDULEMODEL Table","27");
C=B.fN("Execution Environment Parameters Allowed as Variables","27#1070024");
B=A.fN("Data Object Broker Log Files","28");
C=B.fN("Default Log File","28#1045658");
C=B.fN("Formatting Log Entries for the Default Log File","28#1045730");
C=B.fN("Monitoring the Default Data Object Broker Log File","28#1046721");
C=B.fN("Sending Log Files to the Windows Event Log","28#1048783");
A=P.fN("Chapter\u00a03 Operating the Data\u00a0Object\u00a0Broker","29");
B=A.fN("TIBCO Object Service Broker Administrator Programs","30");
C=B.fN("DOB Administrator Program Menu Icons","30#1030062");
C=B.fN("The TIBCO Object Service Broker Database Administrator Tool","30#1040100");
C=B.fN("Batch Utilities","30#1043060");
B=A.fN("Starting the Data Object Broker","31");
C=B.fN("Starting the Data Object Broker\u2013Windows","31#1031047");
C=B.fN("Starting the Data Object Broker\u2013Solaris","31#1031104");
C=B.fN("Startup Messages","31#1031154");
C=B.fN("Data Object Broker Log Startup Messages","31#1045003");
C=B.fN("Critical Messages","31#1045130");
C=B.fN("Restarting the Data Object Broker","31#1045207");
B=A.fN("Shutting Down the Data Object Broker","32");
C=B.fN("Data Object Broker Shutdown Commands","32#1031762");
C=B.fN("Order of Shutdown","32#1031834");
C=B.fN("Data Object Broker Log Shutdown Messages","32#1031859");
B=A.fN("Running a Data Object Broker as a Windows Service","33");
C=B.fN("Installing the Data Object Broker as a Service","33#1032080");
C=B.fN("Starting the Service","33#1037367");
C=B.fN("Setting the Service to Start Automatically","33#1037474");
C=B.fN("Shutting Down Your Windows System","33#1037336");
C=B.fN("Shutting Down a Data Object Broker Started as a Windows Service","33#1040567");
C=B.fN("Uninstalling the Data Object Broker Windows Service","33#1062727");
B=A.fN("TIBCO Object Service Broker Operator Commands","34");
C=B.fN("Issuing Commands","34#1033303");
C=B.fN("Available Arguments","34#1033429");
C=B.fN("Available Operator Commands","34#1033671");
A=P.fN("Chapter\u00a04 TIBCO Object Service Broker Execution Environment and Client Sessions","35");
B=A.fN("Overview","36");
C=B.fN("Purpose","36#1033774");
C=B.fN("Activity Flow for an ostty User","36#1361386");
C=B.fN("Actions Initiated by a Client","36#1035042");
C=B.fN("Communications Between Clients and Servers","36#1033871");
B=A.fN("Setting Client Session Characteristics","37");
C=B.fN("Using Execution Environment Parameters","37#1029372");
B=A.fN("Operating TIBCO Object Service Broker Clients","38");
C=B.fN("Types of TIBCO Object Service Broker Clients","38#1361487");
C=B.fN("Prerequisites","38#1033705");
C=B.fN("Starting osMon","38#1033760");
C=B.fN("Starting osMon as a Windows Service","38#1036178");
C=B.fN("Getting Help on osMon","38#1042896");
C=B.fN("Reloading Parameter Settings","38#1042909");
C=B.fN("Inquiring into the Status of osMon","38#1041877");
C=B.fN("Starting and Exiting from ostty","38#1036646");
C=B.fN("Starting the TIBCO Object Service Broker UI","38#1043520");
C=B.fN("Starting osBatch","38#1043572");
C=B.fN("Ending a Session","38#1041072");
C=B.fN("Exiting from osMon","38#1041891");
C=B.fN("Getting the Variable Values for osMon Commands","38#1042043");
A=P.fN("Chapter\u00a05 Configuring a Communication Environment for Access of Distributed Data","39");
B=A.fN("Overview","40");
C=B.fN("Using Distributed Data","40#1041739");
C=B.fN("Supported Connections","40#1040060");
B=A.fN("Managing Peer Servers","41");
C=B.fN("Defining a Peer Server","41#1057975");
C=B.fN("Starting a Peer Server","41#1042923");
C=B.fN("Shutting Down a Peer Server with the STOPSERVER Command","41#1040200");
C=B.fN("Automatic Restart of a Peer Server","41#1040251");
C=B.fN("Format of Peer server_userid","41#1040267");
C=B.fN("Monitoring Peer Servers","41#1051026");
C=B.fN("Peer Server Logs","41#1044350");
B=A.fN("Connecting Windows to Windows or Solaris","42");
C=B.fN("Configuring Node A","42#1048722");
C=B.fN("Configuring Node B","42#1058069");
C=B.fN("Establishing the Connection","42#1058373");
C=B.fN("Ending the Connection","42#1051545");
B=A.fN("Connecting Windows or Solaris to z/OS Using TCP/IP","43");
C=B.fN("Recommendations","43#1034147");
C=B.fN("Assumptions","43#1034180");
C=B.fN("Ending the Windows Connection","43#1034952");
C=B.fN("Ending the z/OS Connection","43#1035001");
A=P.fN("Chapter\u00a06 Monitoring TIBCO Object Service Broker","44");
B=A.fN("Overview","45");
C=B.fN("What is the Administration Menu?","45#1022898");
C=B.fN("Displaying the Administration Menu","45#1024465");
C=B.fN("Administration Menu","45#1032848");
C=B.fN("Header Line","45#1023615");
C=B.fN("Categories of Administration Options","45#1028540");
C=B.fN("Menu Options and Levels of Security Access","45#1030064");
B=A.fN("Option A \u2013 General","46");
C=B.fN("General Statistics Screen Fields","46#1017859");
B=A.fN("Option B \u2013 Segment/DASD","47");
C=B.fN("Segment Statistics Screen","47#1018493");
C=B.fN("DASD Statistics Screen","47#1018843");
C=B.fN("DASD Stats by Page Type Screen","47#1019150");
C=B.fN("Change Segment Status Screen","47#1019403");
B=A.fN("Option F \u2013 Message Length Profile","48");
B=A.fN("Option H \u2013 Message Turnaround Times","49");
B=A.fN("Option I \u2013 User Activity","50");
C=B.fN("Active User List Screen","50#1020017");
C=B.fN("Activity Detail Screen","50#1020194");
C=B.fN("Active Sessions Screen","50#1020678");
C=B.fN("Region Selection List Screen","50#1056071");
C=B.fN("Connections in Region Screen","50#1021051");
B=A.fN("Option L \u2013 Node Name List","51");
C=B.fN("Node Name List Fields","51#1021381");
C=B.fN("Key Commands","51#1021450");
B=A.fN("Option U \u2013 Huron Page Image","52");
C=B.fN("Displaying a New Page Image","52#1021674");
C=B.fN("Specifying Search Tokens","52#1021710");
C=B.fN("Key Commands","52#1021785");
B=A.fN("Option X \u2013 In-doubt Transactions","53");
C=B.fN("In-doubt Transactions List Screen","53#1021904");
C=B.fN("In-doubt Transaction Display Screen","53#1022182");
B=A.fN("Option O \u2013 Local Diagnostics: Operator Command","54");
A=P.fN("Chapter\u00a07 Using the Interface to TIBCO Hawk","55");
B=A.fN("Overview","56");
B=A.fN("Enabling Hawk Microagents","57");
B=A.fN("Hawk Microagent Names","58");
C=B.fN("Application Names","58#1369042");
C=B.fN("Display Names","58#1369056");
B=A.fN("Hawk Microagent Startup","59");
B=A.fN("Hawk Microagent Methods","60");
B=A.fN("Component Initialization and Termination","61");
C=B.fN("Notification Parameter Values","61#1370057");
B=A.fN("S6BNOTIFY Shareable Tool","62");
A=P.fN("Appendix\u00a0A Sample Configurations","63");
B=A.fN("A Sample Installation","64");
C=B.fN("Data Object Broker","64#1040360");
C=B.fN("TIBCO Object Service Broker Monitor Process","64#1043888");
C=B.fN("Server Group Identification","64#1040510");
C=B.fN("Setting Up Parameters for Users","64#1040630");
C=B.fN("Identifying the Execution Environment","64#1040784");
B=A.fN("Sample Configurations","65");
C=B.fN("Standalone Configuration","65#1041309");
C=B.fN("Sample User Application System (Thin Client)","65#1041323");
C=B.fN("Sample User Application System (Fat Client)","65#1041411");
A=P.fN("Appendix\u00a0B Possible\u00a0Problems","66");
B=A.fN("TCP/IP Subnet Connection Problem","67");
C=B.fN("Router Cannot Send Back ICMP Messages","67#1033349");
B=A.fN("DLL Initialization Failure (Windows)","68");
C=B.fN("osee DLL Does Not Initialize","68#1039919");
}
