function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42500");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Introducing TIBCO Object Service Broker Backup and Recovery Components","6");
B=A.fN("Overview","7");
C=B.fN("Operational Components","7#10604");
C=B.fN("Data Set Components","7#10640");
B=A.fN("Data Object Broker","8");
C=B.fN("Definition","8#10748");
C=B.fN("Data Object Broker Functionality","8#10781");
C=B.fN("The Role of the Data Object Broker and Related Data Sets","8#25188");
C=B.fN("Data Object Broker Communication","8#25190");
B=A.fN("Execution Environment","9");
C=B.fN("Definition","9#10892");
C=B.fN("Execution Environment Functionality","9#10934");
C=B.fN("Relationship Between Execution Environments and a Data Object Broker","9#10955");
C=B.fN("Types of Execution Environments","9#10974");
C=B.fN("Parameters","9#19451");
B=A.fN("TIBCO Object Service Broker Data Sets","10");
C=B.fN("Pagestore","10#18545");
C=B.fN("Redolog","10#18705");
C=B.fN("Contingency Log","10#18725");
C=B.fN("Cache","10#19390");
C=B.fN("Journals","10#19410");
C=B.fN("DBDLIB","10#18848");
A=P.fN("Chapter\u00a02 Understanding Transaction Processing","11");
B=A.fN("Overview","12");
C=B.fN("Key Components Involved in Transaction Processing","12#14529");
B=A.fN("Sample Transaction","13");
C=B.fN("Implications for Backup and Recovery","13#11175");
A=P.fN("Chapter\u00a03 Understanding Fail Safe Processing","14");
B=A.fN("Fail Safe Processing","15");
C=B.fN("Definition","15#8452");
B=A.fN("Fail Safe Strategies","16");
C=B.fN("Determining a Fail Safe Strategy","16#4189");
C=B.fN("Fail Safe Level 0 (Serial)","16#25483");
C=B.fN("Fail Safe Level 1 (Contingent)","16#2869");
C=B.fN("Fail Safe Level 2 (Two-Phase Commit)","16#4429");
C=B.fN("Contingent Two-Phase Commit","16#9622");
B=A.fN("Components Supporting Fail Safe Processing","17");
C=B.fN("Transaction Database","17#14716");
C=B.fN("Contingency Log","17#18452");
B=A.fN("Sample Distributed Processing Scenarios","18");
C=B.fN("Two Data Object Brokers","18#8652");
C=B.fN("Two Data Object Brokers with an External Database Server","18#8718");
C=B.fN("Three Data Object Brokers","18#8756");
C=B.fN("Multiple Data Object Brokers with an External Database Server","18#3613");
C=B.fN("Commit Behavior Across Multiple Data Object Brokers","18#8773");
A=P.fN("Chapter\u00a04 Understanding Journal Processing","19");
B=A.fN("Introduction to Journal Processing","20");
C=B.fN("Definition","20#62821");
C=B.fN("Overview","20#47436");
B=A.fN("Spinning the Journals","21");
C=B.fN("Types of Journal Spins","21#52247");
C=B.fN("Journal Spin Process","21#52273");
B=A.fN("Spinning Journals Using Batch Jobs","22");
C=B.fN("Recommendation","22#52563");
C=B.fN("Customization","22#52501");
B=A.fN("Spinning Journals Using Started Tasks","23");
C=B.fN("Why Use this Approach?","23#52897");
C=B.fN("Procedure","23#48447");
B=A.fN("Merging Journal Data in Accumulation Data Sets","24");
C=B.fN("Merging Behavior","24#62991");
C=B.fN("Merging Data in the Accumulation Data Sets","24#61139");
C=B.fN("SPINMRG Functionality","24#50163");
B=A.fN("Determining Size and Number of Journals","25");
C=B.fN("Why Should Size and Number of Journals be Adjusted?","25#50304");
B=A.fN("Switching Journals","26");
C=B.fN("Quiesced System Restrictions","26#63919");
C=B.fN("Releasing a Journal Manually","26#61295");
B=A.fN("Turning Off Journal Processing for Selected Segments","27");
C=B.fN("Why Turn Off Journal Processing?","27#20825");
C=B.fN("Determining Journaling Setting","27#50524");
C=B.fN("Methods for Turning Journal Processing On and Off","27#59466");
A=P.fN("Chapter\u00a05 Backing Up Your System","28");
B=A.fN("Overview","29");
C=B.fN("TIBCO Object Service Broker Backup Utilities","29#17352");
C=B.fN("Planning Your System Backup","29#22567");
C=B.fN("Full System Backup Approach","29#18157");
C=B.fN("Continuous Backup Approach","29#18197");
C=B.fN("Date and Time on Journal Pages","29#37305");
B=A.fN("Using TIBCO Object Service Broker Backup Utilities (and BACKUP JCL)","30");
C=B.fN("Advantages to Using Backup Utilities","30#31362");
C=B.fN("Using Backup Utilities on Offline Segments","30#31417");
C=B.fN("Journaling Offline","30#31484");
C=B.fN("Backing Up a Segment","30#32358");
B=A.fN("Using the Continuous Backup Approach","31");
B=A.fN("Sample Continuous Backup Implementation","32");
C=B.fN("Overview of Continuous Backup Data Flow","32#22066");
B=A.fN("Using Full System Backup Products","33");
C=B.fN("Usage","33#31949");
B=A.fN("Backing Up and Restoring the RESOURCE File","34");
C=B.fN("Backing Up Online","34#32423");
C=B.fN("Backing Up the RESOURCE File Offline","34#32436");
C=B.fN("Restoring the RESOURCE File","34#32073");
A=P.fN("Chapter\u00a06 Managing Data Sets","35");
B=A.fN("Duplexing the Redolog for Recoverability","36");
C=B.fN("Purpose","36#14932");
C=B.fN("Creating a Duplex Copy of the Redolog","36#14949");
C=B.fN("Considerations","36#15003");
B=A.fN("Moving Data Sets to Different DASD Devices","37");
C=B.fN("Purpose","37#24758");
C=B.fN("Considerations","37#26630");
C=B.fN("Details by File","37#51212");
C=B.fN("System Files","37#49612");
C=B.fN("Pagestore Migration","37#51680");
A=P.fN("Chapter\u00a07 Maintaining Segments Using Third-Party Products","38");
B=A.fN("Overview","39");
C=B.fN("TIBCO Object Service Broker Commands Available","39#1059088");
B=A.fN("Required Facilities and Process for Backup While Open","40");
C=B.fN("What is Backup While Open (BWO)?","40#1038782");
C=B.fN("Prerequisites","40#1038826");
C=B.fN("Process of Using the BWO Feature of DFSMSdss","40#1039073");
B=A.fN("Examples of Maintenance Steps Using the BWO Feature of DFSMSdss","41");
C=B.fN("Step 1: Set up DFSMSdss jobs to perform concurrent dumps of the desired TIBCO Object Service Broker data sets","41#1040055");
C=B.fN("Step 2: Freeze the TIBCO Object Service Broker system","41#1046311");
C=B.fN("Step 3: Run the DFSMSdss job","41#1046328");
C=B.fN("Step 4: Unfreeze the TIBCO Object Service Broker system","41#1052580");
C=B.fN("Step 5: Sample output from Status and BWOStatus commands","41#1039865");
B=A.fN("Required Facilities and Process for Softek TDMF","42");
C=B.fN("What is Softek TDMF?","42#1038390");
C=B.fN("What is Softek TDMF Offline Volume Access Facility (OVA)?","42#1038567");
C=B.fN("Prerequisites","42#1038590");
C=B.fN("TDMFIPGM OVA Interface Program","42#1030997");
C=B.fN("Process of Using TDMF OVA to Maintain TIBCO Object Service Broker Segments","42#1036284");
B=A.fN("Examples of Maintenance Steps Using Softek TDMF","43");
C=B.fN("Step 1: Obtain List of Volumes to be Copied Using Softek TDMF","43#1059138");
C=B.fN("Step 2: Set up a Migration Job to Perform a Point-in-time Copy of the Volumes","43#1031689");
C=B.fN("Step 3: Confirm that all Segments to be Processed are Online to TIBCO Object Service Broker","43#1031704");
C=B.fN("Step 4: Run the Softek TDMF Point-in-time Migration Job","43#1031741");
C=B.fN("Step 5: Run TIBCO Object Service Broker Utilities Under the Control of OVA","43#1035227");
A=P.fN("Chapter\u00a08 Recovery Procedures","44");
B=A.fN("Introduction to TIBCO Object Service Broker Recovery","45");
C=B.fN("Purpose of TIBCO Object Service Broker Recovery","45#17383");
C=B.fN("Validating the Backup","45#55897");
C=B.fN("Deciding How Much To Restore","45#28644");
C=B.fN("Recovery Preparation","45#19616");
C=B.fN("Recovery Overview","45#19654");
B=A.fN("Full Recovery Procedure","46");
B=A.fN("Point in Time Recovery","47");
C=B.fN("Procedure","47#25040");
B=A.fN("Restoring A Segment","48");
B=A.fN("Restoring Individual Page Data Sets","49");
C=B.fN("Recovering Page Data Sets","49#6023");
C=B.fN("Restoring a Page Data Set Using a Continuous Backup","49#11473");
C=B.fN("Restoring a Page Data Set with an External DASD Backup","49#11840");
C=B.fN("Recovery to a Previous Full External Backup","49#14614");
B=A.fN("Recovering From Non-Page Data Set Failures","50");
C=B.fN("Recovering From Redolog Failure","50#22515");
C=B.fN("Recovering From Contingency Log Failure","50#7323");
C=B.fN("Recovering From Cache Failure","50#7377");
C=B.fN("Recovering From Journal Failures","50#7526");
A=P.fN("Chapter\u00a09 Errors in Journal Spinning","51");
B=A.fN("Spin Job Completion","52");
C=B.fN("Sample Console Messages","52#8397");
C=B.fN("Refreshing the Data Object Broker","52#1422");
B=A.fN("Active Journal Filling \u2013 Spin Required","53");
C=B.fN("Journal Filling Message","53#82");
C=B.fN("Journal Full Message","53#85");
B=A.fN("When the System Is Quiesced","54");
C=B.fN("Error Messages","54#1676");
C=B.fN("Enabling Offloaded Journal","54#3388");
A=P.fN("Appendix\u00a0A Sort Control Manipulation","55");
B=A.fN("Manipulating Sort Control Statements","56");
C=B.fN("Page Header Format","56#5864");
}
