function  WWHBookData_Files(P)
{
P.fA("TIBCO\u00ae Object Service Broker for z/OS","title.01.1.htm");
P.fA("Important Information","copyrigh.htm");
P.fA("Preface","preface.02.1.htm");
P.fA("Related Documentation","preface.02.2.htm");
P.fA("Typographical Conventions","preface.02.3.htm");
P.fA("Connecting with TIBCO Resources","preface.02.4.htm");
P.fA("Introduction","1_introduction.03.1.htm");
P.fA("TIBCO Object Service Broker Architecture","1_introduction.03.2.htm");
P.fA("Accessing TIBCO Object Service Broker from an External Environment","1_introduction.03.3.htm");
P.fA("Stages to Setting Up and Processing Within TIBCO Object Service Broker","1_introduction.03.4.htm");
P.fA("The TIBCO Object Service Broker Client Model","2_client_model.04.1.htm");
P.fA("Overview","2_client_model.04.2.htm");
P.fA("TIBCO Object Service Broker Client Styles","2_client_model.04.3.htm");
P.fA("Setting Up the User Profile for Seamless Clients","2_client_model.04.4.htm");
P.fA("Setting Execution Environment Parameters","3_setting_EE_param.05.1.htm");
P.fA("Usage of the Execution Environment Parameters","3_setting_EE_param.05.2.htm");
P.fA("Determining Session Characteristics","3_setting_EE_param.05.3.htm");
P.fA("Available Execution Environment Parameters","3_setting_EE_param.05.4.htm");
P.fA("Specifying Session Parameters Using an Input File or a CLIST","3_setting_EE_param.05.5.htm");
P.fA("Reducing Session Resources","3_setting_EE_param.05.6.htm");
P.fA("TIBCO Object Service Broker Sessions Under z/OS Batch","4_session_batch.06.1.htm");
P.fA("How to Run Batch Applications","4_session_batch.06.2.htm");
P.fA("How to Set Session Parameters","4_session_batch.06.3.htm");
P.fA("How to Manipulate Data in a TIBCO Object Service Broker Batch Client Session","4_session_batch.06.4.htm");
P.fA("TIBCO Object Service Broker Sessions Under\u00a0TSO","5_session_tso.07.1.htm");
P.fA("How to Run TSO Applications","5_session_tso.07.2.htm");
P.fA("How to Set Session Parameters","5_session_tso.07.3.htm");
P.fA("How to Manipulate Data in TSO Client Sessions","5_session_tso.07.4.htm");
P.fA("TIBCO Object Service Broker Sessions Under the Native Execution Environment","6_session_native.08.1.htm");
P.fA("Overview of the Native Execution Environment","6_session_native.08.2.htm");
P.fA("How to Set Session Parameters","6_session_native.08.3.htm");
P.fA("Manipulating Data in VTAM LU2 Client Sessions","6_session_native.08.4.htm");
P.fA("Using the TIBCO Service Gateway for CICS","7_session_cics.09.01.htm");
P.fA("How to Run CICS Applications","7_session_cics.09.02.htm");
P.fA("Session Initiation and Termination","7_session_cics.09.03.htm");
P.fA("Selecting a TIBCO Object Service Broker CICS Client Program","7_session_cics.09.04.htm");
P.fA("How to Set Session Parameters","7_session_cics.09.05.htm");
P.fA("Starting TIBCO Object Service Broker Sessions","7_session_cics.09.06.htm");
P.fA("Passing the COMMAREA Between a TIBCO Object Service Broker CICS Client and a Session","7_session_cics.09.07.htm");
P.fA("How Can Data Be Returned","7_session_cics.09.08.htm");
P.fA("Performing CICS Functions at Session End","7_session_cics.09.09.htm");
P.fA("Calling External Routines","7_session_cics.09.10.htm");
P.fA("CICS Channels and Containers in the TIBCO Object Service Broker CICS Session Environment","7_session_cics.09.11.htm");
P.fA("Using the TIBCO Service Gateway for\u00a0IMS TM","8_session_ims.10.01.htm");
P.fA("How to Run IMS TM Applications","8_session_ims.10.02.htm");
P.fA("Selecting a TIBCO Object Service Broker IMS TM Program Style","8_session_ims.10.03.htm");
P.fA("Starting a TIBCO Object Service Broker Session","8_session_ims.10.04.htm");
P.fA("Terminal Changes at Session Startup","8_session_ims.10.05.htm");
P.fA("Passing Data to TIBCO Object Service Broker IMS TM Sessions","8_session_ims.10.06.htm");
P.fA("Input Message Segment Overview","8_session_ims.10.07.htm");
P.fA("Returning Data from TIBCO Object Service Broker to IMS TM","8_session_ims.10.08.htm");
P.fA("Passing Control to an IMS Transaction at Session End","8_session_ims.10.09.htm");
P.fA("Ensuring Message Queue/Database Consistency","8_session_ims.10.10.htm");
P.fA("Customizing TIBCO Object Service Broker IMS TM Client Programs","8_session_ims.10.11.htm");
P.fA("Getting Access to IMS TM Data","8_session_ims.10.12.htm");
P.fA("Accessing IMS Via the OTMA Callable Interface","9_ims_otma.11.1.htm");
P.fA("Functional Overview","9_ims_otma.11.2.htm");
P.fA("Programming for OTMA","9_ims_otma.11.3.htm");
P.fA("Usage Notes","9_ims_otma.11.4.htm");
P.fA("Accessing External Routines","10_external_routines.12.1.htm");
P.fA("Functional Overview","10_external_routines.12.2.htm");
P.fA("Observing Standard Conventions","10_external_routines.12.3.htm");
P.fA("Making a COBOL Program Compatible with TIBCO Object Service Broker","10_external_routines.12.4.htm");
P.fA("Making a PL/I Program Compatible with TIBCO Object Service Broker","10_external_routines.12.5.htm");
P.fA("Making a C Program Compatible with TIBCO Object Service Broker","10_external_routines.12.6.htm");
P.fA("Identifying Your External Routine to TIBCO Object Service Broker","10_external_routines.12.7.htm");
P.fA("Calling the Routine","10_external_routines.12.8.htm");
P.fA("Using User Builtin Routines","11_builtin_routine.13.1.htm");
P.fA("Functional Overview","11_builtin_routine.13.2.htm");
P.fA("Programming Considerations","11_builtin_routine.13.3.htm");
P.fA("Sample User Builtin Routines","11_builtin_routine.13.4.htm");
P.fA("Using the Interface to TIBCO Enterprise Message Service","12_ems.14.1.htm");
P.fA("TIBCO Object Service Broker EMS Interface","12_ems.14.2.htm");
P.fA("Calling EMS","12_ems.14.3.htm");
P.fA("Configuration","12_ems.14.4.htm");
P.fA("Sample Applications","12_ems.14.5.htm");
P.fA("Supported EMS Functions","12_ems.14.6.htm");
P.fA("Using the TIBCO Service Gateway for WMQ","13_wmqgateway.15.1.htm");
P.fA("Overview","13_wmqgateway.15.2.htm");
P.fA("Introduction to the Call\u00a0Level Interface","14_CLinterface_intro.16.1.htm");
P.fA("Aspects of the Call Level Interface","14_CLinterface_intro.16.2.htm");
P.fA("Functionality of the Call Level Interface","14_CLinterface_intro.16.3.htm");
P.fA("Operational Characteristics","14_CLinterface_intro.16.4.htm");
P.fA("Call Level Interface Specification","14_CLinterface_intro.16.5.htm");
P.fA("HRNHLLTM Module Parameters","14_CLinterface_intro.16.6.htm");
P.fA("Valid Calling Sequences","14_CLinterface_intro.16.7.htm");
P.fA("Examples of Typical Usage","14_CLinterface_intro.16.8.htm");
P.fA("Using the Host Languages Interface","14_CLinterface_intro.16.9.htm");
P.fA("Preparing the Environment, Analyzing Returned Values, and Modifying Changes","15_preparing_environment.17.1.htm");
P.fA("Preparing to Start or Locate the Execution Environment","15_preparing_environment.17.2.htm");
P.fA("How to Analyze the Return and Reason Codes, and Returned Message","15_preparing_environment.17.3.htm");
P.fA("Call Level Interface Return Codes","15_preparing_environment.17.4.htm");
P.fA("Call Level Interface Reason Codes","15_preparing_environment.17.5.htm");
P.fA("Committing and Rolling Back Persistent Table Changes","15_preparing_environment.17.6.htm");
P.fA("Call Level Interface Functions","16_call_level_functions.18.1.htm");
P.fA("Starting or Locating the Execution Environment \u2013 STARTEE","16_call_level_functions.18.2.htm");
P.fA("Stopping the Execution Environment \u2013 STOPEE","16_call_level_functions.18.3.htm");
P.fA("Starting the Session \u2013 STARTSS","16_call_level_functions.18.4.htm");
P.fA("Stopping the Session \u2013 STOPSS","16_call_level_functions.18.5.htm");
P.fA("Starting a Transaction \u2013 STARTTR","16_call_level_functions.18.6.htm");
P.fA("Modifying Transactional Characteristics","16_call_level_functions.18.7.htm");
P.fA("Ending a Transaction \u2013 STOPTR","16_call_level_functions.18.8.htm");
P.fA("Calling a Rule \u2013 CALLRULE","16_call_level_functions.18.9.htm");
P.fA("Multiple-Session Execution Environments in Batch","17_multiple_level.19.1.htm");
P.fA("Starting Multiple-Session Execution Environments in Batch","17_multiple_level.19.2.htm");
P.fA("Specifying an Environmental Wait Routine","17_multiple_level.19.3.htm");
P.fA("STARTEE Call","17_multiple_level.19.4.htm");
P.fA("STARTSS Call","17_multiple_level.19.5.htm");
P.fA("Sample Programs","17_multiple_level.19.6.htm");
P.fA("TIBCO Object Service Broker SDK\u00a0(C/C++) Server","18_SDK_C_server.20.1.htm");
P.fA("Introducing TIBCO Object Service Broker SDK\u00a0(C/C++)","18_SDK_C_server.20.2.htm");
P.fA("Execution Environment Considerations","18_SDK_C_server.20.3.htm");
P.fA("Additional Requirements for CICS Execution Environments","18_SDK_C_server.20.4.htm");
P.fA("Using TIBCO Object Service Broker SDK\u00a0(C/C++)","19_using_SDK_C.21.1.htm");
P.fA("Overview of the TIBCO Object Service Broker SDK\u00a0(C/C++)","19_using_SDK_C.21.2.htm");
P.fA("SDK\u00a0(C/C++) Functions","19_using_SDK_C.21.3.htm");
P.fA("Sample Application Using the SDK\u00a0(C/C++)","19_using_SDK_C.21.4.htm");
P.fA("Using TIBCO Object Service Broker SDK\u00a0(Java)","20_using_SDK_java.22.1.htm");
P.fA("Overview of TIBCO Object Service Broker SDK\u00a0(Java)","20_using_SDK_java.22.2.htm");
P.fA("SDK\u00a0(Java) Methods","20_using_SDK_java.22.3.htm");
P.fA("Session Object Methods","20_using_SDK_java.22.4.htm");
P.fA("SessionException Object Methods","20_using_SDK_java.22.5.htm");
P.fA("Misc Object Methods","20_using_SDK_java.22.6.htm");
P.fA("Sample Application Using the SDK\u00a0(Java)","20_using_SDK_java.22.7.htm");
P.fA("Coding TIBCO Object Service Broker Access Statements","21_OSB_statements.23.1.htm");
P.fA("Overview","21_OSB_statements.23.2.htm");
P.fA("Writing COBOL with TIBCO Object Service Broker Access Statements","21_OSB_statements.23.3.htm");
P.fA("Coding the Access Statements","21_OSB_statements.23.4.htm");
P.fA("Coding Considerations","21_OSB_statements.23.5.htm");
P.fA("Coding SQL Access Statements","22_SQL_statements.24.1.htm");
P.fA("Writing a COBOL Program with Embedded SQL Statements","22_SQL_statements.24.2.htm");
P.fA("Coding SQL Access Statements","22_SQL_statements.24.3.htm");
P.fA("Coding Considerations","22_SQL_statements.24.4.htm");
P.fA("Error Checking and Handling","22_SQL_statements.24.5.htm");
P.fA("Statements Supported by the SQL Preprocessor","22_SQL_statements.24.6.htm");
P.fA("Processing COBOL Programs","23_COBOL_programs.25.1.htm");
P.fA("Preprocessing the Access Statements","23_COBOL_programs.25.2.htm");
P.fA("Preparing the Program","23_COBOL_programs.25.3.htm");
P.fA("Running the Program","23_COBOL_programs.25.4.htm");
P.fA("SDK\u00a0(C/C++) and SDK\u00a0(Java) Error\u00a0Reason\u00a0Codes","A_error_codes.26.1.htm");
P.fA("Listing of the Reason Codes","A_error_codes.26.2.htm");
}
