function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42500");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Introduction","6");
B=A.fN("TIBCO Object Service Broker Architecture","7");
C=B.fN("Client Services Layer","7#1671603");
C=B.fN("Execution Environment","7#1671620");
C=B.fN("Data Object Broker","7#1671643");
B=A.fN("Accessing TIBCO Object Service Broker from an External Environment","8");
C=B.fN("What is an External Environment?","8#1671668");
C=B.fN("Facilities Available for Interfacing with External Environments","8#1671690");
B=A.fN("Stages to Setting Up and Processing Within TIBCO Object Service Broker","9");
C=B.fN("Main Stages","9#1671881");
C=B.fN("Interaction with TIBCO Object Service Broker and its External Environments","9#1671910");
A=P.fN("Chapter\u00a02 The TIBCO Object Service Broker Client Model","10");
B=A.fN("Overview","11");
C=B.fN("TIBCO Object Service Broker Clients","11#1671608");
C=B.fN("User Clients","11#1671676");
C=B.fN("TIBCO Object Service Broker SDK\u00a0(C/C++) Client","11#1671688");
C=B.fN("TIBCO Object Service Broker SDK\u00a0(Java) Client","11#1671722");
C=B.fN("Same Environments and Address Spaces","11#1671756");
B=A.fN("TIBCO Object Service Broker Client Styles","12");
C=B.fN("What Determines the Client Style?","12#1671778");
C=B.fN("Seamless or Non-Seamless Client Styles","12#1671786");
C=B.fN("External User or External Transaction Security","12#1671818");
C=B.fN("Display or Non-Display Clients","12#1671847");
C=B.fN("Conversational or Non-Conversational Clients","12#1671867");
C=B.fN("Client Style Summary","12#1671881");
B=A.fN("Setting Up the User Profile for Seamless Clients","13");
C=B.fN("Setting up A User Profile","13#1672021");
C=B.fN("Guidelines for Development Environments","13#1672024");
A=P.fN("Chapter\u00a03 Setting Execution Environment Parameters","14");
B=A.fN("Usage of the Execution Environment Parameters","15");
C=B.fN("Purpose","15#1671593");
C=B.fN("Precedence of Values","15#1671595");
B=A.fN("Determining Session Characteristics","16");
C=B.fN("Where to Specify Parameters for Single-Session Clients","16#1671627");
C=B.fN("Where to Specify Parameters for Multiple-Session Clients","16#1671753");
B=A.fN("Available Execution Environment Parameters","17");
C=B.fN("Parameters Specific to the Execution Environment","17#1671958");
C=B.fN("Parameters for Your Session","17#1672274");
B=A.fN("Specifying Session Parameters Using an Input File or a CLIST","18");
C=B.fN("Format of the Input File","18#1672522");
C=B.fN("Example of Instream Parameter List Using HRNIN in JCL","18#1672531");
B=A.fN("Reducing Session Resources","19");
C=B.fN("Bypassing the Workbench","19#1672553");
C=B.fN("Operational Characteristics","19#1672561");
C=B.fN("Changing the Invocation Options","19#1672578");
C=B.fN("Non-seamless CICS Client","19#1672602");
A=P.fN("Chapter\u00a04 TIBCO Object Service Broker Sessions Under z/OS Batch","20");
B=A.fN("How to Run Batch Applications","21");
C=B.fN("Invocation","21#1671594");
C=B.fN("Using the TIBCO Object Service Broker Supplied Batch Client Program","21#1671619");
C=B.fN("Using A Customized (User) Batch Client","21#1671647");
B=A.fN("How to Set Session Parameters","22");
C=B.fN("Establishing Session Parameter Values","22#1671683");
C=B.fN("Available DDnames","22#1671745");
C=B.fN("Using an Instream Parameter List","22#1671799");
B=A.fN("How to Manipulate Data in a TIBCO Object Service Broker Batch Client Session","23");
C=B.fN("Passing Data to TIBCO Object Service Broker Batch Sessions","23#1671854");
C=B.fN("Returning from the Batch Client","23#1671871");
C=B.fN("Returning Data to a User Batch Client","23#1671893");
C=B.fN("Using External Routines","23#1671907");
A=P.fN("Chapter\u00a05 TIBCO Object Service Broker Sessions Under\u00a0TSO","24");
B=A.fN("How to Run TSO Applications","25");
C=B.fN("Invocation","25#1671591");
C=B.fN("Using the TIBCO Object Service Broker Supplied TSO Client Program","25#1671611");
C=B.fN("Using a Customized (User) TSO Client","25#1671633");
B=A.fN("How to Set Session Parameters","26");
C=B.fN("Establishing Session Parameter Values","26#1671662");
C=B.fN("Using a CLIST to Invoke TIBCO Object Service Broker","26#1671722");
C=B.fN("Specifying or Concatenating a Load Library","26#1671766");
C=B.fN("USER CLIST Distributed with TIBCO Object Service Broker","26#1671802");
B=A.fN("How to Manipulate Data in TSO Client Sessions","27");
C=B.fN("Passing Data to TIBCO Object Service Broker TSO Sessions","27#1671836");
C=B.fN("Returning from the TSO Client","27#1671853");
C=B.fN("Using External Routines","27#1671874");
A=P.fN("Chapter\u00a06 TIBCO Object Service Broker Sessions Under the Native Execution Environment","28");
B=A.fN("Overview of the Native Execution Environment","29");
C=B.fN("What is the Native Execution Environment?","29#1671592");
C=B.fN("VTAM and TIBCO Object Service Broker Interaction","29#1671617");
B=A.fN("How to Set Session Parameters","30");
C=B.fN("Where to Specify Session Parameters","30#1671639");
C=B.fN("Available DDnames","30#1671712");
C=B.fN("Print Destination Restrictions","30#1671753");
C=B.fN("Establishing a TIBCO Object Service Broker VTAM LU2 Session","30#1671767");
B=A.fN("Manipulating Data in VTAM LU2 Client Sessions","31");
C=B.fN("Passing and Returning Data","31#1671798");
C=B.fN("Determining the Next Step","31#1671805");
C=B.fN("Calling External Routines","31#1671812");
A=P.fN("Chapter\u00a07 Using the TIBCO Service Gateway for CICS","32");
B=A.fN("How to Run CICS Applications","33");
C=B.fN("CICS Client Programs","33#1680239");
C=B.fN("Using the TIBCO Object Service Broker Supplied CICS Modules","33#1671645");
C=B.fN("Using a Customized (User) CICS Client","33#1671674");
B=A.fN("Session Initiation and Termination","34");
C=B.fN("What Starts and Terminates an Execution Environment?","34#1671700");
C=B.fN("Methods of Session Initiation and Termination","34#1671719");
C=B.fN("Replacing a CICS Transaction with TIBCO Object Service Broker Rules","34#1671751");
B=A.fN("Selecting a TIBCO Object Service Broker CICS Client Program","35");
C=B.fN("TIBCO Object Service Broker CICS Client Programs","35#1671795");
C=B.fN("Choosing the Right TIBCO Object Service Broker CICS Client Program","35#1671901");
B=A.fN("How to Set Session Parameters","36");
C=B.fN("Where to Specify CICS Execution Environment Parameters","36#1671983");
C=B.fN("Available DDnames","36#1672014");
C=B.fN("Print Destination Restrictions","36#1672048");
C=B.fN("Synchronization of VSAM Files","36#1672057");
B=A.fN("Starting TIBCO Object Service Broker Sessions","37");
C=B.fN("Using the Command Line to Start a Session","37#1672078");
C=B.fN("Using EXEC CICS START to Start a Session","37#1672117");
C=B.fN("Using EXEC CICS START to Start a Session with Channel","37#1687966");
C=B.fN("Using EXEC CICS LINK to Start a Session","37#1687971");
C=B.fN("Using EXEC CICS LINK to Start a Session with Channel","37#1688868");
C=B.fN("Using EXEC CICS XCTL to Start a Session","37#1688884");
C=B.fN("Using EXEC CICS XCTL to Start a Session with Channel","37#1689416");
B=A.fN("Passing the COMMAREA Between a TIBCO Object Service Broker CICS Client and a Session","38");
C=B.fN("Non-Seamless COMMAREA","38#1672503");
C=B.fN("Seamless COMMAREA","38#1672540");
C=B.fN("Retrieving the COMMAREA in a Rule","38#1672556");
C=B.fN("Error Messages in the COMMAREA","38#1672584");
B=A.fN("How Can Data Be Returned","39");
C=B.fN("Returning Data From TIBCO Object Service Broker to CICS","39#1672617");
C=B.fN("Steps to Returning an Occurrence","39#1672624");
C=B.fN("Using MAP Tables to Return Data","39#1672648");
C=B.fN("Using $SETENVCOMMAREA to Return Data","39#1672661");
B=A.fN("Performing CICS Functions at Session End","40");
C=B.fN("Starting a CICS Transaction","40#1672722");
C=B.fN("Transferring to a CICS Program","40#1672734");
B=A.fN("Calling External Routines","41");
C=B.fN("Calling an External CICS Routine","41#1672759");
C=B.fN("Requirements for Calling an External CICS Routine","41#1672774");
C=B.fN("Restrictions for Calling an External CICS Routine","41#1672785");
C=B.fN("Calling An External Routine With OS Linkage","41#1672816");
B=A.fN("CICS Channels and Containers in the TIBCO Object Service Broker CICS Session Environment","42");
C=B.fN("CICS Channel and Container Tools","42#1689898");
C=B.fN("Channel Scope","42#1690876");
C=B.fN("Predefined Container Names","42#1691060");
A=P.fN("Chapter\u00a08 Using the TIBCO Service Gateway for\u00a0IMS TM","43");
B=A.fN("How to Run IMS TM Applications","44");
C=B.fN("Functional Overview","44#1671619");
C=B.fN("Using TIBCO Object Service Broker IMS TM Client Programs","44#1671639");
C=B.fN("How a Client Session is Established","44#1671656");
C=B.fN("IMS TM and TIBCO Object Service Broker Interaction","44#1671668");
C=B.fN("Replacing IMS TM Programs with TIBCO Object Service Broker Rules","44#1671690");
B=A.fN("Selecting a TIBCO Object Service Broker IMS TM Program Style","45");
C=B.fN("TIBCO Object Service Broker IMS TM Client Programs","45#1671735");
C=B.fN("Choosing the Right TIBCO Object Service Broker IMS TM Client Program","45#1671870");
B=A.fN("Starting a TIBCO Object Service Broker Session","46");
C=B.fN("How to Set Session Parameters","46#1671956");
C=B.fN("Using the IMS TM Terminal to Start a Session","46#1671969");
C=B.fN("Usage of the Supplied Trancode","46#1671978");
C=B.fN("Using Message Formatting Services (MFS) to Start a Session","46#1672005");
C=B.fN("Program-to-Program Message Switching to Start a Session","46#1672017");
B=A.fN("Terminal Changes at Session Startup","47");
C=B.fN("Extended Terminal Support","47#1672032");
C=B.fN("Additional Terminal Capabilities","47#1672039");
C=B.fN("PF Key Changes","47#1672050");
B=A.fN("Passing Data to TIBCO Object Service Broker IMS TM Sessions","48");
C=B.fN("Using MAP Tables to Access Data","48#1672084");
C=B.fN("Using the $GETENVCOMMAREA Tool to Access Data","48#1672096");
B=A.fN("Input Message Segment Overview","49");
C=B.fN("Message Segment Types","49#1672118");
C=B.fN("S6BIMxC1 Client Program Input Message Format","49#1672152");
C=B.fN("S6BIMxC2 Client Program Input Message Format","49#1672200");
C=B.fN("S6BIMxN1 Client Program Input Message Format","49#1672258");
C=B.fN("S6BIMxN2 Client Program Input Message Format","49#1672305");
B=A.fN("Returning Data from TIBCO Object Service Broker to IMS TM","50");
C=B.fN("Example using $SETENVCOMMAREA","50#1672386");
B=A.fN("Passing Control to an IMS Transaction at Session End","51");
C=B.fN("What are the Allowable Options for Passing Control","51#1672467");
C=B.fN("What to Use to Direct the Destination of Message Segments","51#1672489");
C=B.fN("Non-Conversational MFS Output","51#1672500");
C=B.fN("Non-Conversational Program-to-Program Switch","51#1672510");
C=B.fN("Conversational Deferred Message Switch","51#1672522");
C=B.fN("Conversational Immediate Message Switch","51#1672538");
B=A.fN("Ensuring Message Queue/Database Consistency","52");
C=B.fN("TIBCO Object Service Broker Supplied Facility","52#1672566");
C=B.fN("@IMSDCTRXS Table","52#1672576");
C=B.fN("Sample Rules for Processing","52#1672591");
B=A.fN("Customizing TIBCO Object Service Broker IMS TM Client Programs","53");
C=B.fN("Using a Session Exit Routine","53#1672619");
C=B.fN("Where to Enter the Exit Routine","53#1672626");
C=B.fN("Exit Routine Indicators","53#1672646");
B=A.fN("Getting Access to IMS TM Data","54");
C=B.fN("Overview of the IMS TM Logger Exit","54#1677495");
C=B.fN("Format 1 DATAIN","54#1677501");
C=B.fN("Logger Exit Processing","54#1677619");
C=B.fN("Example of Messages","54#1677670");
A=P.fN("Chapter\u00a09 Accessing IMS Via the OTMA Callable Interface","55");
B=A.fN("Functional Overview","56");
C=B.fN("What is the OTMA Callable Interface?","56#1678022");
B=A.fN("Programming for OTMA","57");
C=B.fN("Requirements","57#1678122");
C=B.fN("Sample Rules Provided","57#1678157");
C=B.fN("Session Termination","57#1678246");
B=A.fN("Usage Notes","58");
C=B.fN("z/OS and IMS System Requirements","58#1678262");
C=B.fN("Invoking the Tool and the System Map Table","58#1678270");
C=B.fN("Interpreter TCB Held for Communications","58#1678278");
C=B.fN("Error Handling","58#1678293");
C=B.fN("Example Rules and Tables","58#1678311");
A=P.fN("Chapter\u00a010 Accessing External Routines","59");
B=A.fN("Functional Overview","60");
C=B.fN("How Does TIBCO Object Service Broker Process an External Routine?","60#1673055");
C=B.fN("Steps Required to Use an External Routine","60#1673077");
C=B.fN("Transaction Level of the Routine","60#1673092");
C=B.fN("Cleanup of System Service Requests","60#1673102");
C=B.fN("Error Handling","60#1673105");
B=A.fN("Observing Standard Conventions","61");
C=B.fN("Information Available to an External Routine","61#1673129");
C=B.fN("Use of the AMODE and RMODE Attributes","61#1673156");
C=B.fN("Storage Requirements","61#1673173");
C=B.fN("Example Assembler Program","61#1673288");
B=A.fN("Making a COBOL Program Compatible with TIBCO Object Service Broker","62");
C=B.fN("Requirements","62#1673392");
C=B.fN("COBOL Run-Units","62#1673395");
C=B.fN("Link-Edit and Runtime Options","62#1679765");
C=B.fN("Syntax Mapping","62#1673426");
C=B.fN("Example COBOL Program","62#1673555");
B=A.fN("Making a PL/I Program Compatible with TIBCO Object Service Broker","63");
C=B.fN("Requirements","63#1673627");
C=B.fN("Link-Edit Options","63#1673632");
C=B.fN("Syntax Mapping","63#1673635");
C=B.fN("Example PL/I Program","63#1673744");
B=A.fN("Making a C Program Compatible with TIBCO Object Service Broker","64");
C=B.fN("Requirements","64#1673800");
C=B.fN("Syntax Mapping","64#1673804");
C=B.fN("Sample","64#1673948");
B=A.fN("Identifying Your External Routine to TIBCO Object Service Broker","65");
C=B.fN("Specify the Table Entries","65#1674074");
C=B.fN("Add an Entry in the ROUTINES Table","65#1674082");
C=B.fN("Adding an Entry to the ARGUMENTS Table","65#1674182");
B=A.fN("Calling the Routine","66");
C=B.fN("Put the Routine in a Load Library","66#1674243");
C=B.fN("Call the Routine From TIBCO Object Service Broker","66#1674257");
A=P.fN("Chapter\u00a011 Using User Builtin Routines","67");
B=A.fN("Functional Overview","68");
C=B.fN("What are User Builtin Routines?","68#1671591");
C=B.fN("What Are the Requirements for User Builtin Routines?","68#1671600");
B=A.fN("Programming Considerations","69");
C=B.fN("Acquiring and Releasing Storage","69#1671636");
C=B.fN("Using the $SAVE Macro","69#1671645");
C=B.fN("$SAVE Macro Storage Usage","69#1671671");
B=A.fN("Sample User Builtin Routines","70");
C=B.fN("Samples Available","70#1671743");
C=B.fN("USRSLEEP","70#1671749");
A=P.fN("Chapter\u00a012 Using the Interface to TIBCO Enterprise Message Service","71");
B=A.fN("TIBCO Object Service Broker EMS Interface","72");
C=B.fN("Purpose of TIBCO Enterprise Message Service (EMS)","72#1671580");
C=B.fN("Overview of TIBCO Object Service Broker EMS Interface","72#1671593");
B=A.fN("Calling EMS","73");
C=B.fN("Shareable Tools Available","73#1671601");
C=B.fN("Argument Mapping","73#1671608");
C=B.fN("Error Handling","73#1673438");
B=A.fN("Configuration","74");
C=B.fN("Initializing the EMS Interface","74#1674324");
C=B.fN("Multi-threaded Environment","74#1674363");
C=B.fN("Code Page Support","74#1674329");
B=A.fN("Sample Applications","75");
C=B.fN("Rules Samples","75#1674581");
B=A.fN("Supported EMS Functions","76");
A=P.fN("Chapter\u00a013 Using the TIBCO Service Gateway for WMQ","77");
B=A.fN("Overview","78");
C=B.fN("Usage Notes","78#1671600");
C=B.fN("Error Handling","78#1671621");
C=B.fN("Example Rule","78#1671630");
A=P.fN("Chapter\u00a014 Introduction to the Call\u00a0Level Interface","79");
B=A.fN("Aspects of the Call Level Interface","80");
C=B.fN("Purpose of the Call Level Interface","80#1671608");
C=B.fN("Supported Functionality","80#1671668");
C=B.fN("Supported Connections","80#1671675");
C=B.fN("Shared Addressing","80#1671681");
C=B.fN("Accessing Table Data Using the Host Languages Interface","80#1671691");
C=B.fN("Illustration of Generic User Client Using Call Level Interface","80#1671700");
B=A.fN("Functionality of the Call Level Interface","81");
C=B.fN("Start or Locate and Stop an Execution Environment","81#1671723");
C=B.fN("Start and Stop a TIBCO Object Service Broker Session","81#1671740");
C=B.fN("Start and End a TIBCO Object Service Broker Stream","81#1671748");
C=B.fN("Start and End a TIBCO Object Service Broker Transaction","81#1671762");
C=B.fN("Call a TIBCO Object Service Broker Rule","81#1671786");
C=B.fN("Finding the Name of a Rule in A Transaction","81#1671797");
B=A.fN("Operational Characteristics","82");
C=B.fN("Supported 3GL Languages","82#1671815");
C=B.fN("Multiple Execution Environments per Address Space","82#1671818");
C=B.fN("Standby Sessions","82#1671820");
C=B.fN("When Viewed by TIBCO Object Service Broker Administrator Tools","82#1671829");
B=A.fN("Call Level Interface Specification","83");
C=B.fN("What Is the Module to Call?","83#1671846");
C=B.fN("Example CALL Formats","83#1671859");
C=B.fN("Required Parameters","83#1671866");
C=B.fN("Usage of the Parameters","83#1671873");
B=A.fN("HRNHLLTM Module Parameters","84");
C=B.fN("Valid Call Parameters","84#1671895");
C=B.fN("Operational Parameters","84#1671973");
B=A.fN("Valid Calling Sequences","85");
C=B.fN("Calling Sequence","85#1672114");
C=B.fN("Permissible Transitions Between the Call Level Interface Functions","85#1672146");
B=A.fN("Examples of Typical Usage","86");
C=B.fN("Batch Client Example","86#1672158");
C=B.fN("Nested Execute Example","86#1672177");
C=B.fN("TRANSFERCALL Example","86#1672196");
B=A.fN("Using the Host Languages Interface","87");
C=B.fN("Writing a COBOL Program Using a Combination of the Call Level Interface, TIBCO Object Service Broker Access Statements, and SQL Statements","87#1677076");
C=B.fN("Additional Steps","87#1672263");
A=P.fN("Chapter\u00a015 Preparing the Environment, Analyzing Returned Values, and Modifying Changes","88");
B=A.fN("Preparing to Start or Locate the Execution Environment","89");
C=B.fN("Preparatory Steps","89#1671595");
B=A.fN("How to Analyze the Return and Reason Codes, and Returned Message","90");
C=B.fN("Evaluation of the Return and Reason Codes","90#1671688");
C=B.fN("Capturing the Returned Values","90#1671696");
C=B.fN("Examples","90#1671702");
B=A.fN("Call Level Interface Return Codes","91");
C=B.fN("Listing and Explanation","91#1671773");
B=A.fN("Call Level Interface Reason Codes","92");
C=B.fN("Listing and Explanation","92#1671842");
B=A.fN("Committing and Rolling Back Persistent Table Changes","93");
C=B.fN("Sample Calls","93#1672192");
C=B.fN("Returned Values","93#1672217");
A=P.fN("Chapter\u00a016 Call Level Interface Functions","94");
B=A.fN("Starting or Locating the Execution Environment \u2013 STARTEE","95");
C=B.fN("Syntax","95#1671607");
C=B.fN("Calling Parameters","95#1671615");
C=B.fN("Starting an Execution Environment","95#1671623");
C=B.fN("Obtaining Execution Environment Startup Parameters","95#1671631");
C=B.fN("Locating an Execution Environment","95#1671644");
C=B.fN("Returned Values","95#1671678");
C=B.fN("Advanced STARTEE Batch Usage","95#1671702");
B=A.fN("Stopping the Execution Environment \u2013 STOPEE","96");
C=B.fN("Syntax","96#1671715");
C=B.fN("Calling Parameters","96#1671723");
C=B.fN("Sample Calls","96#1671725");
C=B.fN("Returned Values","96#1671749");
B=A.fN("Starting the Session \u2013 STARTSS","97");
C=B.fN("Syntax","97#1671774");
C=B.fN("Calling Parameters","97#1671782");
C=B.fN("Sample Calls","97#1671784");
C=B.fN("Returned Values","97#1671809");
C=B.fN("Advanced STARTSS BATCH Usage","97#1671831");
B=A.fN("Stopping the Session \u2013 STOPSS","98");
C=B.fN("Syntax","98#1671844");
C=B.fN("Calling Parameters","98#1671852");
C=B.fN("Sample Code","98#1671860");
C=B.fN("Returned Values","98#1671883");
B=A.fN("Starting a Transaction \u2013 STARTTR","99");
C=B.fN("Syntax","99#1671904");
C=B.fN("Calling Parameters","99#1671912");
C=B.fN("What Limits the Number of Transactions","99#1671922");
C=B.fN("Sample Calls","99#1671924");
C=B.fN("Returned Values","99#1671947");
B=A.fN("Modifying Transactional Characteristics","100");
C=B.fN("Calling Parameters","100#1671973");
C=B.fN("What are the Transactional Characteristics?","100#1671976");
C=B.fN("What is the Inheritance of Transactional Characteristics?","100#1671993");
C=B.fN("Sample Calls","100#1671995");
C=B.fN("Returned Values","100#1672025");
B=A.fN("Ending a Transaction \u2013 STOPTR","101");
C=B.fN("Syntax","101#1672046");
C=B.fN("Calling Parameters","101#1672054");
C=B.fN("Sample Calls","101#1672064");
C=B.fN("Returned Values","101#1672086");
B=A.fN("Calling a Rule \u2013 CALLRULE","102");
C=B.fN("Syntax","102#1672107");
C=B.fN("Calling Parameters","102#1672115");
C=B.fN("DATA-IN and DATA-OUT Areas","102#1672126");
C=B.fN("Accessing the Storage Areas","102#1672256");
C=B.fN("Sample Calls","102#1672283");
C=B.fN("Return Values","102#1672323");
A=P.fN("Chapter\u00a017 Multiple-Session Execution Environments in Batch","103");
B=A.fN("Starting Multiple-Session Execution Environments in Batch","104");
C=B.fN("What Facility Is Available?","104#1671599");
C=B.fN("Implementation Guidelines","104#1671606");
B=A.fN("Specifying an Environmental Wait Routine","105");
C=B.fN("Listing of the HRNXD Copybook","105#1671619");
C=B.fN("User Exit Types Supported","105#1671694");
B=A.fN("STARTEE Call","106");
C=B.fN("Behavior of STARTEE","106#1671707");
C=B.fN("Behavior in the Sample Programs","106#1671714");
B=A.fN("STARTSS Call","107");
C=B.fN("Purpose of STARTSS","107#1671792");
C=B.fN("Behavior in the Sample Programs","107#1671795");
B=A.fN("Sample Programs","108");
C=B.fN("Programs Provided","108#1671840");
C=B.fN("S6BEWTIN","108#1671856");
C=B.fN("S6BEWTSD","108#1671862");
C=B.fN("S6BEWTSS","108#1671871");
C=B.fN("COBCAPI3","108#1671896");
A=P.fN("Chapter\u00a018 TIBCO Object Service Broker SDK\u00a0(C/C++) Server","109");
B=A.fN("Introducing TIBCO Object Service Broker SDK\u00a0(C/C++)","110");
C=B.fN("Required Parameters","110#1671659");
B=A.fN("Execution Environment Considerations","111");
C=B.fN("Preparatory Steps","111#1671701");
B=A.fN("Additional Requirements for CICS Execution Environments","112");
C=B.fN("SIT Parameter Requirements","112#1671783");
C=B.fN("Specifying the CICS Session Background Task Transaction","112#1671803");
C=B.fN("Specifying RACF Definitions","112#1671811");
A=P.fN("Chapter\u00a019 Using TIBCO Object Service Broker SDK\u00a0(C/C++)","113");
B=A.fN("Overview of the TIBCO Object Service Broker SDK\u00a0(C/C++)","114");
C=B.fN("What Is the TIBCO Object Service Broker SDK\u00a0(C/C++)?","114#1671605");
C=B.fN("How Does It Work?","114#1671630");
C=B.fN("How Can It Be Used?","114#1671668");
C=B.fN("Compiling and Running","114#1671691");
C=B.fN("Thread Safety","114#1671709");
C=B.fN("Constants","114#1671718");
B=A.fN("SDK\u00a0(C/C++) Functions","115");
C=B.fN("cliProc","115#1672014");
C=B.fN("cliExecTran","115#1672710");
C=B.fN("cliSetCodepage","115#1672775");
C=B.fN("cliErrorReasonDescr","115#1672881");
C=B.fN("cliCommCreate","115#1672895");
C=B.fN("cliCommCreate1","115#1672917");
C=B.fN("cliCommDelete","115#1672931");
C=B.fN("cliCommFormat","115#1672943");
C=B.fN("cliCommFormat1","115#1672968");
C=B.fN("cliCommSegment","115#1672989");
C=B.fN("cliCommSegments","115#1673009");
C=B.fN("cliCommSegSize","115#1673021");
C=B.fN("cliCommSize","115#1673042");
C=B.fN("cliCommSizeCalc","115#1673059");
C=B.fN("cliCommSizeCalc1","115#1673074");
C=B.fN("LLCOPY_CSTR(listr, cstr)","115#1673086");
C=B.fN("LLCOPY_MEM(listr, prt, len)","115#1673090");
C=B.fN("LLDECLARE(name, len)","115#1673094");
C=B.fN("LLSETLEN(listr, len)","115#1673098");
C=B.fN("LLSTR(listr)","115#1673102");
C=B.fN("LLSTRLEN(listr)","115#1673106");
B=A.fN("Sample Application Using the SDK\u00a0(C/C++)","116");
C=B.fN("C Program","116#1673127");
C=B.fN("Rule Called by Program","116#1673142");
C=B.fN("Table Referenced by a Rule","116#1673160");
C=B.fN("Output from the Program","116#1673188");
A=P.fN("Chapter\u00a020 Using TIBCO Object Service Broker SDK\u00a0(Java)","117");
B=A.fN("Overview of TIBCO Object Service Broker SDK\u00a0(Java)","118");
C=B.fN("What Is the TIBCO Object Service Broker SDK\u00a0(Java)?","118#1671617");
C=B.fN("Requirements","118#1671693");
C=B.fN("How Does It Work?","118#1671733");
C=B.fN("How Can It Be Used?","118#1671768");
C=B.fN("Compiling","118#1671788");
C=B.fN("Thread Safety","118#1671796");
C=B.fN("Constants","118#1671804");
B=A.fN("SDK\u00a0(Java) Methods","119");
C=B.fN("Classes","119#1671840");
B=A.fN("Session Object Methods","120");
C=B.fN("Session","120#1672327");
C=B.fN("call","120#1672414");
C=B.fN("endMessage","120#1672517");
C=B.fN("execTran","120#1672541");
C=B.fN("isActive","120#1672621");
C=B.fN("reset","120#1672659");
C=B.fN("shutdown","120#1672699");
C=B.fN("start","120#1672723");
C=B.fN("startTrans","120#1672816");
C=B.fN("stop","120#1672859");
C=B.fN("stopTrans","120#1672896");
C=B.fN("transNestLevel","120#1672921");
C=B.fN("userId","120#1672935");
B=A.fN("SessionException Object Methods","121");
C=B.fN("SessionException","121#1672951");
C=B.fN("errorReasonDescr","121#1672992");
C=B.fN("reasonCode","121#1673016");
C=B.fN("rc","121#1673039");
B=A.fN("Misc Object Methods","122");
C=B.fN("commCreate","122#1673061");
C=B.fN("commFormat","122#1673085");
C=B.fN("commSegmentInd","122#1673110");
C=B.fN("commSegments","122#1673128");
C=B.fN("commSegSize","122#1673143");
C=B.fN("commSize","122#1673161");
C=B.fN("commSizeCalc","122#1673176");
C=B.fN("readInt","122#1673198");
C=B.fN("readShort","122#1673216");
C=B.fN("writeInt","122#1673233");
C=B.fN("writeShort","122#1673253");
B=A.fN("Sample Application Using the SDK\u00a0(Java)","123");
C=B.fN("Compiling and Running the Sample Program","123#1673278");
C=B.fN("Sample Rule Called by a Program","123#1673316");
C=B.fN("Sample Table Referenced by a Rule","123#1673334");
C=B.fN("Output from Program","123#1673362");
A=P.fN("Chapter\u00a021 Coding TIBCO Object Service Broker Access Statements","124");
B=A.fN("Overview","125");
C=B.fN("How to Access TIBCO Object Service Broker Data","125#1671598");
C=B.fN("Steps Required","125#1671633");
C=B.fN("Samples Provided","125#1671659");
B=A.fN("Writing COBOL with TIBCO Object Service Broker Access Statements","126");
C=B.fN("Sample COBOL Program","126#1671729");
C=B.fN("Sample TIBCO Object Service Broker Table Definition","126#1671796");
B=A.fN("Coding the Access Statements","127");
C=B.fN("Where Do You Code the Access Statements?","127#1671832");
C=B.fN("Coding the Action Statements","127#1671857");
B=A.fN("Coding Considerations","128");
C=B.fN("Naming Differences Between TIBCO Object Service Broker and COBOL","128#1671884");
C=B.fN("How to Rename TIBCO Object Service Broker Names to Valid COBOL Names","128#1671899");
C=B.fN("Modifying the Join Character for Table.Field Names","128#1671930");
C=B.fN("Checking TIBCO Object Service Broker Runtime Errors","128#1671953");
C=B.fN("Coding Operators and Expressions","128#1671979");
C=B.fN("Embedding TIBCO Object Service Broker Action Statements","128#1671993");
A=P.fN("Chapter\u00a022 Coding SQL Access Statements","129");
B=A.fN("Writing a COBOL Program with Embedded SQL Statements","130");
C=B.fN("Sample COBOL Program","130#1671607");
C=B.fN("Sample TIBCO Object Service Broker Table Definition","130#1671700");
B=A.fN("Coding SQL Access Statements","131");
C=B.fN("Initial Statement","131#1671740");
C=B.fN("Defining Valid Names","131#1671753");
C=B.fN("Specifying Selection","131#1671769");
C=B.fN("Specifying Data Areas","131#1671781");
C=B.fN("Coding the Remaining SQL Statements","131#1671796");
B=A.fN("Coding Considerations","132");
C=B.fN("Differences to Consider","132#1671814");
C=B.fN("Assigning Valid Names","132#1671837");
C=B.fN("Coding Operators and Expressions","132#1671887");
C=B.fN("Syntax Mapping","132#1671898");
B=A.fN("Error Checking and Handling","133");
C=B.fN("Error Checking","133#1671922");
C=B.fN("Error Handling Status Variables","133#1671959");
B=A.fN("Statements Supported by the SQL Preprocessor","134");
C=B.fN("SQL Statements","134#1672010");
C=B.fN("Supported Keywords and Clauses for the SELECT Statement","134#1672091");
A=P.fN("Chapter\u00a023 Processing COBOL Programs","135");
B=A.fN("Preprocessing the Access Statements","136");
C=B.fN("Usage of HLIPREPROCESSOR","136#1671599");
B=A.fN("Preparing the Program","137");
C=B.fN("Steps Required","137#1671643");
B=A.fN("Running the Program","138");
C=B.fN("Steps Required","138#1671719");
A=P.fN("Appendix\u00a0A SDK\u00a0(C/C++) and SDK\u00a0(Java) Error\u00a0Reason\u00a0Codes","139");
B=A.fN("Listing of the Reason Codes","140");
C=B.fN("Code Values and Explanations","140#1671584");
}
