function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42473");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 TIBCO Object Service Broker Installation","6");
B=A.fN("Overview","7");
B=A.fN("Installation Requirements","8");
C=B.fN("Hardware Requirements","8#2174866");
C=B.fN("Software Requirements","8#1767642");
C=B.fN("Optional Supported Software","8#2199978");
B=A.fN("Distribution Media and Contents","9");
C=B.fN("Obtaining the Installation Media","9#2041729");
B=A.fN("Uploading the Software","10");
B=A.fN("Installing the Software","11");
C=B.fN("Installation Overview","11#2184174");
C=B.fN("System Environment Checklist","11#2183996");
C=B.fN("Edit the Properties File","11#2184145");
C=B.fN("Prepare the Authorized Environment","11#2190654");
C=B.fN("Automated Installation","11#2190569");
C=B.fN("Perform Installation Verification Procedure","11#2195534");
C=B.fN("Manual Installation","11#2184753");
B=A.fN("Configuring Authorized Libraries","12");
B=A.fN("Reinstalling the Software","13");
B=A.fN("Uninstalling the Software","14");
B=A.fN("Hotfixes and Late Breaking News","15");
C=B.fN("Hotfixes","15#2189357");
C=B.fN("Late Breaking News (LBN)","15#2189337");
B=A.fN("Base Installation Listing","16");
C=B.fN("Essential Libraries and Data Sets","16#2194927");
C=B.fN("Support Libraries and Data Sets","16#2195235");
C=B.fN("SMP/E environment","16#2194976");
A=P.fN("Chapter\u00a02 Customizing the Installation","17");
B=A.fN("Overview","18");
B=A.fN("Modifying Journal and Segment Definitions","19");
B=A.fN("Customizing Communications","20");
C=B.fN("Data Object Broker \u2013 VTAM Application Definition and Nodename","20#2175900");
C=B.fN("Data Object Broker \u2013 TCP/IP Identifiers","20#2176090");
B=A.fN("Customizing the Date Display Mask","21");
C=B.fN("Changing the Default Date Display Mask","21#2176205");
C=B.fN("Changing the Default Date Display Mask After Applying USERMOD1","21#2176441");
C=B.fN("Apply USERMOD1 to All Data Object Brokers","21#2176512");
C=B.fN("Valid Display Masks","21#2176561");
B=A.fN("Customizing the Century Range","22");
C=B.fN("Changing the Default Century Range","22#2176783");
C=B.fN("Changing the Default Century Range After Applying USERMOD1","22#2176905");
C=B.fN("Apply USERMOD1 to All Data Object Brokers","22#2176945");
B=A.fN("Configuring Unicode Processing","23");
C=B.fN("Unicode to EBCDIC Mapping (UNITOEBC)","23#2177206");
C=B.fN("EBCDIC to Unicode Mapping (EBCTOUNI)","23#2177220");
C=B.fN("Unicode Case Mapping (UNICASE)","23#2177234");
C=B.fN("Unicode Collation (UNICOLL)","23#2177247");
C=B.fN("Unicode to/from External User Syntax Mapping (UNIXC01-UNIXC16)","23#2177251");
C=B.fN("Sample Unicode Configuration Files","23#2177525");
C=B.fN("Specifying Unicode Configuration (Optional)","23#2177763");
C=B.fN("Specifying External User Syntaxes (Optional)","23#2177801");
B=A.fN("Customizing the Message Prefix and SMF Subsystem Identifier","24");
C=B.fN("Changing the Default Message Prefix","24#2184751");
C=B.fN("Changing the SMF Subsystem Identifier","24#2184766");
B=A.fN("Creating Execution Environment Parameter Modules","25");
B=A.fN("Installing the TIBCO Object Service Broker SVC","26");
C=B.fN("Define the TIBCO Object Service Broker SVC Statically","26#2178824");
C=B.fN("Define the TIBCO Object Service Broker SVC Dynamically","26#2178843");
B=A.fN("Customizing the Operating Environment","27");
C=B.fN("Step1: Customize the Data Object Broker Initialization Parameters","27#2180306");
C=B.fN("Step 2: Customize the Data Object Broker Startup JCL and EXEC","27#2180158");
C=B.fN("Step 3: Customize TSO Execution Environment EXEC","27#2194701");
C=B.fN("Step 4: Customize the Data Object Broker Spin Processing JCL","27#2180456");
C=B.fN("Step 5: Customize the Data Object Broker Spin Merge JCL","27#2180755");
C=B.fN("Step 6: Customize the Data Object Broker Continuous Backup JCL","27#2180829");
C=B.fN("Step 7: Query the Capabilities of Your CPU","27#2180873");
A=P.fN("Chapter\u00a03 Performing Postinstallation Tasks","28");
B=A.fN("Overview","29");
C=B.fN("Postinstallation Tasks","29#1014585");
C=B.fN("Scheduled Tasks","29#1073725");
B=A.fN("Spin Verification and Cleanup","30");
C=B.fN("Prerequisite Tasks","30#1074189");
C=B.fN("Assumptions","30#1074192");
C=B.fN("Spin Verification","30#1074195");
C=B.fN("Cleanup","30#1076175");
B=A.fN("Customization of the TIBCO Object Service Broker @SCHEDULEMODEL Table","31");
B=A.fN("Security Framework for Archiving the Audit Log","32");
B=A.fN("Scheduling of Monitoring Tasks","33");
C=B.fN("Daily Tasks","33#1087129");
C=B.fN("Weekly Tasks","33#1086324");
C=B.fN("Bimonthly or Monthly Tasks","33#1086474");
A=P.fN("Chapter\u00a04 Initializing and Testing the Native Execution Environment","34");
B=A.fN("Overview","35");
C=B.fN("Facilities That Require a Native Execution Environment","35#1355922");
C=B.fN("Events During Native Execution Environment Initialization","35#1356986");
C=B.fN("Logging In to the Native Execution Environment","35#1357223");
B=A.fN("Initialization Activities","36");
C=B.fN("Customize PARMNEE","36#1000897");
C=B.fN("Define a VTAM ACB Definition for Each Native Execution Environment","36#1357420");
C=B.fN("Enable Use of the TIBCO Object Service Broker UI","36#1357257");
B=A.fN("Testing the Native Execution Environment","37");
C=B.fN("Start a Native Execution Environment","37#1002123");
C=B.fN("Log In to a Native Execution Environment","37#1002216");
C=B.fN("Stop the Native Execution Environment","37#1001191");
C=B.fN("Modify @SCHEDULEMODEL to Enable Printing","37#1006682");
A=P.fN("Chapter\u00a05 Installing the Service Gateway for CICS","38");
B=A.fN("Introduction","39");
B=A.fN("Preparing for Installation","40");
B=A.fN("Distribution Media and Contents","41");
C=B.fN("Obtaining the Installation Media","41#1057013");
C=B.fN("Installation Files","41#1057019");
B=A.fN("Uploading the Software","42");
B=A.fN("Installing the Software","43");
C=B.fN("Edit the Properties File","43#1062325");
C=B.fN("Installation","43#1057078");
B=A.fN("Installing and Customizing the CICS Node Error Program","44");
B=A.fN("Defining Resources to CICS","45");
B=A.fN("Initializing the Gateway","46");
C=B.fN("Authorizing the Service Gateway for CICS","46#1058887");
C=B.fN("Automating Initialization","46#1058914");
C=B.fN("Logging In to Data Object Broker","46#1058924");
C=B.fN("Automating Shutdown","46#1058942");
B=A.fN("Creating Control Table Definitions","47");
C=B.fN("Single CICS Region","47#1010526");
C=B.fN("Multi-Region Option (MRO) Environment","47#1009683");
B=A.fN("Creating and Modifying Other CICS Definitions and Parameters","48");
C=B.fN("Using CICS Dynamic Storage Area Parameters","48#1024273");
B=A.fN("Testing the Software","49");
C=B.fN("Starting the Service Gateway for CICS","49#1015361");
C=B.fN("Shutting Down the Service Gateway for CICS","49#1015221");
C=B.fN("Enabling Printing From CICS","49#1015304");
B=A.fN("CICS Installation Verification Procedure","50");
A=P.fN("Chapter\u00a06 Installing the Service Gateway for IMS TM","51");
B=A.fN("Introduction","52");
B=A.fN("Preparing for Installation","53");
B=A.fN("Distribution Media and Contents","54");
C=B.fN("Obtaining the Installation Media","54#1049163");
C=B.fN("Installation Files","54#1049169");
B=A.fN("Uploading the Software","55");
B=A.fN("Installing the Software","56");
C=B.fN("Edit the Properties File","56#1054004");
C=B.fN("Initial Installation","56#1054002");
B=A.fN("Install IMS TM NCT Support for Global Physical Terminal (Input) Edit Routine","57");
B=A.fN("Install IMS TM NCT Terminal Support for Sign-on Exit","58");
B=A.fN("Install the IMS TM User-Replaceable Session Exit Routine","59");
B=A.fN("Required System Changes","60");
C=B.fN("Allocate the TIBCO Object Service Broker Load Library","60#1010310");
C=B.fN("Define TIBCO Object Service Broker IMS Transactions","60#1050131");
C=B.fN("Sample Transactions Defined to IMS","60#1008934");
C=B.fN("Create PSBs","60#1005627");
C=B.fN("Build ACBs","60#1050397");
C=B.fN("Authorize Library","60#1008274");
C=B.fN("Modify and Compile the Sample IMS Logon Format Panel","60#1040111");
C=B.fN("Enable Printing from IMS TM","60#1014859");
B=A.fN("Specifying Initialization Parameters","61");
C=B.fN("Initialization Parameters","61#1004104");
B=A.fN("Testing the Software","62");
C=B.fN("Starting the Service Gateway for IMS TM","62#1004258");
C=B.fN("Stopping the Service Gateway for IMS TM","62#1013934");
B=A.fN("Installing OTMA Support","63");
A=P.fN("Chapter\u00a07 Installing the Service Gateway for WMQ","64");
B=A.fN("Introduction","65");
C=B.fN("Deployment","65#1681021");
C=B.fN("Preparing for Installation","65#1675533");
B=A.fN("Distribution Media and Contents","66");
C=B.fN("Obtaining the Installation Media","66#1688257");
C=B.fN("Installation Files","66#1688695");
B=A.fN("Uploading the Software","67");
B=A.fN("Installing the Software","68");
C=B.fN("Edit the Properties File","68#1690848");
C=B.fN("Initial Installation","68#1693847");
C=B.fN("Verification of Installation","68#1693503");
A=P.fN("Chapter\u00a08 Testing the TIBCO Object Service Broker SDK\u00a0(C/C++)","69");
B=A.fN("Introducing SDK\u00a0(C/C++)","70");
B=A.fN("Test the SDK\u00a0(C/C++)","71");
C=B.fN("Start the SDK\u00a0(C/C++) Server","71#1019236");
C=B.fN("Access the SDK\u00a0(C/C++) Server","71#1002723");
A=P.fN("Chapter\u00a09 Using Data Object Broker User Exits","72");
B=A.fN("Overview","73");
C=B.fN("User Exits","73#1378575");
C=B.fN("Usage Notes","73#1378744");
C=B.fN("Serialization by TIBCO Object Service Broker Task","73#1420913");
C=B.fN("Processing Flow","73#1380535");
B=A.fN("User Exits","74");
C=B.fN("Initialization Exit","74#1458223");
C=B.fN("Cache Complete Exit","74#1458117");
C=B.fN("Checkpoint Start Exit","74#1376474");
C=B.fN("Command Exit","74#1457429");
C=B.fN("File Management Checkpoint Exit","74#1376588");
C=B.fN("Initialization Complete Exit","74#1376993");
C=B.fN("Open Exit","74#1376288");
C=B.fN("Parameter Exit","74#1376372");
C=B.fN("Recovery Exit","74#1275137");
C=B.fN("Redolog-1 Exit","74#1276628");
C=B.fN("Redolog-2 Exit","74#1278007");
C=B.fN("Termination Exit","74#1282585");
B=A.fN("Data Layouts","75");
C=B.fN("USREXTPL Usage and Mapping","75#1294303");
C=B.fN("Data Object Broker Initialization Done Data Block","75#1284301");
C=B.fN("Redolog Entries","75#1378331");
C=B.fN("Redolog-Entry Samples","75#1320644");
B=A.fN("Sample Template and Application","76");
C=B.fN("Template","76#1380867");
C=B.fN("Application","76#1421390");
C=B.fN("Sample Exit Brief Descriptions","76#1418817");
C=B.fN("Sample Output","76#1419165");
A=P.fN("Chapter\u00a010 Using Multiple Data Object Brokers","77");
B=A.fN("Overview","78");
C=B.fN("Primary Data Object Broker Failure","78#1673137");
B=A.fN("Configuring Data Object Brokers and Message Switches","79");
C=B.fN("Configuring Data Object Brokers","79#1672396");
C=B.fN("Configuring Message Switches","79#1673433");
C=B.fN("Allocating the Coupling Facility Structure","79#1674333");
B=A.fN("Managing Multiple Data Object Brokers","80");
C=B.fN("Switch Processing","80#1676863");
C=B.fN("Operator Commands","80#1673349");
A=P.fN("Chapter\u00a011 Using User Builtin Routines","81");
B=A.fN("User Builtin Routines","82");
C=B.fN("Installing a User Builtin Routine","82#1671844");
C=B.fN("Activating a Builtin Routine","82#1671899");
A=P.fN("Chapter\u00a012 Starting and Shutting Down TIBCO Object Service Broker","83");
B=A.fN("Overview","84");
C=B.fN("Starting the TIBCO Object Service Broker System","84#1002759");
C=B.fN("Shutting Down the TIBCO Object Service Broker System","84#1005540");
C=B.fN("Critical Messages","84#1027122");
B=A.fN("Starting a Data Object Broker or External Database Server","85");
C=B.fN("Starting a Data Object Broker","85#1007526");
C=B.fN("Restarting a Data Object Broker","85#1004036");
C=B.fN("Starting External Database Servers","85#1026136");
B=A.fN("Starting an Execution Environment","86");
C=B.fN("Starting a CICS Execution Environment","86#1004179");
C=B.fN("Restarting or Starting a CICS Execution Environment","86#1003433");
C=B.fN("Starting a TSO Execution Environment","86#1003567");
C=B.fN("Starting a Native Execution Environment","86#1003624");
B=A.fN("Shutting Down the TIBCO Object Service Broker System","87");
C=B.fN("Overview","87#1007544");
A=P.fN("Chapter\u00a013 Managing TIBCO Object Service Broker Networked Resources","88");
B=A.fN("Overview","89");
C=B.fN("What is a TIBCO Object Service Broker Network?","89#1002737");
C=B.fN("Allowed Connections to the Data Object Broker","89#1002927");
C=B.fN("Making Remote Components Accessible","89#1020101");
B=A.fN("Resource Management Repository File","90");
C=B.fN("Overview","90#1019945");
C=B.fN("Resource Management Option","90#1022447");
C=B.fN("S6BDYNAMIC Schedule Entry","90#1042247");
C=B.fN("Repository File Maintenance","90#1042210");
B=A.fN("Sample TIBCO Object Service Broker Network Configurations","91");
C=B.fN("Description of a Sample Network","91#1002240");
C=B.fN("Illustration of a TIBCO Object Service Broker Network","91#1006450");
C=B.fN("Resource Detail Entries","91#1018252");
C=B.fN("Resource Schedule Entries","91#1018347");
C=B.fN("Description of Resources","91#1006568");
A=P.fN("Chapter\u00a014 Managing Batch Processing","92");
B=A.fN("Overview","93");
C=B.fN("What is a Batch Server?","93#1008804");
C=B.fN("Running a Batch Server","93#1035009");
C=B.fN("Prerequisites","93#1008865");
B=A.fN("Starting and Shutting Down the Batch Server","94");
C=B.fN("Starting the Batch Server","94#1002550");
C=B.fN("Shutting Down the Batch Server","94#1003093");
B=A.fN("Invoking the Batch Submission Facility Menu","95");
C=B.fN("Execute BATCH","95#1003887");
C=B.fN("Batch Submission Facility Main Menu","95#1003474");
B=A.fN("Reviewing Existing Queues","96");
C=B.fN("Step 1: List Queue Definitions","96#1004294");
C=B.fN("Step 2: View Queue Definitions","96#1005170");
C=B.fN("Fields on the Queue Definition Screen","96#1005199");
B=A.fN("Defining New Queues","97");
C=B.fN("Step 1: Enter the Name of the New Queue","97#1016088");
C=B.fN("Step 2: Enter Values for the Definition","97#1016255");
C=B.fN("Step 3: Save the New Queue Definition","97#1016409");
B=A.fN("Defining Additional Batch Servers","98");
C=B.fN("Step 1: Copy the JCL for an Existing Server","98#1016454");
C=B.fN("Step 2: Modify Input Parameters in the Startup Parameter Member","98#1016472");
C=B.fN("Return Codes","98#1016627");
A=P.fN("Chapter\u00a015 TIBCO Object Service Broker Netview Support","99");
B=A.fN("Overview","100");
C=B.fN("TIBCO Object Service Broker Operational Messages","100#1001306");
C=B.fN("Alert Messages","100#1001322");
C=B.fN("Information Available on Netview","100#1001491");
B=A.fN("Activating Netview Support","101");
C=B.fN("Requirements","101#1001072");
C=B.fN("Step 1: Install Netview","101#1001855");
C=B.fN("Step 2: Make Netview Available to TIBCO Object Service Broker","101#1001906");
C=B.fN("Step 3: Set Netview User-Defined Code Points","101#1001946");
C=B.fN("Step 4: Set NETVIEWBASE Parameter","101#1001964");
A=P.fN("Chapter\u00a016 Operator Commands","102");
B=A.fN("Commands to Control a Data Object Broker","103");
C=B.fN("Issuing Data Object Broker Operator Commands","103#1017544");
C=B.fN("Commands","103#1020329");
B=A.fN("Commands to Modify Data Object Broker Startup Parameters","104");
C=B.fN("Dynamically Changing Data Object Broker Parameters","104#1098365");
B=A.fN("Commands to Control the Native Execution Environment","105");
C=B.fN("Commands","105#1037424");
B=A.fN("Commands to Control the CICS Execution Environment","106");
C=B.fN("Commands","106#1002368");
A=P.fN("Chapter\u00a017 Using the Interface to TIBCO Mainframe Service Tracker","107");
B=A.fN("Overview","108");
C=B.fN("Enabling the Interface","108#1001306");
B=A.fN("Notification Record Layout","109");
A=P.fN("Chapter\u00a018 Monitoring and Controlling the TIBCO Object Service Broker Environment","110");
B=A.fN("Overview","111");
C=B.fN("Displaying the Administration Menu","111#1000812");
C=B.fN("Administration Menu","111#1138436");
C=B.fN("Header Line","111#1138561");
C=B.fN("Navigating the Screens","111#1176284");
C=B.fN("Controlling Access","111#1183605");
C=B.fN("Categories of Administration Options","111#1183821");
B=A.fN("Statistical Menu Items","112");
C=B.fN("A. General","112#1019155");
C=B.fN("B. Segment/DASD","112#1111161");
C=B.fN("C. Lock Manager","112#1045695");
C=B.fN("D. Buffer Pools","112#1056998");
C=B.fN("F. Profile Displays","112#1075044");
C=B.fN("G. Updated Pages Per Transaction","112#1223904");
C=B.fN("H. Physical CPU and I/O Statistics","112#1219344");
C=B.fN("I. User Activity","112#1090354");
C=B.fN("J. Installation/Configuration","112#1094310");
B=A.fN("Diagnostic Displays","113");
C=B.fN("P. Display Resident Page Buffer","113#1098444");
C=B.fN("S. Monitoring Process","113#1378721");
C=B.fN("T. Data Object Broker Memory","113#1098857");
C=B.fN("U. Page Image","113#1099306");
C=B.fN("V. Resident Page Pool Directory","113#1112074");
C=B.fN("W. Alert Messages","113#1100469");
C=B.fN("Z. Diagnostic Dumps","113#1100609");
B=A.fN("Administration Controls","114");
C=B.fN("1. In-Doubt Transactions","114#1101249");
C=B.fN("2. Operator Functions","114#1010409");
C=B.fN("3. Resource Management","114#1112458");
B=A.fN("Monitoring with z/OS System Management Facility (SMF)","115");
C=B.fN("Enabling SMF Data Collection in the Data Object Broker","115#1377853");
C=B.fN("Enabling SMF Data Collection in the Execution Environment","115#1377913");
A=P.fN("Appendix\u00a0A Installation Variables","116");
B=A.fN("Modifying Installation Variables","117");
B=A.fN("Required Variables","118");
C=B.fN("SMP/E Variables","118#1084965");
C=B.fN("Migration Variables","118#1089760");
B=A.fN("Service Gateway Variables","119");
C=B.fN("Adabas","119#1062182");
C=B.fN("CA\u2011Datacom","119#1062261");
C=B.fN("CICS Variables","119#1092881");
C=B.fN("DB2","119#1092057");
C=B.fN("IDMS/DB","119#1085681");
C=B.fN("IMS/DB","119#1062573");
B=A.fN("Miscellaneous Variables","120");
C=B.fN("Data Join/Split Conversion","120#1091131");
A=P.fN("Appendix\u00a0B Configurations for Communications","121");
B=A.fN("Overview","122");
C=B.fN("Determine the Communications Method","122#1054851");
C=B.fN("Performance Considerations","122#1054584");
C=B.fN("Distribution of Processor Cycles","122#1054763");
B=A.fN("Configuring VTAM Communications","123");
C=B.fN("Create VTAM Application Definitions for Execution Environments","123#1022088");
C=B.fN("VTAM Application Definition Keyword Operands","123#1044852");
C=B.fN("Create TIBCO Object Service Broker VTAM Logmode Table Definitions","123#1045173");
C=B.fN("Define Keywords in VTAM Logmode Table","123#1045263");
B=A.fN("Configuring Cross Memory Services","124");
B=A.fN("Configuring TCP/IP","125");
B=A.fN("Configuring XCF Communications","126");
A=P.fN("Appendix\u00a0C DASD Configuration","127");
B=A.fN("Plan the DASD Configuration","128");
A=P.fN("Appendix\u00a0D Database Definition Parameters","129");
B=A.fN("Overview","130");
B=A.fN("Database Parameters","131");
A=P.fN("Appendix\u00a0E Data Transmission for z/OS","132");
B=A.fN("Overview","133");
B=A.fN("Installation and Implementation","134");
B=A.fN("Operational Details","135");
B=A.fN("Error Messages","136");
A=P.fN("Appendix\u00a0F Frequently Asked Questions","137");
}
