function  WWHBookData_Files(P)
{
P.fA("TIBCO\u00ae Object Service Broker for z/OS","title.1.1.htm");
P.fA("Important Information","copyrigh.htm");
P.fA("Preface","preface.2.1.htm");
P.fA("Related Documentation","preface.2.2.htm");
P.fA("Typographical Conventions","preface.2.3.htm");
P.fA("Connecting with TIBCO Resources","preface.2.4.htm");
P.fA("Using TIBCO Object Service Broker Utilities","utilities.3.01.htm");
P.fA("S6BBRBAL (Segment Balance)","utilities.3.02.htm");
P.fA("S6BBRCFC (Coupling Facility Size)","utilities.3.03.htm");
P.fA("S6BBRCLR (Batch Table Clear)","utilities.3.04.htm");
P.fA("S6BBREXT (Extract Selected Pages)","utilities.3.05.htm");
P.fA("S6BBRFRU (Reformat TIBCO Object Service Broker Files Transferred with FTP)","utilities.3.06.htm");
P.fA("S6BBRHDW (CPU Capabilities Report)","utilities.3.07.htm");
P.fA("S6BBRIAL (Move ACCESSLOG)","utilities.3.08.htm");
P.fA("S6BBRNLS (Translate File Between Code Pages)","utilities.3.09.htm");
P.fA("S6BBRPGC (Pagestore Correction)","utilities.3.10.htm");
P.fA("S6BBRPTR (Batch Pointer Check)","utilities.3.11.htm");
P.fA("S6BBRSET (Batch Segment Re-initialization)","utilities.3.12.htm");
P.fA("S6BBRSIX (Batch Secondary Index Build for TDS Tables)","utilities.3.13.htm");
P.fA("S6BBRTBL (Batch Load)","utilities.3.14.htm");
P.fA("S6BBRULA (Recover TDS Table From Archive)","utilities.3.15.htm");
P.fA("S6BBRULB, S6BBRULH (Batch Unload)","utilities.3.16.htm");
P.fA("S6BSMEJA(B) (SMF Record Summary)","utilities.3.17.htm");
P.fA("S6BSMESD (SMF Record Count Report)","utilities.3.18.htm");
P.fA("S6BSMETY (SMF Usage Analysis)","utilities.3.19.htm");
P.fA("S6BSMF12 (Checkpoint Statistics Report)","utilities.3.20.htm");
P.fA("S6BSMF13 (Pagestore Response Time Report)","utilities.3.21.htm");
P.fA("S6BSMF22 (Lock Manager Statistics Report)","utilities.3.22.htm");
P.fA("S6BSMF23 (Query Task Usage Report)","utilities.3.23.htm");
P.fA("S6BSMF24 (Query/Commit Response Time Report)","utilities.3.24.htm");
P.fA("S6BSMF25 (Send/Receive Message Length Report)","utilities.3.25.htm");
P.fA("S6BSMF26 (Data Object Broker General Statistics Report)","utilities.3.26.htm");
P.fA("S6BSMF49 (User Consumption of Data Object Broker Services Report)","utilities.3.27.htm");
P.fA("S6BSMFAK (Add Key to SMF Records)","utilities.3.28.htm");
P.fA("S6BSMFCH (SMF Check Report)","utilities.3.29.htm");
P.fA("S6BSMFDK (Remove Key Added by S6BSMFAK)","utilities.3.30.htm");
P.fA("S6BSMFEX (SMF Extract Reports)","utilities.3.31.htm");
P.fA("S6BSMFQT (Query Task CPU Usage Analysis)","utilities.3.32.htm");
P.fA("S6BSPCAP (Determine VSAM DS Capacity)","utilities.3.33.htm");
P.fA("S6BSPDSN (Determine Number of GDGs)","utilities.3.34.htm");
P.fA("S6BSPJEX (Journal Data Extraction)","utilities.3.35.htm");
P.fA("S6BSPSEP (Separate Spun Journal by Segment)","utilities.3.36.htm");
P.fA("S6BSPSPC (Determine Space Allocated to Sequential File)","utilities.3.37.htm");
P.fA("S6BTLADM (Administration Menu)","utilities.3.38.htm");
P.fA("S6BTLBPS (Back Up Page Data Sets)","utilities.3.39.htm");
P.fA("S6BTLBRM (Resource Management Online Backup)","utilities.3.40.htm");
P.fA("S6BTLCMD (Submit Operator Commands in Batch)","utilities.3.41.htm");
P.fA("S6BTLDBR (Database Recovery Report)","utilities.3.42.htm");
P.fA("S6BTLFAL (Format ARCHLOG)","utilities.3.43.htm");
P.fA("S6BTLFCA (Format Cache Data Sets)","utilities.3.44.htm");
P.fA("S6BTLFCL (Format Contingency Log)","utilities.3.45.htm");
P.fA("S6BTLFJR (Format Journal Data Sets)","utilities.3.46.htm");
P.fA("S6BTLFPS (Format TDS Page Data Sets)","utilities.3.47.htm");
P.fA("S6BTLFRL (Format Redolog)","utilities.3.48.htm");
P.fA("S6BTLPAL (Print ARCHLOG Information)","utilities.3.49.htm");
P.fA("S6BTLPCA (Print Cache Information)","utilities.3.50.htm");
P.fA("S6BTLPCL (Print Contingency Log)","utilities.3.51.htm");
P.fA("S6BTLRPS (Restore TDS Segment)","utilities.3.52.htm");
P.fA("S6BTLSRP (Select Recovery Pages)","utilities.3.53.htm");
P.fA("S6BTLUPS (Unload a Page Data Set to Backup)","utilities.3.54.htm");
P.fA("SIXBUILD_CARDS (Prepare Cards for Batch Secondary Index Build)","utilities.3.55.htm");
P.fA("Defining Batch Load Control Cards Manually","defining_manually.4.1.htm");
P.fA("Overview","defining_manually.4.2.htm");
P.fA("Specification Cards","defining_manually.4.3.htm");
P.fA("Page Fill Tailoring","defining_manually.4.4.htm");
P.fA("Input Definition Cards","defining_manually.4.5.htm");
P.fA("Output Definition Cards","defining_manually.4.6.htm");
P.fA("Value Cards","defining_manually.4.7.htm");
P.fA("S6BBRTBL/S6BBRSIX Tuning","tuning.5.1.htm");
P.fA("Overview","tuning.5.2.htm");
P.fA("Work File Allocation and Tuning","tuning.5.3.htm");
P.fA("Sample Job Preparation","tuning.5.4.htm");
P.fA("Null Handling","null_handling.6.1.htm");
P.fA("Syntax Specific Nulls","null_handling.6.2.htm");
P.fA("Alternative Null Equivalents","null_handling.6.3.htm");
P.fA("OLDNULL Option (Batch Unloads S6BBRULB and S6BBRULH Only)","null_handling.6.4.htm");
P.fA("Batch Journaling","journaling.7.1.htm");
P.fA("Journaling Updated Page Images","journaling.7.2.htm");
P.fA("Specific Implementation Steps","journaling.7.3.htm");
}
