function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42500");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Using TIBCO Object Service Broker Utilities","6");
B=A.fN("S6BBRBAL (Segment Balance)","7");
B=A.fN("S6BBRCFC (Coupling Facility Size)","8");
B=A.fN("S6BBRCLR (Batch Table Clear)","9");
B=A.fN("S6BBREXT (Extract Selected Pages)","10");
B=A.fN("S6BBRFRU (Reformat TIBCO Object Service Broker Files Transferred with FTP)","11");
C=B.fN("Transferring TIBCO Object Service Broker Segment Archives","11#1671795");
C=B.fN("Transferring TIBCO Object Service Broker Export/Import Table Files","11#1671859");
C=B.fN("Transferring Missing BDW Variable Format Files","11#1671939");
C=B.fN("Transferring Workbench Unload Files","11#1671977");
C=B.fN("Transferring TIBCO Object Service Broker Offline Batch Utility Unload Files","11#1672072");
B=A.fN("S6BBRHDW (CPU Capabilities Report)","12");
B=A.fN("S6BBRIAL (Move ACCESSLOG)","13");
B=A.fN("S6BBRNLS (Translate File Between Code Pages)","14");
B=A.fN("S6BBRPGC (Pagestore Correction)","15");
B=A.fN("S6BBRPTR (Batch Pointer Check)","16");
B=A.fN("S6BBRSET (Batch Segment Re-initialization)","17");
B=A.fN("S6BBRSIX (Batch Secondary Index Build for TDS Tables)","18");
B=A.fN("S6BBRTBL (Batch Load)","19");
B=A.fN("S6BBRULA (Recover TDS Table From Archive)","20");
B=A.fN("S6BBRULB, S6BBRULH (Batch Unload)","21");
B=A.fN("S6BSMEJA(B) (SMF Record Summary)","22");
B=A.fN("S6BSMESD (SMF Record Count Report)","23");
B=A.fN("S6BSMETY (SMF Usage Analysis)","24");
B=A.fN("S6BSMF12 (Checkpoint Statistics Report)","25");
B=A.fN("S6BSMF13 (Pagestore Response Time Report)","26");
B=A.fN("S6BSMF22 (Lock Manager Statistics Report)","27");
B=A.fN("S6BSMF23 (Query Task Usage Report)","28");
B=A.fN("S6BSMF24 (Query/Commit Response Time Report)","29");
B=A.fN("S6BSMF25 (Send/Receive Message Length Report)","30");
B=A.fN("S6BSMF26 (Data Object Broker General Statistics Report)","31");
B=A.fN("S6BSMF49 (User Consumption of Data Object Broker Services Report)","32");
B=A.fN("S6BSMFAK (Add Key to SMF Records)","33");
B=A.fN("S6BSMFCH (SMF Check Report)","34");
B=A.fN("S6BSMFDK (Remove Key Added by S6BSMFAK)","35");
B=A.fN("S6BSMFEX (SMF Extract Reports)","36");
B=A.fN("S6BSMFQT (Query Task CPU Usage Analysis)","37");
B=A.fN("S6BSPCAP (Determine VSAM DS Capacity)","38");
B=A.fN("S6BSPDSN (Determine Number of GDGs)","39");
B=A.fN("S6BSPJEX (Journal Data Extraction)","40");
B=A.fN("S6BSPSEP (Separate Spun Journal by Segment)","41");
B=A.fN("S6BSPSPC (Determine Space Allocated to Sequential File)","42");
B=A.fN("S6BTLADM (Administration Menu)","43");
B=A.fN("S6BTLBPS (Back Up Page Data Sets)","44");
B=A.fN("S6BTLBRM (Resource Management Online Backup)","45");
B=A.fN("S6BTLCMD (Submit Operator Commands in Batch)","46");
B=A.fN("S6BTLDBR (Database Recovery Report)","47");
B=A.fN("S6BTLFAL (Format ARCHLOG)","48");
B=A.fN("S6BTLFCA (Format Cache Data Sets)","49");
B=A.fN("S6BTLFCL (Format Contingency Log)","50");
B=A.fN("S6BTLFJR (Format Journal Data Sets)","51");
B=A.fN("S6BTLFPS (Format TDS Page Data Sets)","52");
B=A.fN("S6BTLFRL (Format Redolog)","53");
B=A.fN("S6BTLPAL (Print ARCHLOG Information)","54");
B=A.fN("S6BTLPCA (Print Cache Information)","55");
B=A.fN("S6BTLPCL (Print Contingency Log)","56");
B=A.fN("S6BTLRPS (Restore TDS Segment)","57");
B=A.fN("S6BTLSRP (Select Recovery Pages)","58");
B=A.fN("S6BTLUPS (Unload a Page Data Set to Backup)","59");
B=A.fN("SIXBUILD_CARDS (Prepare Cards for Batch Secondary Index Build)","60");
A=P.fN("Appendix\u00a0A Defining Batch Load Control Cards Manually","61");
B=A.fN("Overview","62");
C=B.fN("Manually Defining Control Cards","62#1671599");
C=B.fN("Keyboard Constraint","62#1671614");
B=A.fN("Specification Cards","63");
C=B.fN("Field Values","63#1671621");
B=A.fN("Page Fill Tailoring","64");
C=B.fN("Tailoring Guidelines","64#1671667");
C=B.fN("Page Split/Merge Processing","64#1671669");
B=A.fN("Input Definition Cards","65");
C=B.fN("Field Values","65#1671679");
B=A.fN("Output Definition Cards","66");
C=B.fN("Field Values","66#1671744");
B=A.fN("Value Cards","67");
C=B.fN("Field Values","67#1671836");
A=P.fN("Appendix\u00a0B S6BBRTBL/S6BBRSIX Tuning","68");
B=A.fN("Overview","69");
C=B.fN("Reason for Tuning","69#1671587");
C=B.fN("Tuning Overview","69#1671589");
B=A.fN("Work File Allocation and Tuning","70");
C=B.fN("Primary and Secondary Allocation","70#1671653");
C=B.fN("Secondary Indexes and Block Size Allocation","70#1671659");
B=A.fN("Sample Job Preparation","71");
C=B.fN("Procedure","71#1671666");
A=P.fN("Appendix\u00a0C Null Handling","72");
B=A.fN("Syntax Specific Nulls","73");
B=A.fN("Alternative Null Equivalents","74");
B=A.fN("OLDNULL Option (Batch Unloads S6BBRULB and S6BBRULH Only)","75");
C=B.fN("Floating Point Nulls","75#1671708");
A=P.fN("Appendix\u00a0D Batch Journaling","76");
B=A.fN("Journaling Updated Page Images","77");
C=B.fN("Required Process","77#1671611");
C=B.fN("JCL data set Member Provided","77#1671621");
B=A.fN("Specific Implementation Steps","78");
C=B.fN("Step 1: Customize Symbolic Parameters","78#1671632");
C=B.fN("Step 2: Modify JCL","78#1671634");
C=B.fN("Post Processing Requirements","78#1671649");
}
