function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","");
var B=A.fN("Preface","2");
var C=B.fN("Related Documentation","3");
var D=C.fN("TIBCO Object Service Broker Documentation","3#40347");
C=B.fN("Typographical Conventions","4");
C=B.fN("Connecting with TIBCO Resources","5");
D=C.fN("How to Join TIBCOmmunity","5#39327");
D=C.fN("How to Access All TIBCO Documentation","5#42739");
D=C.fN("How to Contact TIBCO Support","5#39302");
A=P.fN("Chapter\u00a01 Introduction","6");
B=A.fN("Overview of the Gateways","7");
C=B.fN("What are TIBCO Service Gateway for ODBC and TIBCO Service Gateway for Oracle?","7#1671515");
C=B.fN("Components of the Gateways","7#1671557");
C=B.fN("Accessing TDS and External DBMS Data","7#1671590");
B=A.fN("Overview of the ODBC API and Oracle OCI","8");
C=B.fN("What is ODBC?","8#1671615");
C=B.fN("What is Oracle OCI?","8#1671622");
C=B.fN("The Gateways and TIBCO Object Service Broker SLK Tables","8#1801681");
C=B.fN("ODBC and Data Sources","8#1671681");
C=B.fN("Oracle SID","8#1671700");
B=A.fN("Functional Overview of Data Access","9");
C=B.fN("How the Gateway Transactions Process External DBMS Data","9#1671710");
C=B.fN("Configuring Execution Environments","9#1671723");
C=B.fN("Security Settings for Data Access","9#1671730");
C=B.fN("Sending Data to the Data Object Broker","9#1671743");
B=A.fN("Using Distributed Data with the Gateways","10");
A=P.fN("Chapter\u00a02 Installing","11");
B=A.fN("Installer Overview","12");
C=B.fN("Local or Remote Installation","12#1684054");
C=B.fN("Installation Modes","12#1672912");
B=A.fN("Preparing for Installation","13");
C=B.fN("Prerequisite Software","13#1683492");
C=B.fN("Installer Disk Space Requirements","13#1683612");
C=B.fN("Installer Account","13#1684303");
B=A.fN("Installing Service Gateway for ODBC","14");
C=B.fN("Installation File","14#1682368");
C=B.fN("Installation Process","14#1673453");
C=B.fN("Post Installation Steps","14#1684908");
B=A.fN("Installing Service Gateway for Oracle","15");
C=B.fN("Installation Files","15#1684409");
C=B.fN("Installation Process","15#1684417");
C=B.fN("Post-Installation Steps","15#1684436");
B=A.fN("Generating and Using a Response File","16");
C=B.fN("Generating a Response File","16#1689814");
C=B.fN("Installing in Silent Mode","16#1689816");
C=B.fN("Installation in GUI or Console Mode With Response File","16#1684384");
C=B.fN("Combination of Options","16#1684395");
B=A.fN("Installation Choices","17");
B=A.fN("Uninstalling the Software","18");
A=P.fN("Chapter\u00a03 Configuring and Operating","19");
B=A.fN("Configuration Overview","20");
C=B.fN("Before You Configure the Gateways","20#1671787");
B=A.fN("Supplying the Gateway Startup Parameters","21");
C=B.fN("Configuring a Service Gateway to Run on Open Systems","21#1813335");
B=A.fN("The Gateway Parameters","22");
B=A.fN("Supplying the Gateway Configuration Parameters","23");
C=B.fN("Setting and Modifying the Gateway Configuration Parameters","23#1672087");
C=B.fN("Creating the Gateway Configuration Parameters for a New SERVERID","23#1672093");
C=B.fN("The Gateway Configuration Parameters","23#1672334");
B=A.fN("Implementing Fail Safe Processing","24");
C=B.fN("Options for Fail Safe Processing","24#1672668");
C=B.fN("Requirements for Fail Safe Level\u20111 Processing","24#1672673");
C=B.fN("Fail Safe Processing and In-doubt Transactions","24#1672680");
B=A.fN("Steps to Implement Fail Safe Processing","25");
C=B.fN("Step 1: Define an External Transaction Table","25#1672715");
C=B.fN("Step 2: Define the Gateway Fail Safe Startup Parameters","25#1672742");
B=A.fN("Startup Prerequisites","26");
C=B.fN("Prerequisites","26#1817839");
C=B.fN("Default Resource Settings (z/OS only)","26#1817853");
B=A.fN("Starting the Gateway","27");
C=B.fN("Prerequisites for Startup","27#1672751");
C=B.fN("Understanding the Gateway Startup Process","27#1672755");
B=A.fN("Shutting Down the Gateway","28");
C=B.fN("Shutdown Commands","28#1672788");
A=P.fN("Chapter\u00a04 Managing TIBCO Object Service Broker Data Definitions","29");
B=A.fN("How to Access External DBMS Data","30");
C=B.fN("Composition of an SLK Table","30#1672844");
C=B.fN("Table Definition Requirements","30#1672859");
C=B.fN("Procedure to Define a Table","30#1672881");
B=A.fN("Defining an SLK Table","31");
C=B.fN("Using the Extraction Method","31#1672934");
B=A.fN("Post Table Definition Optional Tasks","32");
A=P.fN("Chapter\u00a05 Processing External DBMS Data","33");
B=A.fN("Using the Table Browser or the Table Editor to Access Tables","34");
C=B.fN("TIBCO Object Service Broker Requests vs. SQL Requests","34#1674478");
B=A.fN("Using Rules to Access Tables","35");
C=B.fN("Retrieval Processing","35#1674692");
C=B.fN("Replace (Update) Processing","35#1674714");
C=B.fN("Insert Processing","35#1674725");
C=B.fN("Delete Processing","35#1674728");
C=B.fN("Transaction Streams and Gateways","35#1674731");
B=A.fN("Synchronization and Recovery","36");
C=B.fN("Transaction Synchronization","36#1674754");
C=B.fN("Synchronization Results","36#1674775");
C=B.fN("Transaction Recovery","36#1674819");
C=B.fN("Recovering from an Abnormal Data Object Broker Shutdown","36#1674841");
B=A.fN("Error Handling and Recovery","37");
B=A.fN("Debugging Applications","38");
C=B.fN("Using the TIBCO Object Service Broker Rule Debugger","38#1674952");
C=B.fN("Using the Gateway Trace","38#1674954");
C=B.fN("Reporting Problems with the Gateways","38#1674969");
A=P.fN("Chapter\u00a06 Invoking Stored Procedures with TIBCO Service Gateway for ODBC","39");
B=A.fN("Stored Procedure Invocation","40");
C=B.fN("Invoking a Stored Procedure","40#1675002");
C=B.fN("Usage","40#1675004");
C=B.fN("Starting a New Transaction","40#1675039");
B=A.fN("Coding Event Rules","41");
C=B.fN("Coding Considerations","41#1675062");
C=B.fN("Passed Parameters","41#1675077");
B=A.fN("Sample Invocation","42");
C=B.fN("Sample Stored Procedure","42#1675092");
C=B.fN("Sample Stored Procedure Mapping","42#1675107");
C=B.fN("Sample Result Set Mappings","42#1675183");
C=B.fN("Sample Event Rule","42#1675335");
C=B.fN("Sample Invocation Statements","42#1797455");
A=P.fN("Appendix\u00a0A Documenting TIBCO Object Service Broker SLK Tables","43");
B=A.fN("Using the Documentation Screen","44");
C=B.fN("Field Values","44#1675499");
C=B.fN("PF Keys","44#1675521");
}
